/* Generated by Edge Impulse
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
// Generated on: 11.05.2022 09:49:08

#include <stdio.h>
#include <stdlib.h>
#include <vector>
#include "edge-impulse-sdk/tensorflow/lite/c/builtin_op_data.h"
#include "edge-impulse-sdk/tensorflow/lite/c/common.h"
#include "edge-impulse-sdk/tensorflow/lite/micro/micro_mutable_op_resolver.h"
#include "edge-impulse-sdk/porting/ei_classifier_porting.h"

#if EI_CLASSIFIER_PRINT_STATE
#if defined(__cplusplus) && EI_C_LINKAGE == 1
extern "C" {
    extern void ei_printf(const char *format, ...);
}
#else
extern void ei_printf(const char *format, ...);
#endif
#endif

#if defined __GNUC__
#define ALIGN(X) __attribute__((aligned(X)))
#elif defined _MSC_VER
#define ALIGN(X) __declspec(align(X))
#elif defined __TASKING__
#define ALIGN(X) __align(X)
#endif

using namespace tflite;
using namespace tflite::ops;
using namespace tflite::ops::micro;

namespace {

constexpr int kTensorArenaSize = 1872;

#if defined(EI_CLASSIFIER_ALLOCATION_STATIC)
uint8_t tensor_arena[kTensorArenaSize] ALIGN(16);
#elif defined(EI_CLASSIFIER_ALLOCATION_STATIC_HIMAX)
#pragma Bss(".tensor_arena")
uint8_t tensor_arena[kTensorArenaSize] ALIGN(16);
#pragma Bss()
#elif defined(EI_CLASSIFIER_ALLOCATION_STATIC_HIMAX_GNU)
uint8_t tensor_arena[kTensorArenaSize] ALIGN(16) __attribute__((section(".tensor_arena")));
#else
#define EI_CLASSIFIER_ALLOCATION_HEAP 1
uint8_t* tensor_arena = NULL;
#endif

static uint8_t* tensor_boundary;
static uint8_t* current_location;

template <int SZ, class T> struct TfArray {
  int sz; T elem[SZ];
};
enum used_operators_e {
  OP_FULLY_CONNECTED, OP_SOFTMAX,  OP_LAST
};
struct TensorInfo_t { // subset of TfLiteTensor used for initialization from constant memory
  TfLiteAllocationType allocation_type;
  void* data;
  TfLiteIntArray* dims;
  size_t bytes;
};
struct NodeInfo_t { // subset of TfLiteNode used for initialization from constant memory
  struct TfLiteIntArray* inputs;
  struct TfLiteIntArray* outputs;
  void* builtin_data;
  used_operators_e used_op_index;
};

TfLiteContext ctx{};
TfLiteTensor tflTensors[11];
TfLiteEvalTensor tflEvalTensors[11];
TfLiteRegistration registrations[OP_LAST];
TfLiteNode tflNodes[4];

const TfArray<2, int> tensor_dimension0 = { 2, { 1,400 } };
const ALIGN(8) float tensor_data1[3] = { -0.021677438169717789, -0.0024806351866573095, 0.032311022281646729, };
const TfArray<1, int> tensor_dimension1 = { 1, { 3 } };
const ALIGN(16) float tensor_data2[10] = { -0.0082115465775132179, 0, -0.0046455780975520611, -0.00051999068818986416, -0.0042395452037453651, 0.031202539801597595, 0.0030174907296895981, -0.016340672969818115, 0.014092856086790562, -0.012370988726615906, };
const TfArray<1, int> tensor_dimension2 = { 1, { 10 } };
const ALIGN(16) float tensor_data3[20] = { -0.0036351594608277082, 0.0072949645109474659, 0.0015558205777779222, 0, 0, -0.008368724025785923, 0.036570627242326736, -0.003419229993596673, -0.0048595918342471123, 0, 0.0096602980047464371, 0.019730273634195328, 0.021251240745186806, 0.010345947928726673, 0, 0.012343143112957478, 0, 0, -0.0097075812518596649, 0.0025825730990618467, };
const TfArray<1, int> tensor_dimension3 = { 1, { 20 } };
const ALIGN(16) float tensor_data4[20*400] = { 
  -0.044706474989652634, -0.039085272699594498, -0.028245531022548676, 0.057252056896686554, 0.023431813344359398, 0.053097963333129883, -0.057085290551185608, -0.043185025453567505, -0.051475923508405685, 0.060671478509902954, 0.14988115429878235, -0.015709118917584419, -0.037418119609355927, 0.14694216847419739, 0.091772027313709259, 0.15870995819568634, 0.15060104429721832, 0.0052607380785048008, 0.12372829765081406, -0.032567732036113739, 0.14512461423873901, -0.063530251383781433, 0.15366078913211823, -0.042879536747932434, -0.024944273754954338, -0.025521384552121162, -0.064083181321620941, 0.091545119881629944, -0.0024110425729304552, 0.0019501793431118131, -0.031196106225252151, -0.061170872300863266, 0.066141992807388306, 0.14718432724475861, 0.078867144882678986, -0.0053567849099636078, -0.017600301653146744, 0.12284291535615921, 0.076634161174297333, 0.032058082520961761, 0.12394528836011887, 0.15906071662902832, 0.12112729996442795, 0.10471992939710617, -0.053084287792444229, 0.07873641699552536, 0.017134036868810654, 0.099495492875576019, -0.0096987858414649963, 0.062773823738098145, 0.10182739049196243, 0.13662603497505188, -0.054903127253055573, 0.13605201244354248, 0.059851653873920441, 0.068776674568653107, 0.057190805673599243, 0.020651141181588173, 0.027274729683995247, 0.047118935734033585, 0.056987673044204712, 0.012091278098523617, -0.017141988500952721, 0.011886473745107651, -0.011698328889906406, 0.011586463078856468, 0.099989771842956543, 0.09687630832195282, 0.040690567344427109, -0.045380309224128723, 0.14366669952869415, -0.027442503720521927, 0.031310353428125381, 0.052319794893264771, 0.021020449697971344, 0.15160574018955231, 0.11178577691316605, 0.1289217621088028, 0.032284997403621674, 0.11066658794879913, 0.11828308552503586, 0.093533270061016083, 0.055677138268947601, 0.11685051023960114, 0.030929513275623322, 0.071169666945934296, -0.0060708592645823956, 0.075618177652359009, 0.018066270276904106, 0.11850233376026154, 0.13042104244232178, -0.05600486695766449, 0.049858957529067993, 0.091859109699726105, 0.032102372497320175, -0.0094752879813313484, 0.050993271172046661, 0.070343486964702606, 0.026973888278007507, 0.13327792286872864, -0.096454240381717682, -0.045619264245033264, 0.090359456837177277, -0.047114089131355286, -0.012518808245658875, -0.09046541154384613, 0.043466866016387939, -0.092702768743038177, 0.013686351478099823, 0.028319261968135834, 0.011517833918333054, -0.027827955782413483, -0.070393629372119904, -0.02892700582742691, -0.050576113164424896, -0.013007412664592266, 0.044978629797697067, -0.004977482371032238, -0.070859134197235107, -0.046613581478595734, 0.066361516714096069, 0.031202513724565506, 0.035983823239803314, 0.080065205693244934, 0.076136425137519836, -0.13755498826503754, 0.065863840281963348, -0.092697523534297943, 0.055439922958612442, -0.11510585248470306, 0.072008371353149414, -0.14231210947036743, -0.061740551143884659, -0.091037124395370483, 0.047535259276628494, -0.068268515169620514, -0.073375903069972992, 0.087070003151893616, -0.015177019871771336, 0.039274029433727264, 0.050610758364200592, -0.072088710963726044, -0.14407235383987427, 0.027415256947278976, 0.0076477201655507088, 0.0831790491938591, -0.0244736447930336, -0.11217040568590164, -0.013959183357656002, 0.02848723903298378, 0.046285282820463181, 0.025262597948312759, -0.039452522993087769, 0.023780638352036476, 0.074277400970458984, 0.05822465568780899, -0.017589697614312172, -0.002178780734539032, -0.045079451054334641, 0.072040177881717682, -0.053098920732736588, -0.078483365476131439, -0.12906132638454437, 0.060154873877763748, -0.10113141685724258, -0.13504941761493683, 0.03190404549241066, -0.1211831271648407, -0.10463672876358032, 0.09372478723526001, -0.029458828270435333, -0.045526441186666489, -0.089560605585575104, 0.056043729186058044, 0.084483891725540161, -0.094286307692527771, -0.0056587066501379013, 0.027363762259483337, 0.022901562973856926, 0.092383056879043579, 0.047880623489618301, -0.090714029967784882, 0.094073452055454254, -0.10769198089838028, -0.034432731568813324, -0.11268103867769241, -0.10360174626111984, 0.071970388293266296, -0.079882316291332245, 0.02482747845351696, 0.089708186686038971, 0.10349380224943161, -0.096934758126735687, 0.096064537763595581, -0.02160942554473877, 0.055419169366359711, -0.055912617594003677, 0.043733902275562286, 0.02027142234146595, -0.063516385853290558, -0.03394000232219696, -0.10681852698326111, 0.081782899796962738, 0.065152645111083984, 0.093842171132564545, -0.034980837255716324, 0.10254943370819092, -0.10632831603288651, -0.061478763818740845, -0.078765757381916046, 0.032351471483707428, -0.035013854503631592, 0.0074997264891862869, -0.058167006820440292, 0.0047908788546919823, -0.027381924912333488, -0.052565552294254303, 0.02596568875014782, -0.11595834046602249, -0.09663613885641098, 0.0027837823145091534, -0.11084331572055817, 0.029425531625747681, 0.082344181835651398, 0.055724162608385086, -0.074880659580230713, -0.0056044217199087143, -0.028974009677767754, 0.11317815631628036, 0.10645601153373718, -0.047347184270620346, -0.021462243050336838, 0.057283677160739899, 0.06833842396736145, 0.026977360248565674, 0.017872277647256851, 0.075182661414146423, 0.032596271485090256, 0.095150955021381378, 0.092547386884689331, -0.046050064265727997, 0.049961291253566742, -0.0005801724037155509, 0.028251843526959419, 0.023766279220581055, 0.11450635641813278, 0.064734518527984619, -0.013623867183923721, 0.025467252358794212, 0.10700427740812302, -0.088699452579021454, -0.088096544146537781, -0.03371800109744072, 0.012052806094288826, -0.11035961657762527, 0.015051771886646748, 0.0062055396847426891, -0.0047231866046786308, 0.036451544612646103, 0.005530789028853178, 0.062653422355651855, 0.069249443709850311, 0.018887806683778763, 0.0043531344272196293, 0.0076196365989744663, 0.12006469815969467, -0.010739527642726898, -0.026964768767356873, -0.071040533483028412, 0.067934051156044006, 0.094702616333961487, 0.11277372390031815, -0.092396855354309082, -0.087792500853538513, 0.07925192266702652, -0.079525075852870941, 0.070148095488548279, -0.046108242124319077, 0.06826714426279068, -0.041778344660997391, -0.06675989180803299, 0.13162803649902344, 0.020023496821522713, 0.10118093341588974, -0.072483852505683899, 0.12590274214744568, 0.083053097128868103, -0.083720877766609192, 0.071158058941364288, 0.071073554456233978, 0.064658775925636292, -0.048842884600162506, -0.093704335391521454, 0.12945917248725891, 0.054806269705295563, 0.094284549355506897, 0.045776244252920151, 0.03039095550775528, 0.047250229865312576, 0.050970304757356644, -0.097300268709659576, -0.027551954612135887, 0.017500476911664009, -0.042981900274753571, -0.066785484552383423, -0.0034093428403139114, -0.032356992363929749, 0.044147755950689316, 0.00017477278015576303, 0.043183803558349609, 0.029207699000835419, -0.09041278064250946, 0.12756654620170593, -0.014572135172784328, 0.054794281721115112, 0.018232956528663635, -0.076931536197662354, -0.026426864787936211, -0.016040753573179245, 0.12726357579231262, 0.12066059559583664, 0.089115232229232788, 0.094364814460277557, -0.063361681997776031, 0.10791072994470596, 0.06171691045165062, 0.055764980614185333, 0.063600145280361176, -0.025189356878399849, 0.030750956386327744, 0.096379466354846954, -0.063108474016189575, -0.03360883891582489, 0.08880615234375, -0.0011642761528491974, 0.11264744400978088, 0.11187364161014557, -0.051490657031536102, -0.05311121791601181, 0.10713544487953186, 0.089025825262069702, -0.070901781320571899, -0.063249208033084869, -0.074450790882110596, -0.075047940015792847, -0.0021620374172925949, -0.015510022640228271, -0.041183739900588989, 0.032502435147762299, -0.045561306178569794, 0.056973189115524292, 0.036773543804883957, -0.037435609847307205, -0.096439570188522339, -0.017961714416742325, 0.011815568432211876, 0.07209448516368866, 0.005299912765622139, 0.00096392619889229536, -0.020560966804623604, 0.05089845135807991, 0.03437931090593338, 0.050494607537984848, 0.085896700620651245, -0.065423712134361267, 0.024249264970421791, -0.068800710141658783, 0.06041693314909935, -0.065188795328140259, 0.12745246291160583, -0.092378638684749603, -0.031153570860624313, -0.082382291555404663, 0.022337069734930992, 0.1313791424036026, 0.13819174468517303, -0.084435157477855682, -0.02769026905298233, 0.12415891885757446, -0.062450915575027466, -0.058784861117601395, 0.14178016781806946, 0.0024037605617195368, -0.030302220955491066, 0.071850590407848358, -0.047740630805492401, 0.015704071149230003, 0.10395036637783051, 0.0091761145740747452, 0.0042318194173276424, 0.019879015162587166, -0.031572964042425156, 0.095824785530567169, 0.12033209204673767, 0.051682315766811371, -0.059807602316141129, -0.041544932872056961, -0.093609943985939026, 0.041301202028989792, 0.058133076876401901, 
  0.005174360703676939, 0.015668477863073349, -0.0095691699534654617, -0.056012749671936035, 0.013432151637971401, 0.10001237690448761, 0.064137980341911316, 0.085787251591682434, -0.10642671585083008, 0.066504798829555511, 0.051437072455883026, -0.066944696009159088, -0.035812649875879288, -0.11115394532680511, -0.078052647411823273, -0.058519087731838226, -0.05527852475643158, -0.10962401330471039, 0.07057933509349823, 0.042067874222993851, -0.019463889300823212, -0.075270503759384155, -0.10497384518384933, -0.077586576342582703, 0.026469254866242409, -0.077846266329288483, 0.01830354705452919, 0.044835817068815231, -0.07392362505197525, -0.0048445002175867558, 0.08322741836309433, 0.096822336316108704, -0.12493571639060974, -0.031431011855602264, -0.11875747889280319, 0.091695055365562439, -0.049488939344882965, 0.053890734910964966, 0.071027874946594238, -0.06876169890165329, -0.070995636284351349, 0.0096886912360787392, 0.012807887047529221, -0.0066021019592881203, -0.10855506360530853, -0.1203315258026123, 0.019349049776792526, -0.016523526981472969, -0.032300636172294617, -0.075422070920467377, 0.062269382178783417, 0.10581096261739731, -0.11800980567932129, -0.067357942461967468, 0.096052080392837524, -0.029532158747315407, -0.11569498479366302, 0.10525865107774734, -0.03420601412653923, -0.098670773208141327, 0.089904144406318665, -0.0011820298386737704, -0.075892023742198944, 0.061307996511459351, -0.050087738782167435, -0.06949152797460556, 0.031444430351257324, -0.088361732661724091, 0.060572952032089233, -0.038080848753452301, -0.1285042017698288, 0.051029123365879059, -0.040223259478807449, -0.074080236256122589, 0.053140833973884583, 0.0045984638854861259, -0.098815508186817169, -0.11272483319044113, 0.058674454689025879, -0.1147768646478653, 0.082665055990219116, -0.076295368373394012, -0.1074848398566246, -0.12366490066051483, -0.059315856546163559, -0.022345816716551781, -0.10086387395858765, 0.087318949401378632, -0.047246124595403671, -0.11370253562927246, 0.094688624143600464, -0.010002504102885723, -0.10375102609395981, -0.085096359252929688, -0.12157395482063293, 0.09769400954246521, 0.0035468258429318666, 0.099381744861602783, -0.11609108000993729, -0.11153844743967056, -0.012091473676264286, 0.097280599176883698, -0.06579262763261795, 0.086153753101825714, -0.063326403498649597, 0.10556348413228989, -0.083529949188232422, 0.028697589412331581, -0.030571043491363525, -0.045374210923910141, -0.047899551689624786, 0.019836578518152237, 0.063180528581142426, -0.018342830240726471, 0.096350535750389099, -0.083175182342529297, -0.090837448835372925, -0.10344193130731583, -0.083721831440925598, 0.021484589204192162, 0.066713012754917145, 0.0053773238323628902, 0.030741473659873009, -0.056847859174013138, 0.055896904319524765, -0.091736882925033569, -0.10145938396453857, 0.10126882791519165, 0.081606782972812653, -0.043967511504888535, 0.022609924897551537, -0.068163849413394928, -0.072883293032646179, 0.0040387851186096668, -0.018646985292434692, 0.09099414199590683, 0.067481808364391327, 0.099927179515361786, -0.02277829498052597, 0.047484882175922394, 0.056870695203542709, 0.052288755774497986, 0.0083202524110674858, 0.045424502342939377, -0.072999320924282074, 0.0018244535895064473, -0.10293608903884888, 0.037989463657140732, 0.042267054319381714, 0.060611873865127563, 0.0534234419465065, -0.046009991317987442, -0.055747047066688538, 0.10489215701818466, -0.020765926688909531, 0.0062462529167532921, -0.081445969641208649, 0.0053467573598027229, 0.054275784641504288, -0.059053834527730942, 0.0075591425411403179, -0.09615568071603775, 0.057078789919614792, 0.048719253391027451, -0.046348311007022858, 0.013748449273407459, 0.10019879043102264, -0.077206678688526154, 0.055619519203901291, 0.12291503697633743, 0.1183076947927475, -0.096672497689723969, 0.086478322744369507, -0.034450873732566833, -0.061117362231016159, 0.022720694541931152, -0.050510406494140625, 0.053097482770681381, -0.070278540253639221, -0.046526368707418442, -0.0053597637452185154, 0.091943696141242981, -0.072480961680412292, 0.072306141257286072, -0.023758748546242714, 0.074315264821052551, 0.02339167520403862, -0.096809089183807373, 0.081462390720844269, -0.11202081292867661, 0.091128282248973846, 0.089519225060939789, -0.080860055983066559, 0.10497250407934189, -0.10405991971492767, -0.028011228889226913, -0.070624977350234985, 0.011408145539462566, 0.10392460227012634, 0.1037311777472496, -0.023162739351391792, -0.051540181040763855, -0.10702620446681976, -0.023710437119007111, 0.037580665200948715, -0.037593968212604523, -0.05537855252623558, 0.037483867257833481, -0.05586845800280571, 0.096837654709815979, -0.057816524058580399, 0.11372723430395126, 0.038606911897659302, 0.029570398852229118, -0.064166069030761719, -0.073812715709209442, 0.084722317755222321, -0.085100896656513214, 0.027619460597634315, -0.045818924903869629, 0.080407962203025818, -0.04816770926117897, 0.10744033753871918, -0.034461837261915207, -0.033675074577331543, 0.10571684688329697, 0.042910203337669373, -0.014170168898999691, 0.0010321172885596752, 0.081932462751865387, 0.11970254778862, -0.014008419588208199, -0.079139582812786102, -0.022998178377747536, 0.10353165119886398, -0.056718744337558746, 0.015758736059069633, -0.02756577730178833, -0.10836006700992584, 0.074742153286933899, 0.057792406529188156, -0.083822309970855713, 0.067778542637825012, 0.11709623783826828, 0.08151187002658844, 0.056138511747121811, -0.041086602956056595, -0.11153645068407059, -0.050964478403329849, 0.095128469169139862, -0.077176451683044434, 0.048674296587705612, -0.014737688936293125, 0.091274909675121307, 0.067320093512535095, -0.11108771711587906, -0.081325255334377289, 0.020975979045033455, 0.023430837318301201, 0.050833035260438919, 0.08072565495967865, 0.061167825013399124, 0.1112571507692337, -0.039027325809001923, 0.050551295280456543, 0.04442659392952919, 0.012122456915676594, 0.11365716904401779, 0.10495622456073761, 0.11539794504642487, 0.076554469764232635, -0.049998439848423004, -0.072737321257591248, -0.075689323246479034, -0.010078432038426399, 0.038901135325431824, 0.10651341825723648, -0.0064190295524895191, -0.02709382027387619, -0.00844605453312397, 0.067557618021965027, -0.10552740842103958, 0.11481552571058273, 0.0057937554083764553, 0.010363121517002583, -0.11438955366611481, -0.0030572370160371065, 0.11144276708364487, 0.020240223035216331, -0.11004284024238586, 0.073515042662620544, 0.014120601117610931, 0.024239391088485718, 0.0186289232224226, -0.070075325667858124, 0.054160129278898239, -0.10476324707269669, -0.070960737764835358, 0.0016464205691590905, 0.086158536374568939, 0.12138637900352478, 0.099685139954090118, -0.049394834786653519, 0.073814526200294495, 0.032617159187793732, 0.068679772317409515, 0.035181302577257156, 0.068252809345722198, 0.026483934372663498, -0.095330946147441864, -0.046562463045120239, -0.090000025928020477, 0.026450086385011673, -0.080614179372787476, 0.12156245112419128, 0.039735537022352219, -0.075544320046901703, -0.038364227861166, 0.014596984721720219, -0.11127838492393494, 0.059214528650045395, -0.027145735919475555, 0.094706930220127106, 0.11429348587989807, -0.097198799252510071, -0.0081015294417738914, -0.065464898943901062, 0.014359205961227417, -0.034592378884553909, 0.1194702535867691, 0.11103043705224991, -0.036757264286279678, -0.060617789626121521, -0.025658102706074715, 0.052344933152198792, 0.050471324473619461, -0.10696791857481003, -0.11417034268379211, -0.11015133559703827, 0.11017610877752304, 0.077948562800884247, 0.060700517147779465, -0.021021291613578796, 0.049540910869836807, 0.075027793645858765, -0.055313847959041595, -0.0095297787338495255, 0.068457640707492828, 0.026622146368026733, -0.058679722249507904, 0.11444644629955292, -0.018009647727012634, 0.11622966080904007, -0.069957464933395386, -0.075791232287883759, 0.11212571710348129, -0.11031380295753479, -0.023321889340877533, 0.055181108415126801, -0.041158206760883331, 0.041827082633972168, 0.064564883708953857, 0.011961896903812885, 0.088132627308368683, -0.11468156427145004, -0.10041417181491852, -0.076736301183700562, -0.01523630041629076, 0.038695093244314194, -0.031915955245494843, 0.022400429472327232, -0.11029092222452164, 0.11827342212200165, 0.033975634723901749, -0.022582629695534706, -0.054853316396474838, -0.0046450314112007618, -0.020481770858168602, 0.053616296499967575, -0.052477817982435226, -0.095886960625648499, 0.11250833421945572, -0.079091466963291168, 0.10131528973579407, -0.094148755073547363, 0.037173081189393997, -0.09457937628030777, -0.091407343745231628, -0.015173724852502346, 0.058849059045314789, -0.036412600427865982, -0.015268940478563309, -0.051004868000745773, 0.03721773624420166, 0.078137718141078949, 0.04372783750295639, 0.045503687113523483, -0.034659694880247116, 0.013513234443962574, -0.050834905356168747, 
  0.0029366146773099899, -0.11239203065633774, -0.089230053126811981, 0.053523734211921692, 0.0037053974810987711, 0.030472211539745331, -0.10884860903024673, -0.024101559072732925, -0.070060811936855316, 0.015785867348313332, -0.035677157342433929, -0.02483542263507843, -0.083071820437908173, -0.021787645295262337, 0.066600203514099121, -0.094869978725910187, -0.076774872839450836, -0.023736869916319847, 0.1022481843829155, -0.10938486456871033, 0.083745531737804413, -0.012393718585371971, -0.055063523352146149, 0.027509063482284546, -0.048562627285718918, 0.10302896052598953, 0.01650424487888813, -0.056473683565855026, -0.014652708545327187, -0.066641636192798615, -0.072873964905738831, 0.092645838856697083, -0.098720170557498932, 0.051018748432397842, -0.075050897896289825, 0.042635791003704071, 0.032057516276836395, -0.012191509827971458, -0.053311705589294434, -0.0699148029088974, 0.10070948302745819, -0.017096418887376785, 0.00014972442295402288, -0.0052920621819794178, -0.023631695657968521, 0.017369534820318222, 0.087066859006881714, -0.025517912581562996, 0.12315411865711212, -0.088007107377052307, 0.1137007474899292, 0.0015979036688804626, 0.026131415739655495, -0.077082127332687378, 0.079474210739135742, 0.065530978143215179, 0.076927781105041504, 0.035841234028339386, 0.040740605443716049, 0.092427641153335571, 0.046384934335947037, -0.10853475332260132, -0.098975896835327148, 0.045571602880954742, 0.058937374502420425, -0.082647897303104401, -0.051334131509065628, 0.014449884183704853, 0.066601656377315521, 0.1112755686044693, 0.090324625372886658, 0.055981598794460297, -0.039077680557966232, 0.11805359274148941, -0.035543192178010941, 0.073326185345649719, -0.077289775013923645, -0.02500501275062561, -0.082985833287239075, -0.023898905143141747, 0.032256633043289185, -0.050769425928592682, -0.080882512032985687, 0.041897255927324295, 0.10045095533132553, 0.11967409402132034, -0.0065464414656162262, 0.066085480153560638, -0.07932569831609726, 0.055671665817499161, -0.033702608197927475, 0.033429402858018875, -0.10956557095050812, -0.033988069742918015, 0.11909725517034531, 0.043107379227876663, 0.081803962588310242, -0.010147513821721077, 0.05848461389541626, -0.018382951617240906, -0.084116488695144653, 0.028243815526366234, 0.075312621891498566, -0.023601392284035683, 0.067885361611843109, 0.094461046159267426, -0.073679551482200623, 0.10203295201063156, -0.016450162976980209, -0.081519283354282379, -0.0059831487014889717, 0.043253015726804733, 0.023862672969698906, -0.046505745500326157, 0.10529208183288574, 0.016813427209854126, 0.080092713236808777, -0.078896261751651764, -0.084749467670917511, -0.098375268280506134, 0.11584199965000153, 0.091723710298538208, 0.064969159662723541, 0.097308382391929626, -0.10033440589904785, -0.052927084267139435, -0.035797897726297379, -0.098276518285274506, -0.093168698251247406, -0.019783768802881241, 0.054091703146696091, -0.017313849180936813, 0.00090069760335609317, 0.043698292225599289, 0.055712364614009857, -0.017115652561187744, -0.04871416836977005, -0.047584164887666702, 0.011779452674090862, 0.068142704665660858, -0.017673853784799576, -0.044379886239767075, 0.0087198875844478607, -0.026355592533946037, 0.096483848989009857, -0.10534641891717911, -0.11523677408695221, -0.039301253855228424, -0.063579119741916656, 0.020161425694823265, 0.077237024903297424, -0.11739712208509445, -0.080008126795291901, -0.032804425805807114, -0.085409782826900482, -0.023796280845999718, 0.0228593610227108, -0.12087777256965637, -0.11720699071884155, 0.02862200140953064, 0.0018587743397802114, 0.019998829811811447, 0.089177489280700684, -0.068252444267272949, 0.050484273582696915, 0.078222960233688354, -0.10421095788478851, -0.083999425172805786, 0.023571830242872238, 0.042927432805299759, -0.043833047151565552, -0.022137200459837914, 0.085681773722171783, 0.065917521715164185, -0.1004272848367691, 0.015963304787874222, -0.1181381568312645, -0.043634790927171707, -0.0063082096166908741, -0.0083717638626694679, 0.0079292422160506248, 0.005383380688726902, 0.11615884304046631, -0.028998522087931633, -0.11648084968328476, 0.001962167676538229, -0.069362126290798187, 0.081625901162624359, 0.075583517551422119, -0.059933014214038849, -0.0069420291110873222, -0.092118173837661743, 0.033046148717403412, -0.088877901434898376, 0.069550029933452606, -0.051790114492177963, -0.055877681821584702, 0.09172309935092926, -0.11245107650756836, -0.02439400739967823, 0.098459653556346893, -0.08852049708366394, 0.11451916396617889, 0.045921605080366135, 0.0561327263712883, -0.055737026035785675, 0.1102641373872757, -0.02142716571688652, 0.057149883359670639, 0.079055234789848328, -0.026444409042596817, -0.091900855302810669, 0.036717474460601807, 0.10162196308374405, 0.091313578188419342, -0.10924767702817917, 0.011931805871427059, 0.0078814234584569931, 0.0071199340745806694, 0.073751248419284821, -0.030264999717473984, -0.090912140905857086, 0.097360968589782715, 0.017024718225002289, -0.020031539723277092, -0.021873226389288902, -0.10978448390960693, 0.093533962965011597, -0.0083143003284931183, 0.087593115866184235, -0.1122642457485199, -0.089718125760555267, -0.0013169602025300264, 0.033429998904466629, 0.0099195009097456932, -0.087967075407505035, -0.0048520411364734173, 0.030714439228177071, 0.053787007927894592, 0.0063857529312372208, -0.0047596339136362076, 0.11365903168916702, 0.058425839990377426, -0.057175345718860626, -0.079585857689380646, -0.0080391168594360352, -0.0020482712425291538, -0.103799968957901, 0.082888953387737274, -0.014345381408929825, 0.03272579237818718, 0.051784466952085495, -0.11814258247613907, -0.099452272057533264, -0.031181642785668373, -0.061326581984758377, 0.069680400192737579, -0.013605435378849506, 0.030602376908063889, -0.0086885876953601837, -0.0066263093613088131, 0.0087938923388719559, 0.016743592917919159, 0.002225745003670454, -0.031165605410933495, -0.034502509981393814, 0.063493318855762482, 0.083658903837203979, -0.10577839612960815, 0.068224065005779266, 0.10147920995950699, -0.11645757406949997, -0.085567742586135864, -0.026123300194740295, 0.07174190878868103, -0.090329132974147797, 0.093214131891727448, 0.0079947337508201599, 0.10514602810144424, -0.0021412319038063288, 0.019648842513561249, 0.12043894082307816, 0.045808490365743637, 0.11858772486448288, -0.070600323379039764, 0.026194542646408081, -0.039926916360855103, -0.089215829968452454, 0.025184664875268936, -0.10523983091115952, 0.081043601036071777, 0.12080584466457367, 0.076558001339435577, 0.0082205217331647873, 0.10627931356430054, 0.096399314701557159, 0.081102944910526276, 0.04785558208823204, 0.081956967711448669, 0.11117813736200333, -0.046932145953178406, -0.071050301194190979, 0.025609925389289856, 0.021422237157821655, -0.00016782635066192597, -0.085099004209041595, -0.07333085685968399, 0.091024771332740784, 0.04783254861831665, -0.10019882768392563, 0.076563768088817596, -0.10722213983535767, 0.064636655151844025, 0.090301439166069031, -0.037458673119544983, -0.067570172250270844, -0.058011028915643692, 0.039575651288032532, 0.09625360369682312, 0.053953737020492554, -0.10389154404401779, 0.030632985755801201, 0.0051183011382818222, 0.079002015292644501, 0.011014446616172791, -0.021362228319048882, -0.034044988453388214, -0.093508198857307434, 0.10077743977308273, -0.039193406701087952, -0.00053432577988132834, 0.040834031999111176, -0.037631724029779434, -0.025674423202872276, -0.11341520398855209, 0.0043389960192143917, -0.04736696183681488, 0.088504478335380554, 0.078587085008621216, -0.065476149320602417, -0.045175895094871521, 0.04632214829325676, 0.0064682271331548691, 0.116375632584095, -0.023967448621988297, 0.0078138094395399094, 0.087876737117767334, -0.11377542465925217, -0.082574263215065002, -0.073585212230682373, -0.086011528968811035, 0.031434092670679092, -0.0038667011540383101, 0.10878156870603561, -0.090650841593742371, 0.03315054252743721, 0.1096365675330162, -0.060668483376502991, 0.014657801017165184, 0.029831564053893089, 0.066332906484603882, -0.040581930428743362, -0.046312078833580017, 0.010987441055476665, -0.11384975910186768, 0.0033339958172291517, 0.11036787182092667, 0.052324976772069931, 0.011931785382330418, -0.0037763100117444992, 0.072090514004230499, 0.066218428313732147, -0.11169624328613281, -0.10474062711000443, 0.049734275788068771, 0.10185161978006363, 0.074409797787666321, 0.076179571449756622, -0.078794531524181366, -0.015955919399857521, -0.045947760343551636, 0.087322808802127838, -0.036047719419002533, -0.054576121270656586, 0.12081154435873032, -0.060327261686325073, -0.041670508682727814, 0.044717174023389816, 0.085905030369758606, -0.11097606271505356, -0.0081971930339932442, 0.046044789254665375, 0.10868681967258453, 0.043499704450368881, 0.06285431981086731, 0.062566772103309631, -0.070652402937412262, 0.039797395467758179, 0.11980101466178894, 0.11668024212121964, 
  -0.11549129337072372, -0.031870678067207336, -0.09389156848192215, 0.049201779067516327, 0.031268231570720673, 0.034464828670024872, -0.082220926880836487, 0.018177159130573273, 0.018048696219921112, 0.10134003311395645, 0.00064960867166519165, -0.10265705734491348, 0.01869567483663559, 0.052696011960506439, 0.009930931031703949, -0.058125875890254974, -0.031679011881351471, -0.025216899812221527, 0.11146058887243271, 0.069288425147533417, -0.11801787465810776, -0.07440650463104248, 0.11848562210798264, -0.0097927525639533997, -0.016313917934894562, 0.10852669924497604, 0.0076813921332359314, -0.038672789931297302, 0.089951790869235992, 0.021763153374195099, -3.9979815483093262e-05, 0.087117023766040802, 0.0078922435641288757, -0.096690922975540161, -0.026579856872558594, 0.088462419807910919, 0.028213553130626678, -0.023252606391906738, -0.08777850866317749, 0.0054400637745857239, 0.0068041011691093445, -0.021478727459907532, -0.027589716017246246, 0.064660884439945221, -0.088464215397834778, -0.074044004082679749, 0.087584756314754486, -0.088245220482349396, 0.066685758531093597, 0.072331793606281281, 0.09967949241399765, -0.067902982234954834, -0.046214178204536438, 0.10662726312875748, -0.10800059884786606, -0.068758055567741394, 0.062917299568653107, 0.0023568570613861084, 0.075985006988048553, -0.08118756115436554, -0.10989023000001907, -0.063458189368247986, -0.025135941803455353, 0.075196288526058197, -0.065512731671333313, 0.034637860953807831, -0.036261990666389465, -0.11654549092054367, -0.11318319290876389, 0.042951740324497223, 0.05531003326177597, -0.041894540190696716, -0.00072352588176727295, -0.071575894951820374, 0.014284484088420868, -0.085022613406181335, -0.10015212744474411, 0.046743445098400116, -0.057779073715209961, 0.067726932466030121, 0.068770505487918854, -0.06631903350353241, -0.065292030572891235, 0.014268957078456879, 0.061598710715770721, 0.064211435616016388, 0.090681813657283783, -0.060657273977994919, 0.10000929981470108, -0.036504261195659637, -0.0047399327158927917, -0.07843366265296936, -0.046133622527122498, 0.074351392686367035, 0.069581486284732819, -0.098111152648925781, -0.089865617454051971, -0.048798583447933197, 0.066110335290431976, -0.0098545625805854797, -0.023943103849887848, -0.071836948394775391, -0.090723961591720581, 0.04949178546667099, 0.020829491317272186, 0.031881771981716156, -0.0077012255787849426, -0.078114211559295654, 0.046659298241138458, -0.094609171152114868, 0.049945421516895294, -0.072262749075889587, -0.04008173942565918, -0.011712789535522461, 0.026012517511844635, 0.078442685306072235, -0.011023059487342834, 0.02419406920671463, 0.02154213935136795, 0.0054701566696166992, 0.047319106757640839, -0.11324662715196609, 0.11767617613077164, -0.064513668417930603, -0.02671920508146286, -0.083057351410388947, -0.075257644057273865, 0.10086872428655624, -0.11102399230003357, -0.060926396399736404, -0.062464520335197449, -0.049738936126232147, 0.0921940878033638, 0.038054250180721283, -0.085950285196304321, -0.042384594678878784, 0.093956686556339264, 0.017253391444683075, -0.098790794610977173, 0.073926396667957306, 0.032557763159275055, 0.1030227467417717, 0.014143280684947968, -0.042413890361785889, -0.059087462723255157, 0.091661326587200165, 0.064077414572238922, -0.015082955360412598, 0.10596942156553268, 0.020795591175556183, 0.072304554283618927, 0.046830303966999054, 0.030587963759899139, -0.038275860249996185, 0.1102796271443367, -0.026891119778156281, -0.0094018429517745972, -0.089107811450958252, -0.058616757392883301, -0.10893405973911285, -0.0041462630033493042, 0.072848014533519745, -0.092298954725265503, 0.063064850866794586, 0.10181338340044022, -0.024742461740970612, 0.023348920047283173, 0.0071711018681526184, 0.098084114491939545, 0.05670880526304245, -0.087605305016040802, 0.10057171434164047, -0.10091105103492737, 0.11944205313920975, 0.10364610701799393, 0.057416744530200958, -0.070352256298065186, 0.056112058460712433, 0.09989435225725174, -0.018634840846061707, 0.10371843725442886, -0.0077474489808082581, -0.062317878007888794, 0.09039924293756485, -0.071989893913269043, 0.072326548397541046, 0.10158955305814743, -0.039440825581550598, -8.7060034275054932e-05, -0.050660088658332825, 0.000200614333152771, -0.094927474856376648, 0.0538133904337883, 0.04099012166261673, -0.04096849262714386, -0.11897972226142883, 0.064736001193523407, 0.053435616195201874, -0.042629383504390717, -0.064674735069274902, -0.074160188436508179, -0.065186187624931335, 0.1074928417801857, -0.021414384245872498, 0.017319865524768829, 0.042914263904094696, 0.071731172502040863, 0.11869572848081589, -0.040379300713539124, 0.049402616918087006, -0.096906408667564392, -0.006039939820766449, 0.084165774285793304, -0.097683534026145935, -0.10700182616710663, -0.11317253857851028, -0.09827403724193573, -0.023962140083312988, 0.069125659763813019, -0.053558662533760071, -0.0090882405638694763, -0.0716971755027771, -0.10927989333868027, 0.014691270887851715, -0.11400694400072098, 0.0041229277849197388, -0.030344896018505096, -0.037381045520305634, 0.058044113218784332, 0.074255995452404022, 0.10842134803533554, 0.04484076052904129, -0.051753811538219452, -0.037859641015529633, 0.060186766088008881, 0.017790459096431732, 0.09722534567117691, -0.11421000957489014, -0.085029304027557373, -0.058965068310499191, -0.087859034538269043, -0.03403182327747345, -0.0092234835028648376, 0.020962320268154144, 0.075385250151157379, -0.077831842005252838, 0.013734586536884308, 0.047057934105396271, -0.10827407985925674, 0.10650522261857986, -0.052836820483207703, -0.0084192529320716858, -0.090926684439182281, -0.0010850280523300171, 0.082292757928371429, -0.019483119249343872, -0.019831836223602295, 0.067956931889057159, -0.069306924939155579, -0.093702465295791626, 0.1120280846953392, 0.10405363887548447, 0.01689804345369339, 0.0079230740666389465, -0.087726756930351257, 0.097450040280818939, -0.11807028204202652, -0.089981794357299805, -0.10312417149543762, -0.073795318603515625, 0.11467050760984421, -0.0017710551619529724, -0.038618534803390503, 0.096601702272891998, 0.013585604727268219, 0.016847334802150726, 0.029411919414997101, 0.094015635550022125, 0.032650403678417206, -0.021536178886890411, 0.0017431303858757019, 0.065679289400577545, 0.085270725190639496, 0.035349301993846893, 0.11869207769632339, -0.097989901900291443, 0.0088847652077674866, -0.07074226438999176, -0.092707879841327667, 0.069843284785747528, -0.057620320469141006, 0.067656122148036957, 0.04092475026845932, 0.1106405183672905, 0.072673611342906952, 0.11859669536352158, 0.039512179791927338, -0.10459472984075546, -0.088900670409202576, 0.10188383609056473, 0.062560729682445526, -0.048717282712459564, -0.10144507139921188, 0.030375950038433075, -0.0048759728670120239, -0.020360387861728668, -0.022078752517700195, 0.11942868679761887, 0.024147681891918182, 0.035217933356761932, 0.055663131177425385, -0.10082131624221802, 0.020061083137989044, 0.096746541559696198, 0.10150959342718124, -0.029289186000823975, -0.015881255269050598, -0.011656850576400757, -0.0080241486430168152, -0.088170707225799561, -0.11760374158620834, -0.082720011472702026, -0.043380089104175568, 0.032468251883983612, -0.064126491546630859, -0.057857353240251541, 0.029543481767177582, -0.051784895360469818, -0.080189183354377747, 0.027947284281253815, -0.039907284080982208, 0.089901037514209747, -0.077778182923793793, 0.018358476459980011, -0.088100776076316833, -0.0022586286067962646, -0.011822044849395752, -0.051244519650936127, -0.027453839778900146, -0.084522530436515808, -0.077113986015319824, 0.094373129308223724, -0.049011051654815674, 0.030752591788768768, 0.049561254680156708, -0.058529756963253021, 0.041885651648044586, -0.042386673390865326, 0.081382222473621368, 0.11421162635087967, -0.082718357443809509, -0.031817875802516937, -0.071375168859958649, 0.095898203551769257, 0.10396572202444077, 0.094508029520511627, 0.023677058517932892, 0.017220325767993927, -0.093406617641448975, -0.037240274250507355, 0.0042311549186706543, 0.085494481027126312, -0.00065319240093231201, 0.041797630488872528, -0.05435633659362793, 0.021286271512508392, 0.033950574696063995, 0.067377306520938873, -0.041784860193729401, -0.11535901576280594, 0.0091614946722984314, 0.079077653586864471, 0.036346368491649628, 0.019341416656970978, 0.016706712543964386, -0.1058880090713501, 0.026988409459590912, 0.060824774205684662, -0.077474638819694519, 0.094140149652957916, -0.010117359459400177, -0.063999652862548828, -0.034818358719348907, -0.096407808363437653, 0.077719680964946747, -0.028756417334079742, -0.058231085538864136, 0.059409044682979584, 0.030850224196910858, -0.034314513206481934, -0.091234900057315826, 0.11072400957345963, -0.065935961902141571, -0.11329849064350128, 0.03232274204492569, 0.11061132699251175, 0.070420987904071808, 0.027793295681476593, -0.077021770179271698, -0.11772581934928894, 
  0.0010856837034225464, 0.066398002207279205, -0.071064069867134094, 0.074088804423809052, 0.037553794682025909, 0.10541354864835739, -0.090353444218635559, -0.04610937088727951, 0.022332705557346344, 0.036251552402973175, 0.038981892168521881, 0.0040726885199546814, -0.0077527239918708801, -0.024568855762481689, -0.10069569945335388, -0.0049751698970794678, -0.057933580130338669, -0.052268259227275848, 0.026949085295200348, 0.021737046539783478, 0.019057445228099823, -0.048037752509117126, -0.045427709817886353, 0.026611916720867157, -0.012898385524749756, -0.053800709545612335, 0.10243871062994003, 0.047957800328731537, 0.10812150686979294, -0.0010690465569496155, 0.0074636265635490417, -0.062727257609367371, -0.058937568217515945, 0.065636895596981049, -0.060139521956443787, -0.044693976640701294, 0.067079238593578339, 0.060695178806781769, -0.086662322282791138, -0.060792919248342514, 0.049691401422023773, -0.096571177244186401, -0.07741585373878479, -0.031550951302051544, -0.11000116169452667, -0.005984768271446228, 0.097945041954517365, 0.08919612318277359, 0.062756262719631195, 0.038228295743465424, 0.050373353064060211, -0.10686321556568146, 0.022518627345561981, -0.064570382237434387, 0.075971163809299469, -0.025121688842773438, 0.070426113903522491, -0.091067738831043243, 0.04974096268415451, 0.033057250082492828, -0.084088414907455444, 0.024902723729610443, -0.038842111825942993, -0.068306416273117065, 0.11329937726259232, -0.0077897980809211731, 0.020274750888347626, -0.076423376798629761, -0.0242118239402771, -0.11407074332237244, -0.046844266355037689, -0.0082318335771560669, -0.014751657843589783, 0.024531163275241852, 0.025422580540180206, 0.044168822467327118, 0.037847466766834259, 0.029493726789951324, -0.0098863914608955383, 0.10960713773965836, -0.027556829154491425, 0.058562390506267548, 0.067538343369960785, -0.071187064051628113, 0.073283039033412933, -0.0034828409552574158, -0.018875889480113983, -0.053972743451595306, -0.08626730740070343, 0.10118284076452255, -0.07985176146030426, 0.048235289752483368, 0.042556948959827423, -0.045883476734161377, 0.10923417657613754, 0.00040353834629058838, -0.072008669376373291, 0.047127522528171539, 0.11614181846380234, 0.012862913310527802, -0.063643135130405426, -0.019440807402133942, -0.071047976613044739, 0.11457433551549911, -0.041166432201862335, 0.024094678461551666, -0.090385645627975464, -0.037754714488983154, -0.031443230807781219, 0.065809465944766998, 0.049193315207958221, 0.080370940268039703, -0.059094727039337158, 0.1066935732960701, -0.05352204293012619, 0.022664301097393036, 0.067293278872966766, 0.11086603254079819, -0.10021907091140747, 0.091096065938472748, -0.067394696176052094, -0.010178230702877045, -0.097154468297958374, -0.019207820296287537, 0.099410764873027802, 0.10076303035020828, 0.11393091827630997, -0.10356093198060989, -0.0080388560891151428, 0.039576806128025055, -0.064088359475135803, 0.032149352133274078, 0.010804243385791779, 0.047190077602863312, 0.063302777707576752, -0.083671823143959045, -0.081972494721412659, -0.1186651736497879, 0.1137348935008049, 0.031142823398113251, 0.026417680084705353, 0.10181073099374771, 0.020288951694965363, 0.11022492498159409, -0.034535415470600128, 0.028751231729984283, -0.040101855993270874, 0.085210524499416351, 0.1015155091881752, -0.070702284574508667, -0.063440069556236267, 0.018623106181621552, 0.016094185411930084, -0.025809794664382935, 0.073068432509899139, -0.064101040363311768, -0.023994512856006622, -0.11844184994697571, -0.026667565107345581, -0.011835210025310516, -0.029108718037605286, 0.090497784316539764, -0.033706739544868469, -0.096782848238945007, -0.042711049318313599, 0.02909880131483078, 0.084142006933689117, 0.067016400396823883, 0.042135931551456451, -0.092369228601455688, 0.1137322410941124, 0.11193028837442398, 0.0330682173371315, 0.048730306327342987, 0.0423760786652565, 0.11711921542882919, 0.094897575676441193, -0.10446042567491531, 0.014848880469799042, -0.10378243774175644, 0.0075297132134437561, 0.06933196634054184, 0.11454754322767258, -0.030414566397666931, -0.097461774945259094, -0.10311490297317505, 0.021309040486812592, 0.11040017753839493, 0.079594604671001434, 0.048067532479763031, -0.049559183418750763, -0.00089131295680999756, -0.039351947605609894, -0.013721279799938202, -0.054421760141849518, 0.06874876469373703, 0.0093193426728248596, 0.066994838416576385, -0.046781577169895172, 0.075000829994678497, -0.035979844629764557, 0.075003854930400848, 0.055132173001766205, -0.0096264779567718506, -0.11037842929363251, -0.084989845752716064, 0.1092912033200264, 0.018173970282077789, 0.07257794588804245, -0.011076264083385468, 0.036339662969112396, 0.098368965089321136, -0.11029000580310822, -0.010383941233158112, 0.0053868293762207031, -0.061075489968061447, 0.062127329409122467, 0.020500726997852325, -0.022449977695941925, 0.092882715165615082, 0.025140814483165741, 0.0523342564702034, 0.073483757674694061, -0.10539507865905762, -0.073157936334609985, -0.059651575982570648, -0.010431535542011261, -0.056919761002063751, 0.028145737946033478, -0.070751979947090149, -0.024117186665534973, -0.11028485000133514, 0.11114167422056198, -0.056555837392807007, 0.017892055213451385, 0.036151595413684845, -0.10979701578617096, 0.1065075621008873, 0.0055273696780204773, 0.0025731995701789856, 0.0078027024865150452, -0.023048199713230133, -0.11538628488779068, 0.088227637112140656, -0.076701447367668152, -0.0051767826080322266, -0.089862480759620667, 0.0048161298036575317, -0.04075545072555542, -0.016445457935333252, 0.065462000668048859, 0.0295405313372612, 0.048965968191623688, 0.0055172368884086609, 0.084883667528629303, 0.014841444790363312, -0.048902280628681183, -0.061819303780794144, 0.013095267117023468, -0.094632729887962341, -0.042256563901901245, 0.094761081039905548, 0.072559766471385956, -0.093474864959716797, 0.023149736225605011, -0.054798826575279236, -0.10508672147989273, 0.039124824106693268, 0.040594927966594696, -0.10795927792787552, -0.051205195486545563, -0.01081056147813797, -0.088173411786556244, 0.087450228631496429, -0.072686314582824707, 0.05814158171415329, -0.085947632789611816, 0.018989585340023041, 0.1017303541302681, -0.092968054115772247, -0.11536687612533569, -0.0089603736996650696, 0.10094476491212845, 0.084289200603961945, -0.07905365526676178, -0.082486510276794434, 0.065432168543338776, -0.035561203956604004, -0.073934294283390045, -0.040197491645812988, -0.053493775427341461, -0.064064852893352509, 0.08612542599439621, -0.078644558787345886, -0.081116348505020142, 0.076179392635822296, 0.00092146545648574829, -0.017689183354377747, -0.028598546981811523, -0.016627006232738495, -0.062139175832271576, 0.086221881210803986, 0.0042473673820495605, -0.019956961274147034, 0.0032184794545173645, -0.045063011348247528, -0.10448586940765381, -0.022271983325481415, -0.02536841481924057, -0.0055301114916801453, -0.095466457307338715, 0.010068424046039581, -0.042277991771697998, -0.047531113028526306, -0.0094420760869979858, 0.098992638289928436, -0.0096685662865638733, -0.021888881921768188, 0.033893726766109467, -0.0016237273812294006, -0.039286687970161438, 0.07829701155424118, 0.1124846562743187, -0.091621480882167816, 0.06837046891450882, 0.076462350785732269, 0.016841359436511993, -0.0095004662871360779, -0.10553143918514252, 0.052396379411220551, -0.021898940205574036, -0.10008744150400162, 0.04021444171667099, -0.11369328200817108, 0.066904358565807343, 0.055797316133975983, 0.078929804265499115, -0.015146985650062561, 0.05185263603925705, 0.038926400244235992, 0.072212599217891693, 0.044650174677371979, -0.080883845686912537, 0.057732708752155304, -0.070167630910873413, 0.042086698114871979, -0.035497568547725677, -0.11557521671056747, 0.075907476246356964, 0.054234705865383148, 0.069166801869869232, -0.11760952323675156, 0.049213714897632599, -0.10296119749546051, -0.014162801206111908, -0.029324233531951904, 0.11602435261011124, -0.017607256770133972, 0.11395568400621414, -0.035244636237621307, 0.10175559669733047, 0.029751516878604889, -0.11722160130739212, 0.063182376325130463, 0.096546836197376251, 0.051076538860797882, -0.014615923166275024, 0.003419436514377594, 0.085411824285984039, 0.038231290876865387, 0.090116150677204132, 0.068756140768527985, 0.095043502748012543, -0.075482562184333801, 0.023836441338062286, -0.081721551716327667, 0.11906944960355759, -0.016031175851821899, -0.019395783543586731, -0.048269316554069519, -0.045777671039104462, 0.10198191553354263, -0.0025863423943519592, 0.026598237454891205, -0.034595683217048645, -0.032560668885707855, 0.036577470600605011, -0.1099056750535965, -0.11707840859889984, -0.025950536131858826, 0.037038765847682953, -0.10803160071372986, -0.10497771948575974, -0.06884351372718811, 0.059824667870998383, -0.11016858369112015, -0.031715631484985352, 0.0087547972798347473, -0.03453894704580307, -0.093441128730773926, 
  0.08325253427028656, -0.043071579188108444, 0.0016600314993411303, 0.0043531083501875401, 0.021438149735331535, 0.068112552165985107, 0.052760124206542969, 0.063742436468601227, 0.021776799112558365, -0.074465200304985046, -0.033925969153642654, -0.048635706305503845, 0.13274155557155609, -0.031466152518987656, 0.11109426617622375, 0.04594247043132782, -0.036316927522420883, 0.066512852907180786, 0.10412269830703735, 0.12441259622573853, -0.033353738486766815, -0.085723713040351868, 0.001592653919942677, -0.01360123697668314, -0.055517293512821198, 0.07881300151348114, 0.044637620449066162, -0.022311706095933914, 0.089227050542831421, 0.0636105015873909, 0.078711368143558502, 0.13673791289329529, 0.030281852930784225, 0.1313290148973465, -0.0092024067416787148, 0.098647184669971466, 0.013063759543001652, 0.05711568146944046, 0.14021672308444977, -0.038858231157064438, 0.021223751828074455, 0.055339034646749496, 0.12602221965789795, 0.089005894958972931, -0.009103698655962944, 0.099297128617763519, -0.084538646042346954, 0.096516810357570648, 0.0064716055057942867, 0.014105146750807762, 0.0057627088390290737, 0.029338408261537552, -0.013674786314368248, -0.02675960399210453, 0.005784349050372839, 0.097771972417831421, 0.0558168925344944, -0.021058207377791405, 0.099427364766597748, 0.036433052271604538, -0.00022231777256820351, 0.02376156859099865, 0.1213526725769043, 0.029652763158082962, 0.04904836043715477, 0.021735744550824165, 0.097397267818450928, 0.070918485522270203, 0.044461958110332489, -0.063228912651538849, -0.091451890766620636, -0.027033934369683266, -0.036562658846378326, -0.086748629808425903, -0.036391898989677429, -0.086568236351013184, 0.050309073179960251, 0.13902378082275391, 0.062697060406208038, 0.072550848126411438, -0.085151985287666321, 0.04753514751791954, 0.051641933619976044, 0.022042794153094292, 0.13459357619285583, 0.12845951318740845, -0.020615015178918839, 0.048802789300680161, -0.069145619869232178, -0.018159667029976845, 0.050039235502481461, 0.045120712369680405, -0.09247281402349472, 0.035559918731451035, -0.074940204620361328, 0.014149597845971584, 0.059485867619514465, 0.11566910892724991, -0.077761143445968628, 0.051978059113025665, 0.0014673337573185563, -0.0073424992151558399, 0.019796470180153847, 0.068180806934833527, 0.078542441129684448, -0.070363394916057587, -0.011169063858687878, -0.090702421963214874, -0.051374107599258423, -0.0038570386823266745, -0.0036192894913256168, 0.07880314439535141, 0.05985395610332489, -0.034013371914625168, 0.030268104746937752, -0.085887566208839417, -0.0068555176258087158, -0.070576533675193787, 0.048573028296232224, -0.1280900239944458, -0.10148771107196808, -0.048649486154317856, 0.0013205059804022312, 0.057036925107240677, -0.0043671601451933384, 0.033904973417520523, 0.033391311764717102, -0.091760747134685516, -0.083578199148178101, 0.079751037061214447, -0.070642642676830292, 0.032578941434621811, -0.087141908705234528, -0.09321894496679306, 0.065232045948505402, -0.1350252628326416, -0.067857399582862854, 0.0031023223418742418, -0.038995929062366486, 0.0001107337448047474, -0.045932810753583908, -0.03148072212934494, -0.104416623711586, -0.099388368427753448, 0.055724289268255234, 0.079404205083847046, -0.05879274383187294, -0.10157698392868042, -0.05612284317612648, -0.083437167108058929, -0.036922145634889603, 0.058464005589485168, -0.10579376667737961, 0.06074083223938942, -0.1170596182346344, -0.11759147047996521, -0.0054713455028831959, -0.11620499193668365, -0.066164031624794006, -0.12102203071117401, 0.00058750144671648741, 0.028589200228452682, -0.0074637671932578087, -0.13469609618186951, -0.03160351887345314, 0.082039378583431244, -0.0083078090101480484, 0.021803613752126694, -0.12970323860645294, -0.11370798945426941, 0.0076551539823412895, 0.074134819209575653, 0.093056194484233856, 0.052479192614555359, 0.082503370940685272, 0.082561321556568146, 0.077957779169082642, -0.045170076191425323, -0.13384829461574554, 0.093221530318260193, -0.010489201173186302, 0.054402302950620651, -0.050701968371868134, 0.073463946580886841, 0.034677557647228241, 0.078585810959339142, -0.055693604052066803, -0.030725561082363129, 0.025421058759093285, -0.024603294208645821, -0.058021195232868195, -0.10444656014442444, -0.083967901766300201, 0.083212070167064667, 0.10156211256980896, -0.020926637575030327, 0.077247411012649536, 0.09832397848367691, 0.099436871707439423, -0.12796075642108917, -0.10532446205615997, -0.11867524683475494, 0.028889797627925873, -0.081342816352844238, 0.10505794733762741, -0.009267246350646019, -0.073959991335868835, -0.090952970087528229, -0.068868272006511688, 0.025557287037372589, -0.079453252255916595, -0.041620064526796341, -0.076820798218250275, -0.097769521176815033, 0.088901996612548828, -0.10418964177370071, -0.024995569139719009, -0.07570745050907135, 0.078489705920219421, 0.10820872336626053, 0.065897025167942047, 0.050735186785459518, 0.10609763860702515, 0.077277898788452148, -0.083679422736167908, 0.067953504621982574, -0.047619614750146866, -0.015785377472639084, -0.044763471931219101, 0.080858305096626282, 0.0014272771077230573, -0.036254681646823883, -0.001933120540343225, -0.016362801194190979, -0.060828704386949539, 0.011125209741294384, 0.037260204553604126, -0.10073097795248032, 0.046955645084381104, -0.077827952802181244, 0.10973034054040909, 0.084222897887229919, 0.057656019926071167, -0.074419781565666199, 0.080455668270587921, -0.01989184133708477, -0.017321012914180756, -0.0454740971326828, 0.10085412114858627, -0.025942930951714516, -0.10478795319795609, 0.105724036693573, 0.031747236847877502, 0.066755957901477814, -0.023284502327442169, 0.074375830590724945, 0.070506840944290161, 0.0060701356269419193, -0.10453648865222931, -0.048595570027828217, -0.076311908662319183, 0.10918367654085159, -0.0059910877607762814, -0.094166852533817291, -0.041705232113599777, -0.07155376672744751, -0.065653279423713684, 0.097793534398078918, 0.041333962231874466, -0.072307780385017395, -0.036506634205579758, 0.0035512140020728111, -0.081421792507171631, 0.033875782042741776, 0.019203145056962967, -0.092093810439109802, -0.066690459847450256, 0.022128554061055183, -0.10701294243335724, 0.046910807490348816, 0.072549641132354736, -0.073268063366413116, -0.063229501247406006, -0.063898146152496338, -0.0030019260011613369, 0.030274501070380211, -0.029738934710621834, 0.0056646587327122688, 0.069123223423957825, -0.010990956798195839, -0.11033345013856888, -0.010611355304718018, -0.10937563329935074, -0.051038883626461029, 0.12067445367574692, -0.0890812948346138, 0.0081884525716304779, -0.056476369500160217, 0.10224572569131851, 0.12152094393968582, -0.11613443493843079, 0.09278029203414917, -0.11698007583618164, 0.064648240804672241, 0.062224645167589188, 0.0049884640611708164, 0.072464302182197571, 0.091508418321609497, -0.020830895751714706, -0.081739604473114014, 0.10207799822092056, -0.084542818367481232, -0.027759920805692673, -0.083717279136180878, -0.063616208732128143, -0.10456780344247818, 0.089533284306526184, -0.011933059431612492, -0.10730374604463577, -0.087912462651729584, 0.094738960266113281, -0.09258328378200531, -0.08558095246553421, -0.0034128243569284678, 0.061724983155727386, -0.020709050819277763, 0.058036591857671738, 0.064802467823028564, -0.021592644974589348, -0.079549916088581085, -0.071658685803413391, -0.023787526413798332, 0.0058746067807078362, 0.048957109451293945, 0.040365353226661682, -0.080476880073547363, 0.0038176376838237047, 0.038852889090776443, -0.07998163253068924, 0.029395647346973419, 0.11234322190284729, 0.027065176516771317, 0.034997314214706421, -0.01111797709017992, 0.011242672801017761, -0.020177634432911873, 0.062332265079021454, 0.0051515055820345879, -0.06009950116276741, -0.069322727620601654, 0.11162847280502319, -0.043596729636192322, 0.087633088231086731, 0.065153993666172028, 0.046578682959079742, 0.038749482482671738, -0.00030391840846277773, -0.061104502528905869, 0.10834190994501114, 0.015004754066467285, -0.045315656810998917, -0.051839806139469147, -0.021246565505862236, -0.068909339606761932, 0.023147964850068092, 0.08932630717754364, 0.0029435423202812672, -0.089485146105289459, 0.056701306253671646, 0.02228366956114769, 0.015493541955947876, 0.11615622788667679, -0.074732191860675812, 0.12192806601524353, -0.11065404117107391, 0.075655803084373474, -0.004429403692483902, -0.065045863389968872, -0.050850775092840195, -0.099298544228076935, 0.048030123114585876, 0.11683771759271622, -0.0026843179948627949, 0.11906258761882782, -0.035932973027229309, -0.10821132361888885, 0.017203735187649727, 0.11670626699924469, 0.053862154483795166, -0.0095154503360390663, -0.099445298314094543, 0.068307086825370789, -0.10211122781038284, 0.025241753086447716, 0.091876789927482605, -0.09082399308681488, -0.10820735245943069, 0.0077283931896090508, -0.088987410068511963, 0.068816386163234711, 
  -0.1437351405620575, 0.051170039921998978, -0.070313923060894012, -0.09829305112361908, -0.1011638268828392, -0.02068278007209301, -0.020952517166733742, -0.082418128848075867, -0.11085096746683121, 0.0077495137229561806, -0.15377426147460938, -0.1450890451669693, -0.17324218153953552, -0.13963015377521515, 0.046612042933702469, -0.027599701657891273, -0.080531373620033264, 0.000107931176899001, -0.024072591215372086, -0.097848132252693176, -0.033875972032546997, -0.070605486631393433, 0.052787046879529953, -0.14543166756629944, -0.026189703494310379, -0.053920883685350418, -0.11424305289983749, -0.03668849915266037, -0.026664074510335922, -0.08876858651638031, -0.0040920539759099483, -0.090844094753265381, -0.13047227263450623, -0.066319689154624939, -0.098908856511116028, -0.10686838626861572, -0.029677927494049072, 0.024936182424426079, -0.045833960175514221, -0.10283752530813217, 0.036395005881786346, -0.052676908671855927, -0.15950745344161987, -0.12005779147148132, -0.074051864445209503, -0.060714036226272583, 0.029787717387080193, 0.04449974000453949, 0.0060937926173210144, -0.0040045855566859245, -0.014324899762868881, -0.042258806526660919, 0.023383861407637596, -0.098633065819740295, -0.16793826222419739, 0.00045367947313934565, -0.12289544194936752, -0.0036669210530817509, -0.048042688518762589, -0.038308367133140564, -0.010402576997876167, -0.08914744108915329, -0.038461152464151382, -0.094388514757156372, -0.10495584458112717, -0.15655940771102905, -0.017510164529085159, -0.088135190308094025, -0.10929188132286072, -0.070832677185535431, -0.16123484075069427, 0.0073258047923445702, -0.075435280799865723, -0.0029820064082741737, -0.099596336483955383, -0.11897549033164978, -0.024868054315447807, -0.018813362345099449, 0.041640203446149826, -0.025742838159203529, 0.0054031205363571644, -0.032628577202558517, -0.088635578751564026, -0.044465173035860062, 0.01242496632039547, -0.1062796339392662, -0.092202268540859222, 0.050716426223516464, 0.066885210573673248, -0.026532299816608429, -0.076552011072635651, -0.045646019279956818, -0.021733609959483147, 0.071147218346595764, -0.12188581377267838, 0.0082350485026836395, 0.06880614161491394, -0.083492681384086609, 0.11414463818073273, 0.10807421803474426, 0.052683085203170776, 0.0057024499401450157, 0.092412315309047699, 0.058250267058610916, 0.015702139586210251, -0.05972057580947876, 0.086995907127857208, -0.070571564137935638, -0.05301719531416893, 0.018484611064195633, 0.14743456244468689, 0.093746736645698547, 0.10604618489742279, 0.10502476990222931, -0.024904286488890648, 0.11394991725683212, -0.052931323647499084, -0.067971639335155487, 0.071887224912643433, 0.017620861530303955, 0.12364576756954193, 0.023279553279280663, 0.055567678064107895, 0.041660547256469727, -0.03096892312169075, 0.071530252695083618, 0.15762519836425781, 0.0099278343841433525, 0.018289197236299515, 0.002724499674513936, -0.00061550841201096773, -0.026061510667204857, 0.022735048085451126, 0.027100354433059692, 0.12280283123254776, 0.13457243144512177, -0.02324490062892437, -0.057325784116983414, 0.080949693918228149, 0.061735827475786209, 0.11779745668172836, -0.018351061269640923, -0.04448951780796051, -0.052445750683546066, 0.14901532232761383, 0.12474109977483749, 0.023312143981456757, 0.084977887570858002, 0.16043506562709808, 0.078717343509197235, 0.028809452429413795, 0.045815136283636093, 0.047336447983980179, 0.021116254851222038, 0.082121677696704865, 0.088042810559272766, 0.017859555780887604, 0.094871431589126587, -0.055495604872703552, 0.16371899843215942, -0.063846670091152191, 0.13036702573299408, 0.0097995148971676826, 0.045543324202299118, 0.16293558478355408, -0.010411380790174007, -0.067422188818454742, -0.030846774578094482, -0.046735730022192001, 0.10268823802471161, -0.031303063035011292, 0.047131974250078201, -0.034625276923179626, 0.03980051726102829, 0.15858159959316254, 0.094050288200378418, -0.064353577792644501, 0.049734178930521011, -0.0334932841360569, 0.15161262452602386, 0.14201781153678894, -0.049015466123819351, 0.1570846289396286, 0.029934132471680641, -0.046247381716966629, 0.13819268345832825, 0.027574319392442703, -0.04714667797088623, -0.0066301114857196808, 0.036384847015142441, -0.024829618632793427, 0.11541169136762619, -0.05058036744594574, -0.043165720999240875, 0.10989091545343399, 0.14102201163768768, 0.021178243681788445, 0.11854985356330872, 0.11383078247308731, 0.017616797238588333, 0.0086563555523753166, 0.14052450656890869, 0.11345388740301132, 0.0040564448572695255, -0.04082639142870903, 0.14084194600582123, -0.037833061069250107, 0.0025993173476308584, -0.033023610711097717, 0.15649375319480896, -0.046880390495061874, 0.11495714634656906, -0.037010189145803452, 0.11623279005289078, 0.057487934827804565, 0.094655498862266541, -0.058115366846323013, 0.10566411167383194, 0.017938679084181786, -0.033060535788536072, -0.0674237459897995, 0.1260196715593338, 0.058273233473300934, -0.031897995620965958, 0.15445324778556824, -0.044579647481441498, -0.074664808809757233, 0.010047842748463154, 0.10266376286745071, -0.057490438222885132, -0.027159001678228378, 0.076635010540485382, -0.017361879348754883, 0.093702033162117004, -0.022888217121362686, 0.028795415535569191, -0.0095447571948170662, 0.045299630612134933, -0.039065167307853699, 0.072310522198677063, -0.076190948486328125, 0.084805190563201904, -0.0304530318826437, 0.0023514679633080959, 0.030962402001023293, 0.10003744065761566, 0.055455386638641357, -0.067877858877182007, 0.04472905769944191, -0.029009534046053886, 0.0063151409849524498, -0.019081668928265572, 0.08262818306684494, -0.068132616579532623, 0.10803267359733582, 0.056606926023960114, 0.085275985300540924, 0.082176968455314636, -0.052736949175596237, -0.082221455872058868, 0.087591178715229034, 0.082882441580295563, -0.043104398995637894, 0.014210748486220837, 0.067011825740337372, 0.1314065009355545, 0.0059024672955274582, 0.040008138865232468, 0.10704298317432404, 0.050135087221860886, -0.027316808700561523, 0.11209352314472198, 0.11810854822397232, 0.0078966999426484108, -0.036134760826826096, -0.047502581030130386, 0.068827085196971893, 0.0045533492229878902, 0.13258248567581177, 0.061966832727193832, 0.10663890093564987, 0.090274304151535034, -0.062564723193645477, 0.024097749963402748, -0.031429145485162735, 0.045701395720243454, 0.11881379038095474, 0.04079233855009079, 0.052759747952222824, 0.11218125373125076, 0.066046267747879028, -0.068930402398109436, 0.12222931534051895, 0.13788449764251709, 0.011339031159877777, 0.013570589944720268, 0.065051689743995667, 0.045132685452699661, 0.0052070342935621738, 0.080066509544849396, -0.036941938102245331, 0.13149434328079224, 0.001789037836715579, 0.035337582230567932, 0.0447419174015522, 0.1105479896068573, -0.0041553908959031105, 0.020989416167140007, 0.10302185267210007, 0.095099791884422302, -0.020617591217160225, 0.05955786257982254, -0.033172201365232468, 0.053568530827760696, 0.03968869149684906, 0.052740238606929779, 0.092985078692436218, 0.048856999725103378, 0.037937179207801819, -0.055808506906032562, -0.07893669605255127, 0.010026704519987106, -0.021263906732201576, -0.02054283581674099, -0.096284888684749603, 0.12327878177165985, -0.10083290934562683, 0.094290733337402344, 0.021927034482359886, 0.011837572790682316, -0.043239928781986237, 0.10564324259757996, -0.041844137012958527, -0.046826504170894623, -0.10871114581823349, 0.084794245660305023, -0.0583796426653862, 0.06285964697599411, 0.12755590677261353, 0.12216667085886002, -0.00029829901177436113, -0.066230930387973785, 0.093267418444156647, 0.0036558778956532478, -0.0090939709916710854, -0.019394585862755775, -0.061182521283626556, -0.07306293398141861, 0.078091554343700409, 0.091794192790985107, -0.013648562133312225, -0.052693251520395279, -0.10508106648921967, -0.028332898393273354, -0.058968730270862579, -0.058714482933282852, -0.015472022816538811, -0.059433873742818832, 0.11525008827447891, 0.076206080615520477, -0.010745299980044365, 0.066092856228351593, 0.10395529866218567, -0.00020095713261980563, -0.04957122728228569, 0.023820420727133751, -0.09851624071598053, -0.044058464467525482, 0.046433970332145691, 0.12026288360357285, -0.070017822086811066, 0.01760094054043293, 0.083159737288951874, -0.030272334814071655, -0.072575174272060394, 0.047285318374633789, 0.030698684975504875, -0.02578231506049633, 0.018905870616436005, -0.025458207353949547, -0.099322892725467682, -0.089017301797866821, -0.099899455904960632, 0.047561511397361755, -0.029579723253846169, 0.11062098294496536, 0.0049870978109538555, 0.016006572172045708, -0.002433043671771884, 0.034657411277294159, 0.1179807260632515, -0.10510579496622086, 0.10929521173238754, 0.069585211575031281, 0.091348931193351746, -0.10038598626852036, 0.10691015422344208, -0.12020232528448105, -0.031943880021572113, -0.095311887562274933, 
  -0.031799260526895523, 0.12247869372367859, -0.072236903011798859, -0.019982703030109406, -0.089706428349018097, 0.1164238303899765, 0.024728411808609962, -0.10227518528699875, 0.10182452201843262, -0.084569811820983887, 0.081897459924221039, -0.056255236268043518, -0.077676951885223389, -0.044216338545084, -0.057968404144048691, -0.0047210068441927433, 0.0052898186258971691, -0.085744298994541168, 0.014415117911994457, -0.025822533294558525, -0.029123026877641678, -0.086202628910541534, -0.10609675198793411, -0.015918087214231491, -0.01126725971698761, -0.095110155642032623, 0.0896449014544487, 0.043636053800582886, 0.050526462495326996, 0.089727625250816345, -0.096906289458274841, 0.10640081018209457, -0.096640527248382568, -0.05354747548699379, 0.019765375182032585, 0.044404685497283936, -0.10900554060935974, 0.033585265278816223, 0.058178611099720001, 0.047845438122749329, 0.021241970360279083, -0.098569244146347046, 0.081790052354335785, -0.070653319358825684, -0.070633471012115479, 0.096671201288700104, 0.059105899184942245, 0.099643610417842865, 0.03240889310836792, 0.010255338624119759, 0.11423805356025696, 0.044541656970977783, -0.046806924045085907, 0.11479791253805161, 0.053901396691799164, 0.020065551623702049, 0.00717169139534235, 0.11081311851739883, -0.031233690679073334, -0.061336304992437363, -0.01089487224817276, 0.066257402300834656, 0.041482288390398026, 0.094856716692447662, -0.098755784332752228, 0.043757077306509018, 0.05463762953877449, -0.074432834982872009, 0.081006534397602081, -0.063342414796352386, -0.10549855977296829, 0.10546028614044189, -0.033024657517671585, 0.11937156319618225, 0.047437489032745361, 0.061883177608251572, 0.022884447127580643, 0.01250754576176405, 0.10045824944972992, 0.096682772040367126, 0.088527046144008636, 0.10690046846866608, -0.0078663378953933716, -0.0044787619262933731, -0.064625069499015808, 0.042004682123661041, 0.08456815779209137, -0.091448239982128143, -0.08722078800201416, 0.11099167913198471, -0.10331691056489944, -0.095869466662406921, -0.11202853173017502, -0.1044226661324501, -0.083737820386886597, -0.070503190159797668, -0.11638011783361435, -0.088786035776138306, -0.077268175780773163, 0.065068483352661133, -0.10882072150707245, -0.0027653807774186134, -0.1078135222196579, 0.033300250768661499, -0.0074651096947491169, 0.026552662253379822, -0.015144907869398594, 0.077110372483730316, 0.062670238316059113, -0.024216616526246071, 0.096882335841655731, 0.011696583591401577, 0.075446061789989471, -0.054117333143949509, -0.01755249872803688, 0.059095270931720734, -0.0014538088580593467, 0.089698821306228638, -0.065007448196411133, 0.028186777606606483, 0.018162952736020088, 0.10042702406644821, -0.11622200161218643, -0.071924448013305664, -0.096404410898685455, 0.098195075988769531, -0.058034282177686691, -0.054106861352920532, -0.052784062922000885, 0.076529577374458313, -0.01847771555185318, -0.1130569726228714, -0.10900226980447769, -0.0036477309186011553, 0.10790389031171799, -0.077203541994094849, 0.071887999773025513, -0.031609382480382919, 0.086466878652572632, 0.03867708146572113, -0.085924766957759857, -0.007770054042339325, -0.079642727971076965, -0.045434221625328064, 0.027589607983827591, 0.030090648680925369, -0.051789745688438416, -0.10839406400918961, 0.040829181671142578, 0.072852946817874908, -0.12095163762569427, -0.04269925132393837, 0.0078904964029788971, 0.046762667596340179, -0.050159096717834473, -0.00090737640857696533, 0.018070459365844727, -0.029051041230559349, -0.08879920095205307, 0.025225071236491203, 0.03989052027463913, 0.079457052052021027, -0.0065050427801907063, -0.060083057731389999, -0.10540115833282471, -0.11942221969366074, 0.045631509274244308, 0.067492835223674774, -0.029688550159335136, -0.072785906493663788, 0.035994198173284531, -0.061980988830327988, 0.054217226803302765, -0.078394092619419098, 0.070026859641075134, -0.037610020488500595, 0.1015298143029213, 0.0086784344166517258, -0.075680941343307495, 0.0028692479245364666, -0.075031101703643799, -0.00061525724595412612, 0.038841161876916885, 0.01022806391119957, 0.015415126457810402, -0.072434864938259125, -0.038815781474113464, -0.010801822878420353, 0.059671703726053238, -0.11824507266283035, -0.016382703557610512, 0.00082416320219635963, 0.038926493376493454, 0.039025310426950455, 0.10499365627765656, 0.10963992029428482, 0.043297287076711655, -0.055257495492696762, 0.09207075834274292, -0.069912523031234741, -0.02186974324285984, 0.10648323595523834, 0.097199462354183197, -0.041264835745096207, -0.080506913363933563, -0.11062715947628021, 0.090917259454727173, 0.01105534378439188, -0.015751201659440994, 0.037375237792730331, 0.028039649128913879, -0.11111444234848022, -0.10078463703393936, 0.043495383113622665, -0.10612587630748749, -0.012193059548735619, 0.11638849973678589, -0.013242725282907486, 0.11409933865070343, 0.015623090788722038, 0.11852575838565826, 0.071674950420856476, 0.096018366515636444, -0.035543378442525864, 0.078813314437866211, 0.051855709403753281, -0.11149439960718155, -0.1189555749297142, 0.082147262990474701, -0.034995526075363159, -0.0025341266300529242, 0.012939292937517166, 0.10002864152193069, 0.057184051722288132, -0.10899744927883148, 0.034404106438159943, -0.11400222778320312, -0.032179679721593857, -0.078711479902267456, -0.093990318477153778, -0.11875135451555252, 0.094016879796981812, 0.067483112215995789, -0.016741788014769554, 0.052220951765775681, -0.098847381770610809, 0.053302887827157974, -0.044064715504646301, 0.091762714087963104, -0.018733737990260124, 0.06837831437587738, -0.0085748378187417984, 0.024442952126264572, -0.07897215336561203, -0.11138289421796799, 0.0035199751146137714, 0.018395718187093735, 0.066464588046073914, 0.033700801432132721, 0.077000029385089874, 0.048304252326488495, 0.10596925020217896, 0.0640253946185112, -0.10452346503734589, 0.092988505959510803, -0.068846218287944794, 0.0007451950223185122, -0.092172995209693909, -0.10504624247550964, -0.025686802342534065, -0.091779440641403198, -0.048809528350830078, 0.11184726655483246, 0.1117524579167366, 0.035101596266031265, 0.095784209668636322, 0.044980712234973907, 0.028075892478227615, 0.022064222022891045, 0.085819348692893982, 0.099235676229000092, 0.020296169444918633, 0.028589874505996704, 0.092269793152809143, 0.038789521902799606, 0.08515775203704834, -0.11626002192497253, 0.031868927180767059, -0.048275448381900787, 0.070095911622047424, 0.047909185290336609, -0.080210164189338684, 0.0062549328431487083, 0.040674466639757156, -0.024545779451727867, 0.029364069923758507, 0.055655870586633682, -0.076622672379016876, 0.068241290748119354, 0.028404638171195984, 0.09351116418838501, 0.096609562635421753, 0.057725537568330765, 0.019960338249802589, -0.074576549232006073, -0.034787625074386597, -0.084446430206298828, 0.07230079174041748, 0.10114879161119461, 0.080607548356056213, -0.042779207229614258, 0.083801291882991791, -0.005996357649564743, -0.049487732350826263, -0.054575800895690918, 0.044904522597789764, -0.11137178540229797, 0.035575933754444122, -0.0076199108734726906, 0.11678317189216614, -0.02852383628487587, -0.006774113979190588, -0.060988076031208038, -0.037352122366428375, 0.073301345109939575, 0.036990825086832047, -0.021260380744934082, 0.081943966448307037, -0.062252052128314972, -0.043548118323087692, 0.07664778083562851, 0.10311882197856903, -0.11077272146940231, -0.027247210964560509, -0.11573099344968796, 0.026891473680734634, 0.0058554569259285927, -0.050462786108255386, -0.027598600834608078, 0.11782865971326828, -0.078929595649242401, -0.10993749648332596, -0.01346872840076685, 0.053309284150600433, 0.021549249067902565, -0.10548492521047592, 0.092089295387268066, -0.10371538251638412, -0.011524488218128681, -0.025460004806518555, -0.070554189383983612, 0.10685582458972931, 0.018757050856947899, 0.029661038890480995, -0.049155868589878082, -0.079256303608417511, -0.068371310830116272, -0.010439068078994751, 0.014093595556914806, 0.066330485045909882, -0.10571252554655075, -0.10996975749731064, -0.0094201145693659782, 0.021660530939698219, -0.014151096343994141, -0.041786585003137589, -0.04850238561630249, -0.023330789059400558, -0.023417027667164803, 0.082149013876914978, -0.0016290068160742521, -0.030473686754703522, 0.075603052973747253, -0.076389782130718231, 0.090909168124198914, 0.015565194189548492, 0.0053708082996308804, -0.065775267779827118, 0.08561437577009201, 0.025032712146639824, -0.046364586800336838, 0.040430426597595215, -0.010854155756533146, -0.087686866521835327, -0.084396697580814362, -0.086123533546924591, -0.087130196392536163, -0.031659014523029327, -0.02537042647600174, 0.053934991359710693, 0.04629545658826828, -0.048001691699028015, 0.11537212133407593, -0.052935298532247543, 0.11416371911764145, 0.050937216728925705, 0.050039526075124741, 0.10725469887256622, -0.073764190077781677, 0.10159128159284592, 
  0.065203301608562469, 0.076852060854434967, 0.072549089789390564, -0.084224604070186615, 0.10242251306772232, 0.083484761416912079, -0.0088932197540998459, 0.0055485139600932598, 0.078297965228557587, -0.063972420990467072, -0.087841831147670746, 0.14101099967956543, 0.037646107375621796, -0.016698453575372696, -0.089895129203796387, -0.043746393173933029, 0.049934461712837219, 0.0088620185852050781, 0.11444652825593948, 0.028452344238758087, 0.014904625713825226, -0.0039682239294052124, 0.0074665099382400513, -0.033610373735427856, -0.020813083276152611, 0.13410912454128265, -0.071944892406463623, 0.056413453072309494, 0.1230754628777504, 0.027689471840858459, -0.012008259072899818, 0.073261305689811707, -0.021895222365856171, 0.076768964529037476, 0.11159924417734146, 0.066053017973899841, 0.010895106941461563, 0.042816899716854095, -0.070898197591304779, 0.05863700807094574, 0.088854558765888214, -0.067466236650943756, -0.053360119462013245, 0.10835707932710648, -0.0035451808944344521, 0.036343112587928772, 0.1220538392663002, 0.087142243981361389, -0.052833102643489838, 0.12970209121704102, -0.088831290602684021, -0.058463733643293381, 0.054611634463071823, -0.052875448018312454, -0.0052200602367520332, 0.029205745086073875, -0.070183932781219482, 0.070728614926338196, 0.098625555634498596, 0.063474543392658234, 0.0093516679480671883, 0.11588410288095474, -0.033731665462255478, 0.14587560296058655, 0.12976007163524628, 0.1326521635055542, -0.088649734854698181, 0.045385245233774185, 0.033129237592220306, -0.090639904141426086, 0.073639646172523499, -0.050441894680261612, 0.080568544566631317, 0.14397852122783661, -0.055006403475999832, 0.13540035486221313, 0.077453099191188812, 0.090540103614330292, 0.12507025897502899, 0.0090090222656726837, -0.028416875749826431, -0.0040557058528065681, 0.10671135783195496, -0.015540090389549732, 0.08411504328250885, 0.013036640360951424, 0.075695708394050598, 0.065942049026489258, 0.069081388413906097, -0.0011938068782910705, 0.11460759490728378, 0.00035753555130213499, -0.09236423671245575, -0.011241217143833637, 0.024833664298057556, 0.063374720513820648, -0.0095372637733817101, -0.093077592551708221, 0.12059271335601807, -0.075900964438915253, 0.10344874113798141, 0.083274856209754944, 0.056027963757514954, -0.10758651047945023, -0.074723601341247559, 0.05199577659368515, 0.020434508100152016, -0.097783602774143219, -0.0055790324695408344, 0.04116440936923027, -0.016875399276614189, -0.039745379239320755, -0.10226310044527054, -0.05669330433011055, 0.085911765694618225, -0.093002252280712128, 0.047640584409236908, -0.1351429671049118, 0.047518782317638397, 0.035121049731969833, -0.064503423869609833, -0.01233440637588501, 0.064016662538051605, -0.11873485147953033, 0.052042130380868912, -0.11002998054027557, -0.09779985249042511, -0.079140566289424896, 0.045618943870067596, 0.083903349936008453, -0.076863206923007965, -0.13465419411659241, -0.065159425139427185, 0.015095563605427742, 0.0079077864065766335, -0.10660856962203979, 0.046059157699346542, -0.016398288309574127, 0.018638040870428085, -0.089655622839927673, 0.0133697260171175, -0.09684666246175766, -0.039261657744646072, -0.094941049814224243, 0.025872373953461647, 0.012492652051150799, 0.039631739258766174, 0.071199789643287659, -0.077949382364749908, -0.085240453481674194, 0.067271202802658081, 0.090424805879592896, -0.012636659666895866, -0.03751847892999649, -0.078167997300624847, 0.066066466271877289, -0.10630328208208084, 0.033682327717542648, -0.036956124007701874, -0.096226148307323456, -0.05013066902756691, -0.060705415904521942, -0.0028954911977052689, -0.056988358497619629, -0.021494492888450623, 0.052037090063095093, -0.059723790735006332, 0.0096013220027089119, -0.094870887696743011, -0.044335160404443741, -0.084443032741546631, -0.055113956332206726, -0.10706114768981934, 0.036096416413784027, -0.030328633263707161, -0.095291383564472198, -0.10510803014039993, 0.086157731711864471, 0.012205194681882858, 0.072707787156105042, 0.075225889682769775, 0.048801485449075699, 0.039963316172361374, 0.080594003200531006, 0.074740022420883179, 0.0030195815488696098, -0.033468648791313171, -0.10005496442317963, 0.090247742831707001, 0.039043374359607697, -0.06482473760843277, -0.078056894242763519, -0.03253588080406189, -0.060712885111570358, 0.041065257042646408, -0.061714213341474533, -0.030221898108720779, -0.092823229730129242, 0.10374533385038376, 0.10994170606136322, 0.067088782787322998, 0.0099802296608686447, 0.028687182813882828, 0.034421000629663467, -0.023156860843300819, -0.031393326818943024, -0.015418872237205505, -0.007482780609279871, -0.10219456255435944, 0.10619175434112549, -0.11777451634407043, 0.038085661828517914, 0.041619528084993362, 0.090508840978145599, 0.0020263779442757368, 0.057797007262706757, 0.019979456439614296, -0.026450565084815025, 0.10917755216360092, -0.036454256623983383, -0.026677645742893219, 0.10349522531032562, -0.0049280663952231407, -0.059566106647253036, -0.069976471364498138, -0.04206196591258049, -0.061539065092802048, -0.11484969407320023, -0.065731257200241089, 0.091014623641967773, 0.098736941814422607, -0.044188529253005981, 0.01982438750565052, 0.12029280513525009, 0.08733656257390976, 0.021363381296396255, 0.02662934735417366, -0.074771828949451447, -0.069474093616008759, 0.05863436684012413, 0.115837462246418, -0.058712504804134369, 0.042552553117275238, -0.089234635233879089, 0.063533924520015717, -0.051980074495077133, 0.050966411828994751, -0.025515791028738022, 0.094417259097099304, -0.08919651061296463, -0.033955272287130356, -0.067423932254314423, -0.095804944634437561, 0.035292860120534897, 0.061934541910886765, -0.080830022692680359, 0.036420024931430817, 0.0083554908633232117, 0.043274924159049988, -0.00055415567476302385, -0.0091275488957762718, -0.039152104407548904, -0.096821613609790802, -0.097904309630393982, 0.080174393951892853, 0.115508072078228, -0.056018795818090439, 0.017965102568268776, 0.089008986949920654, 0.0075810723938047886, 0.033412780612707138, 0.027481988072395325, -0.019146077334880829, -0.092423640191555023, 0.0067637343890964985, 0.090777046978473663, -0.079599037766456604, 0.10762196034193039, -0.062658883631229401, 0.080389879643917084, -0.045159555971622467, -0.033443588763475418, 0.031650979071855545, 0.007450236938893795, 0.12570913136005402, 0.011508695781230927, 0.026219090446829796, -0.0033855969086289406, -0.026188500225543976, -0.030832771211862564, 0.099367476999759674, 0.11684203147888184, 0.00685477489605546, 0.0056108981370925903, 0.072611883282661438, 0.035049952566623688, 0.071110039949417114, 0.041290443390607834, 0.0043092239648103714, 0.11129210889339447, -0.092646874487400055, -0.099250391125679016, 0.065211378037929535, 0.10745211690664291, 0.098340526223182678, -0.055294062942266464, 0.11060408502817154, -0.076203055679798126, 0.11947618424892426, -0.088643811643123627, 0.00060372386360540986, -0.053219445049762726, -0.082319542765617371, -0.055861432105302811, 0.048248481005430222, -0.036968942731618881, 0.0030345418490469456, -0.04404662549495697, 0.077384047210216522, 0.11498989909887314, -0.0058455360122025013, -0.087690405547618866, -0.078361198306083679, 0.054300032556056976, -0.0779256671667099, -0.085474900901317596, 0.08888496458530426, -0.078304052352905273, -0.04785865917801857, -0.015100602991878986, 0.12720265984535217, -0.038354493677616119, 0.12324962764978409, -0.055168796330690384, -0.028177857398986816, 0.0046869055368006229, -0.096562661230564117, 0.12671475112438202, -0.065570473670959473, 0.047983165830373764, 0.033589571714401245, 0.099828921258449554, 0.028017401695251465, -0.022064879536628723, -0.053883694112300873, 0.11725057661533356, 0.010445535182952881, 0.027852758765220642, -0.096149817109107971, 0.085775882005691528, 0.080404520034790039, -0.0043605570681393147, -0.085705190896987915, -0.061609189957380295, 0.080936320126056671, 0.10051201283931732, 0.040611099451780319, 0.034694869071245193, -0.03597814217209816, 0.099800117313861847, -0.084456212818622589, 0.11298852413892746, -0.074312753975391388, -0.016182331368327141, -0.039756473153829575, 0.033759873360395432, -0.011677860282361507, -0.1081739068031311, -0.09530765563249588, -0.0098390784114599228, -0.00018282353994436562, -0.075976751744747162, -0.041793331503868103, 0.015813466161489487, 0.005677300039678812, -0.10272132605314255, 0.072482012212276459, 0.072946414351463318, 0.077837683260440826, 0.022350672632455826, 0.11481441557407379, 0.00023500029055867344, 0.037921346724033356, -0.0084138847887516022, 0.038748480379581451, -0.077231980860233307, 0.074722163379192352, -0.010667606256902218, -0.069805577397346497, 0.01635587215423584, 0.022491283714771271, -0.041816256940364838, 0.11898422241210938, 0.071719057857990265, -0.059055127203464508, -0.026407068595290184, -0.039785768836736679, 0.084972046315670013, 0.058407027274370193, 0.067524634301662445, 
  -0.005701601505279541, 0.022792927920818329, 0.010867245495319366, 0.057987414300441742, -0.10283718258142471, -0.0054719522595405579, -0.0093893557786941528, -0.044847831130027771, 0.059493996202945709, -0.021043621003627777, 0.0037891194224357605, -0.038006313145160675, -0.0566302090883255, -0.0050673261284828186, 0.0093125328421592712, -0.05008542537689209, 0.031432606279850006, 0.1046343669295311, 0.096220441162586212, -0.095483243465423584, 0.074557654559612274, -0.074881799519062042, -0.0086628720164299011, 0.099061004817485809, 0.090303070843219757, -0.087656766176223755, -0.040326468646526337, -0.074236072599887848, 0.10279261320829391, 0.067324824631214142, -0.091878093779087067, 0.035753242671489716, -0.0038343966007232666, -0.0872836634516716, -0.018045105040073395, 0.10042310506105423, -0.013067573308944702, 0.086923189461231232, -0.0054515153169631958, 0.085525892674922943, -0.083467587828636169, -0.050736941397190094, 0.061219476163387299, 0.067854829132556915, 0.033883906900882721, -0.092173658311367035, 0.078430436551570892, -0.012435033917427063, -0.037649907171726227, 0.083441652357578278, -0.030057795345783234, 0.11696844547986984, -0.070682242512702942, 0.11502651125192642, 0.083518736064434052, -0.11245966702699661, -0.091614730656147003, -0.046813748776912689, 0.064067043364048004, 0.034017182886600494, -0.067001417279243469, -0.041962333023548126, 0.11110500246286392, -0.077025420963764191, 0.10592000931501389, 0.098376654088497162, 0.10894676297903061, -0.065953031182289124, 0.085449181497097015, 0.050353057682514191, 0.012442208826541901, -0.049939155578613281, -0.061437021940946579, 0.022350974380970001, 0.048873387277126312, 0.0011799260973930359, 0.076785586774349213, 0.078380517661571503, 0.049675337970256805, -0.075107492506504059, -0.0013775750994682312, -0.093145988881587982, -0.046379290521144867, 0.034365288913249969, -0.11516518145799637, 0.057358689606189728, -0.030794486403465271, -0.042223960161209106, 0.033907614648342133, 0.010449178516864777, -0.099361322820186615, 0.031122453510761261, 0.067405752837657928, -0.085200518369674683, -0.063335314393043518, -0.020910710096359253, 0.0099361762404441833, -0.082632899284362793, -0.057653717696666718, -0.079665899276733398, 0.020211271941661835, 0.016164027154445648, 0.022368155419826508, -0.066577844321727753, -0.01564382016658783, -0.033764496445655823, -0.10098912566900253, -0.068127229809761047, -0.091172635555267334, 0.11377110332250595, -0.083487987518310547, 0.0054309740662574768, 0.032760344445705414, -0.099254429340362549, -0.07308042049407959, 0.020437590777873993, 0.098390243947505951, -0.021104797720909119, -0.07571643590927124, 0.11731486767530441, 0.040632344782352448, -0.028176397085189819, -0.061584949493408203, -0.10079672187566757, 0.041843615472316742, -0.0050238966941833496, 0.035690091550350189, -0.019839867949485779, 0.0031593441963195801, -0.098889276385307312, 0.082821063697338104, 0.078911341726779938, 0.10324709862470627, -0.1170518770813942, -0.089087091386318207, 0.11765503138303757, -0.062476661056280136, 0.072712399065494537, 0.094107978045940399, 0.033968769013881683, 0.039347417652606964, 0.11775244027376175, -0.098717160522937775, 0.063585944473743439, -0.046160347759723663, 0.036435194313526154, -0.037550024688243866, 0.01965600997209549, 0.0035326257348060608, -0.03194756805896759, 0.058520488440990448, -0.068523749709129333, 0.0054028183221817017, 0.039087377488613129, -0.09439319372177124, -0.035841010510921478, -0.091948390007019043, 0.11708161979913712, 0.019008763134479523, 0.10962765663862228, 0.073192708194255829, 0.013844065368175507, -0.0086047947406768799, 0.035691805183887482, -0.095913931727409363, -0.10974432528018951, 0.093064092099666595, 0.0059864744544029236, -0.029096409678459167, -0.089334502816200256, -0.10478066653013229, 0.10989934951066971, 0.0086883231997489929, -0.081431172788143158, 0.004828326404094696, 0.11669179052114487, 0.087326236069202423, -0.058363307267427444, 0.0045218467712402344, 0.020815737545490265, -0.1055305227637291, -0.08971056342124939, -0.070093914866447449, 0.11334944516420364, 0.013420380651950836, -0.05647413432598114, 0.07835397869348526, -0.00053448230028152466, -0.064395472407341003, 0.059204213321208954, -0.064390882849693298, -0.061308275908231735, -0.066562831401824951, 0.045839227735996246, 0.055363766849040985, -0.065403416752815247, -0.035392306745052338, -0.03751671314239502, -0.027668789029121399, -0.0067162737250328064, -0.11238370090723038, 0.0091542080044746399, -0.097404129803180695, -0.079013451933860779, 0.040275566279888153, 0.058358006179332733, -0.11609513312578201, -0.017782449722290039, 0.095180265605449677, 0.074823550879955292, -0.08976784348487854, -0.013262569904327393, -0.093056395649909973, 0.073184974491596222, 0.039232112467288971, 0.035239391028881073, -0.070693984627723694, -0.084311880171298981, -0.052695758640766144, -0.06528182327747345, -0.007539793848991394, -0.11621564626693726, 0.10973196476697922, 0.10710469633340836, 0.096910081803798676, 0.05222678929567337, 0.025933302938938141, -0.041822105646133423, -0.11125726252794266, 0.0089342966675758362, 0.011474527418613434, 0.044207744300365448, -0.079027354717254639, -0.044810444116592407, 0.06530538946390152, 0.070574469864368439, -0.025748781859874725, 0.080221585929393768, -0.040543578565120697, 0.016471870243549347, -0.0061866119503974915, 0.061096839606761932, -0.014491051435470581, 0.087033383548259735, -0.078883618116378784, -0.019629284739494324, -0.10471894592046738, -0.11773274093866348, -0.014318682253360748, 0.01210581511259079, -0.09900374710559845, -0.067852810025215149, 0.010612569749355316, -0.018155701458454132, -0.032359570264816284, -0.055253885686397552, -0.036011785268783569, 0.10341460257768631, 0.071036122739315033, 0.072570882737636566, -0.11101315915584564, -0.0047694817185401917, -0.090395592153072357, -0.069689631462097168, 0.0039583593606948853, -0.066979020833969116, -0.044985443353652954, 0.063385747373104095, 0.093459852039813995, 0.039746113121509552, -0.10456722974777222, 0.11837437003850937, 0.033846490085124969, 0.017136670649051666, -0.0090968683362007141, -0.084334336221218109, -0.057442501187324524, -0.080173477530479431, 0.10634718090295792, 0.00073124468326568604, 0.074735961854457855, -0.073673069477081299, 0.096926845610141754, -0.016180925071239471, -0.069802477955818176, 0.03396596759557724, 0.048513270914554596, -0.032030805945396423, 0.0011443644762039185, 0.0055671557784080505, 0.058465234935283661, -0.075342223048210144, 0.055686093866825104, -0.0093057528138160706, 0.086308293044567108, 0.053800426423549652, 0.017900802195072174, 0.012788482010364532, -0.065997108817100525, 0.023263745009899139, -0.097783699631690979, 0.027976445853710175, 0.11463802307844162, -0.053117111325263977, 0.050480328500270844, -0.023129560053348541, -0.0025745108723640442, 0.1090020164847374, -0.052382953464984894, -0.09151439368724823, 0.05481218546628952, 0.028021268546581268, -0.084940537810325623, 0.030632369220256805, -0.067849069833755493, 0.0076531246304512024, 0.11643914133310318, 0.017493121325969696, -0.096959441900253296, 0.074062727391719818, -0.046809613704681396, -0.11523494124412537, -0.0014035925269126892, -0.0026398003101348877, -0.082275122404098511, -0.058664858341217041, -0.021076247096061707, -0.038090437650680542, 0.010094158351421356, 0.069654040038585663, -0.015214294195175171, 0.083133064210414886, 0.063611216843128204, 0.11579697579145432, -0.054548032581806183, -0.0076864138245582581, 0.1088218167424202, -0.063613638281822205, 0.048162169754505157, -0.073423862457275391, -0.013919413089752197, 0.023151762783527374, -0.024165920913219452, -0.095746688544750214, 0.019307874143123627, -0.070952080190181732, 0.036360077559947968, -0.099832229316234589, -0.11652956157922745, 0.057795263826847076, 0.036156527698040009, 0.036717958748340607, -0.030150890350341797, -0.029163859784603119, 0.10430965572595596, -0.11816143989562988, 0.028123475611209869, 0.092600084841251373, -0.0012884363532066345, -0.035412818193435669, -0.07108721137046814, 0.057858146727085114, 0.02272961288690567, 0.090463437139987946, -0.1159195676445961, -0.10354836285114288, 0.015972666442394257, -0.10629191994667053, -0.10001099109649658, 0.021774701774120331, 0.061699472367763519, 0.085834763944149017, 0.0051863566040992737, -0.069829970598220825, 0.049981586635112762, -0.1186765730381012, 0.063364528119564056, -0.068218901753425598, 0.086793176829814911, -0.10614781826734543, -0.050098389387130737, -0.080747887492179871, -0.081846795976161957, 0.07121584564447403, 0.075293399393558502, 0.077359683811664581, -0.087443724274635315, -0.056557372212409973, 0.062071390450000763, 0.0296979621052742, 0.04934249073266983, -0.045094810426235199, -0.0021261498332023621, 0.11561869829893112, 0.026510529220104218, -0.083828411996364594, -0.024339064955711365, 0.0111527219414711, 0.017355971038341522, 0.05786026269197464, 
  -0.13425558805465698, -0.13756018877029419, -0.15206053853034973, -0.12845596671104431, 0.071430355310440063, -0.079858087003231049, -0.0018974813865497708, -0.043824028223752975, -0.023693172261118889, 0.039628047496080399, -0.031316772103309631, 0.060279734432697296, -0.018017414957284927, 0.059064023196697235, -0.054194163531064987, -0.12718430161476135, -0.11488432437181473, 0.031493641436100006, -0.077360965311527252, -0.053247004747390747, -0.10487700998783112, -0.034617740660905838, 0.03359062597155571, -0.14746886491775513, -0.092579148709774017, -0.0034461889881640673, -0.12670847773551941, 0.024924123659729958, -0.00013662010314874351, -0.13923612236976624, 0.071618586778640747, -0.062126036733388901, -0.15128608047962189, -0.043896082788705826, 0.061737887561321259, 0.0020901155658066273, -0.084089659154415131, -0.02747759036719799, -0.1177687868475914, -0.053331535309553146, -0.089364275336265564, -0.036185473203659058, 0.052861317992210388, 0.060340296477079391, -0.0033733067102730274, 0.033898711204528809, -0.019424416124820709, 0.029308212921023369, -0.090534321963787079, -0.15227212011814117, 0.064889542758464813, -0.098613642156124115, -0.13699308037757874, -0.040012873709201813, 0.029316887259483337, -0.11728668957948685, -0.025825969874858856, 0.055603951215744019, -0.15569818019866943, 0.066963911056518555, -0.10806024819612503, -0.019340783357620239, 0.027483100071549416, -0.14514371752738953, -0.1276499480009079, -0.10024513304233551, 0.055359918624162674, -0.071894742548465729, -0.15642367303371429, -0.10138705372810364, -0.089299194514751434, -0.058550413697957993, -0.10678610950708389, -0.10018814355134964, -0.0034449244849383831, -0.094909593462944031, -0.1334322988986969, -0.13972795009613037, 0.023617750033736229, 0.038637671619653702, 0.046122085303068161, 0.069627493619918823, -0.099375873804092407, -0.13185405731201172, -0.11752971261739731, 0.030151121318340302, 0.030504506081342697, -0.098031088709831238, 0.02158416248857975, 0.048918046057224274, 0.051082432270050049, -0.048547372221946716, 0.011457664892077446, -0.03026844747364521, 0.0026247492060065269, -0.086032263934612274, 0.07978782057762146, -0.025581162422895432, 0.081892594695091248, 0.083290174603462219, -0.081596732139587402, -0.041854139417409897, -0.0022221996914595366, 0.068206325173377991, -0.1135580763220787, 0.040791504085063934, 0.12355086207389832, 0.12168288230895996, 0.11739120632410049, 0.073879502713680267, 0.0080195749178528786, 0.06674116849899292, -0.061328452080488205, 0.060666419565677643, -0.074102781713008881, -0.023507457226514816, -0.059523586183786392, 0.09727245569229126, 0.10686878859996796, -0.084991008043289185, 0.079300396144390106, 0.01204350683838129, 0.13078758120536804, 0.067905806005001068, 0.079282581806182861, 0.093023315072059631, -0.01245252788066864, -0.0086588058620691299, -0.0095265302807092667, -0.079164810478687286, -0.016983652487397194, -0.025428732857108116, -0.0052674491889774799, -0.052366115152835846, 0.091873452067375183, 0.11611620336771011, 0.02018655464053154, 0.053936466574668884, 0.079930633306503296, -0.011502389796078205, 0.092876844108104706, -0.023981319740414619, 0.0024071771185845137, -0.059112548828125, 0.012406419031322002, 0.047449491918087006, 0.011263597756624222, 0.1310558021068573, -0.056508403271436691, 0.097880877554416656, 0.086228258907794952, -0.018418649211525917, -0.047303210943937302, -0.019385844469070435, -0.012496627867221832, 0.090606510639190674, -0.048369530588388443, -0.045060459524393082, -0.064101085066795349, 0.10196058452129364, 0.091875918209552765, -0.028052086010575294, 0.025738134980201721, 0.086842499673366547, 0.11114774644374847, 0.087339326739311218, -0.026855796575546265, -0.029113613069057465, 0.055340614169836044, 0.0040616742335259914, 0.096895717084407806, -0.072105765342712402, -0.033665888011455536, 0.050941474735736847, 0.086089864373207092, 0.095299750566482544, 0.081952385604381561, 0.027709761634469032, 0.083606034517288208, -0.021079296246170998, 0.063334248960018158, 0.002733888104557991, -0.04280124232172966, -0.021565781906247139, -0.027840040624141693, -0.017679544165730476, 0.074118912220001221, -0.073517955839633942, 0.094771154224872589, -0.065747492015361786, 0.13267330825328827, 0.090642079710960388, -0.088172219693660736, 0.086920566856861115, 0.12123283743858337, 0.054176181554794312, 0.044083248823881149, 0.089524127542972565, 0.013499990105628967, 0.12576200067996979, 0.029481615871191025, 0.061440672725439072, 0.11767451465129852, -0.0079503823071718216, -0.012934599071741104, -0.040878593921661377, 0.10808920115232468, 0.050118833780288696, 0.079902298748493195, 0.092098705470561981, 0.10104846954345703, -0.022490339353680611, 0.040419779717922211, -0.067407339811325073, -0.088474996387958527, -0.0041265655308961868, 0.001846995553933084, 0.10471583157777786, -0.041655033826828003, 0.052479885518550873, 0.015116341412067413, -0.012843758799135685, -0.0070755495689809322, 0.033942215144634247, -0.04165257140994072, 0.036512322723865509, 0.10997148603200912, -0.010059267282485962, -0.036942273378372192, -0.071392856538295746, 0.053110089153051376, 0.039934728294610977, 0.0059295631945133209, -0.016426235437393188, -0.054762143641710281, -0.043284147977828979, 0.090702436864376068, 0.075641155242919922, -0.078335635364055634, 0.10575294494628906, -0.0019444547360762954, -0.03004014678299427, -0.046865500509738922, 0.059584837406873703, 0.10218556970357895, 0.032979223877191544, 0.01755932904779911, 0.10660451650619507, 0.057606842368841171, -0.035529915243387222, -0.044475633651018143, -0.0082580633461475372, -0.073460862040519714, 0.095549412071704865, -0.10663364827632904, -0.034164067357778549, 0.087618120014667511, -0.044278394430875778, 0.017307521775364876, 0.07272135466337204, -0.017079269513487816, -0.0030480795539915562, 0.054898079484701157, -0.013417508453130722, 0.034617118537425995, 0.010747481137514114, 0.062472961843013763, 0.031796317547559738, -0.027190016582608223, 0.035471551120281219, -0.058736477047204971, -0.046626798808574677, -0.077103972434997559, 0.11054921895265579, -0.027819743379950523, 0.094548895955085754, 0.093037992715835571, 0.020791342481970787, 0.0034885695204138756, 0.062955267727375031, -0.010201774537563324, 0.053637314587831497, 0.023123295977711678, 0.08971027284860611, 0.066153638064861298, 0.027213448658585548, -0.077281832695007324, 0.071482732892036438, 0.032130707055330276, -0.11634822189807892, 0.086020074784755707, -0.0233499426394701, 0.010458407923579216, -0.036790095269680023, 0.060575030744075775, 0.047249801456928253, -0.083051115274429321, 0.05441342294216156, 0.057712871581315994, -0.0078054023906588554, 0.020848602056503296, -0.071736432611942291, -0.074117608368396759, -0.062054086476564407, -0.11281561106443405, -0.028537604957818985, 0.04807412251830101, -0.019340287894010544, 0.0082926023751497269, 0.095398545265197754, 0.0076626534573733807, 0.019331488758325577, -0.11558426171541214, 0.070742182433605194, -0.11227425187826157, -0.075547844171524048, 0.070739485323429108, -0.034026633948087692, -0.021366454660892487, 0.018902678042650223, -0.11294896900653839, -0.0035510903690010309, -0.098657801747322083, -0.022318556904792786, 0.033737316727638245, -0.048433125019073486, -0.089320279657840729, 0.0077788303606212139, 0.044922549277544022, -0.10382986068725586, -0.096021957695484161, -0.068645656108856201, -0.12678712606430054, -0.018943961709737778, -0.11136210709810257, -0.11848713457584381, 0.10106576979160309, -0.0036171548999845982, -0.11038941890001297, -0.10826123505830765, -0.024967771023511887, 0.0043656425550580025, -0.035096529871225357, -0.056414045393466949, 0.097914308309555054, 0.030176185071468353, -0.081268936395645142, -0.094002075493335724, -0.023722978308796883, 0.10330821573734283, -0.034550316631793976, 0.099746555089950562, 0.090902045369148254, 0.045173104852437973, -0.097665265202522278, -0.04050755500793457, -0.01916518434882164, 0.10163787007331848, 0.036797922104597092, 0.099369242787361145, 0.084141038358211517, -0.042221728712320328, 0.096518322825431824, -0.066942140460014343, -0.034445516765117645, 0.019723610952496529, 0.052023351192474365, 0.06557270884513855, -0.066371820867061615, 0.062842331826686859, 0.065388545393943787, -0.11081061512231827, 0.061926744878292084, 0.085862413048744202, -0.0095527749508619308, 0.071005664765834808, -0.044435109943151474, 0.057069584727287292, -0.12673118710517883, -0.079315952956676483, -0.075307257473468781, 0.096832171082496643, 0.097431987524032593, -0.059785790741443634, -0.063082374632358551, 0.0023999437689781189, -0.081105619668960571, 0.09589850902557373, 0.057543087750673294, -0.13253945112228394, -0.055990356951951981, 0.029498552903532982, -0.10799389332532883, -0.019763810560107231, 0.0021606921218335629, -0.092740200459957123, -0.069486051797866821, -0.13574112951755524, -0.1277690976858139, -0.12464218586683273, 
  0.13329516351222992, 0.099538683891296387, 0.029802063480019569, 0.014141584746539593, 0.047586023807525635, 0.15130387246608734, 0.065381668508052826, 0.117855504155159, 0.12636581063270569, 0.14596061408519745, 0.009805687703192234, 0.13282683491706848, 0.050373781472444534, -0.044452600181102753, -0.035499423742294312, 0.087336897850036621, 0.05207240954041481, 0.10414911806583405, 0.12668411433696747, 0.12204138189554214, 0.094780713319778442, -0.010076022706925869, 0.031449649482965469, 0.06336665153503418, 0.11874672770500183, -0.046283375471830368, 0.011277621611952782, 0.13023203611373901, -0.038260120898485184, 0.10807675868272781, -0.06718098372220993, 0.082965448498725891, -0.041805565357208252, -0.0077951345592737198, 0.12045664340257645, -0.056768618524074554, 0.13054387271404266, 0.093245737254619598, 0.13073861598968506, -0.014567570760846138, -0.013364411890506744, 0.00070440978743135929, -0.081366181373596191, -0.070388428866863251, -0.064955070614814758, 0.022738164290785789, -0.081510253250598907, 0.035399995744228363, 0.030478788539767265, 0.054257899522781372, 0.0071579338982701302, 0.023990454152226448, 0.13182662427425385, 0.15403169393539429, 0.14948186278343201, -0.023453729227185249, 0.129102423787117, 0.082202747464179993, -0.074623331427574158, 0.087826482951641083, 0.0062628542073071003, 0.019733887165784836, 0.11021971702575684, 0.049369636923074722, 0.046773273497819901, 0.11011684685945511, 0.1222398430109024, -0.032398119568824768, 0.079048410058021545, 0.093189448118209839, -0.043619684875011444, -0.021064098924398422, 0.039490915834903717, 0.15096820890903473, -0.0031966276001185179, 0.066603526473045349, -0.040234234184026718, 0.080222569406032562, -0.029028849676251411, 0.012436946853995323, -0.055026136338710785, -0.0045499359257519245, 0.084722273051738739, 0.13415534794330597, 0.06360500305891037, -0.00071214308263733983, 0.11935394257307053, 0.14926339685916901, -0.016547352075576782, -0.058845940977334976, 0.027373306453227997, 0.12292551249265671, 0.067831829190254211, -0.045946259051561356, -0.071842469274997711, -0.062586471438407898, 0.023116102442145348, 0.092463478446006775, 0.0037305904552340508, -0.0624559186398983, -0.080743692815303802, -0.0071805967018008232, 0.10818178206682205, -0.06455676257610321, 0.07230067253112793, 0.092003926634788513, -0.047827403992414474, 0.042544744908809662, 0.096615411341190338, -0.0019219396635890007, 0.02559194527566433, 0.0084016397595405579, -0.080370090901851654, -0.053076028823852539, 0.063767716288566589, 0.007067069411277771, -0.040188264101743698, 0.13231198489665985, -0.075723074376583099, -0.061272293329238892, 0.084839768707752228, 0.10947516560554504, 0.078733175992965698, 0.097379565238952637, 0.11124325543642044, 0.040400069206953049, 0.010709206573665142, -0.10840113461017609, -0.06798350065946579, 0.094116553664207458, 0.12698552012443542, 0.097931459546089172, 0.07386142760515213, 0.04028678685426712, 0.040816713124513626, 0.1073070764541626, -0.016234429553151131, 0.095562100410461426, 0.068170242011547089, -0.038594692945480347, 0.094169870018959045, -0.11035959422588348, 0.097266852855682373, 0.018440596759319305, -0.0244135782122612, 0.10201678425073624, -0.016607986763119698, 0.051046326756477356, 0.034688767045736313, -0.088014930486679077, 0.050424724817276001, -0.11038366705179214, -0.083670750260353088, 0.090778462588787079, 0.023386677727103233, 0.0047465148381888866, 0.044616986066102982, 0.070985943078994751, 0.034636162221431732, 0.086770899593830109, -0.083750486373901367, -0.038549467921257019, 0.10379502177238464, 0.12196320295333862, 0.11101669073104858, -0.010974316857755184, -0.05687703937292099, -0.082852885127067566, 0.090972386300563812, -0.053233373910188675, -0.011381331831216812, 0.047058291733264923, 0.028919562697410583, -0.05010855570435524, 0.079357646405696869, -0.086475618183612823, -0.10473796725273132, 0.04564347118139267, -0.065677255392074585, 0.08876810222864151, 0.038528554141521454, -0.075988292694091797, -0.083510488271713257, -0.090889126062393188, 0.081004299223423004, -0.075566031038761139, 0.024992682039737701, -0.076685145497322083, -0.021479172632098198, -0.0033478634431958199, 0.027465661987662315, 0.11094244569540024, 0.11689265817403793, 0.10181735455989838, -0.094413772225379944, -0.045855071395635605, 0.01815955713391304, 0.051473267376422882, 0.11162052303552628, -0.022934429347515106, -0.045867621898651123, -0.095368191599845886, -0.027177063748240471, 0.071940898895263672, -0.025311486795544624, 0.043522287160158157, 0.067798040807247162, -0.026474619284272194, 0.12240919470787048, 0.053425341844558716, -0.098412923514842987, 0.054898720234632492, -0.092797994613647461, 0.018267108127474785, 0.069131180644035339, -0.021794773638248444, -0.023590430617332458, -0.098353385925292969, 0.035773042589426041, 0.0091458000242710114, 0.079085744917392731, -0.099678076803684235, -0.064957126975059509, 0.047400981187820435, 0.10207990556955338, -0.0019381411839276552, -0.095450155436992645, 0.068330921232700348, -0.037646573036909103, -0.046452190726995468, 0.1030990332365036, -0.094891086220741272, 0.064333610236644745, 0.12884888052940369, 0.048901773989200592, 0.025057584047317505, -0.043019473552703857, 0.10098210722208023, 0.11298321932554245, 0.023572314530611038, 0.065149366855621338, -0.028373869135975838, -0.085289880633354187, 0.08331809937953949, -0.01884821429848671, 0.037905149161815643, 0.10375209897756577, 0.10918158292770386, -0.02312072180211544, 0.11130749434232712, -0.020713480189442635, 0.022783407941460609, 0.13869805634021759, -0.016653802245855331, -0.094004534184932709, 0.088377930223941803, -0.078157499432563782, 0.01657874695956707, 0.07679826021194458, -0.040113631635904312, -0.075623899698257446, -0.013077050447463989, -0.039332203567028046, 0.010186223313212395, 0.097248367965221405, 0.026885615661740303, 0.11806077510118484, -0.04077746719121933, 0.12128141522407532, -0.016785435378551483, 0.059700910001993179, -0.088734932243824005, 0.087788991630077362, 0.1297859251499176, 0.070317767560482025, 0.12908934056758881, 0.1028485894203186, 0.1210973709821701, -0.00097596680279821157, 0.032991997897624969, -0.079569011926651001, -0.012358531355857849, -0.047028377652168274, 0.036939710378646851, -0.010969014838337898, 0.12639020383358002, 0.021377632394433022, -0.032638642936944962, 0.12013402581214905, 0.024470306932926178, 0.058418083935976028, 0.061431869864463806, -0.0051460340619087219, 0.03984127938747406, 0.048929434269666672, 0.022366499528288841, 0.11230238527059555, -0.083375714719295502, -0.078718744218349457, -0.046100795269012451, 0.061133153736591339, -0.040965873748064041, 0.012000539340078831, 0.056086789816617966, -0.038083449006080627, 0.073305875062942505, -0.080801069736480713, -0.039401788264513016, 0.035227145999670029, 0.018438618630170822, 0.070553243160247803, -0.079172879457473755, 0.096778735518455505, 0.050139795988798141, -0.050015546381473541, 0.052031144499778748, 0.024264205247163773, -0.039898332208395004, 0.035125326365232468, -0.047649268060922623, -0.057082977145910263, -0.034703303128480911, -0.058094996958971024, 0.073924042284488678, -0.066362731158733368, -0.084601655602455139, 0.12082052230834961, 0.0028368616476655006, -0.0092761525884270668, -0.0078957816585898399, -0.05016627162694931, -0.039448298513889313, 0.13464927673339844, 0.068595744669437408, 0.11064153909683228, 0.1367294043302536, 0.011666636914014816, -0.021913604810833931, -0.071985349059104919, 0.10437626391649246, 0.106398805975914, 0.10989566892385483, -0.011657231487333775, 0.033708918839693069, 0.11252035945653915, 0.046142913401126862, 0.14700409770011902, -0.069706976413726807, 0.076719373464584351, -0.044558245688676834, 0.11528176069259644, 0.02048824355006218, 0.10699573904275894, 0.13879890739917755, -0.037085540592670441, -0.087401553988456726, 0.13724598288536072, 0.10441672801971436, 0.13892653584480286, 0.059946257621049881, -0.01747719943523407, 0.00013546666014008224, -0.016380077227950096, -0.083916857838630676, 0.097773879766464233, 0.01288010086864233, 0.061663787811994553, -0.042958114296197891, 0.11452539265155792, -0.027890820056200027, 0.11059755831956863, -0.019120864570140839, 0.018682677298784256, -0.068332791328430176, 0.099330313503742218, 0.081452026963233948, 0.032475005835294724, 0.066618062555789948, -0.0544450543820858, -0.073258712887763977, -0.086218245327472687, 0.018549712374806404, -0.080064617097377777, 0.040748860687017441, 0.14441145956516266, -0.084613382816314697, 0.13196048140525818, 0.011190841905772686, 0.1216004267334938, 0.14778262376785278, 0.017457209527492523, 0.06457393616437912, 0.086221575736999512, 0.058848649263381958, 0.10825467109680176, 0.01434633694589138, -0.08325669914484024, 0.090110369026660919, 0.012643182650208473, 0.094658449292182922, 
  0.014058390632271767, 0.0497848279774189, -0.010348718613386154, -0.097777433693408966, 0.060398850589990616, -0.068689636886119843, 0.00077206781134009361, -0.082255832850933075, -0.047705713659524918, 0.07850281149148941, -0.03928687795996666, -0.088915765285491943, -0.11590345948934555, 0.066814027726650238, 0.072879806160926819, -0.14491984248161316, 0.028891550377011299, -0.038185872137546539, -0.14407922327518463, -0.056423135101795197, -0.14120392501354218, -0.055017299950122833, 0.074550971388816833, -0.05105237290263176, -0.12976470589637756, -0.044978950172662735, -0.11857555061578751, 0.00411949772387743, 0.060868199914693832, -0.081198260188102722, 0.046864759176969528, -0.070995710790157318, -0.069407612085342407, 0.06711876392364502, -0.13335533440113068, -0.09753204882144928, -0.093929685652256012, -0.044910009950399399, -0.12021664530038834, 0.076770558953285217, -0.059348754584789276, -0.0061907055787742138, -0.011178841814398766, 0.057897653430700302, -0.042848736047744751, -0.082187242805957794, 0.037547644227743149, -0.081852778792381287, -0.050330366939306259, 0.016865622252225876, -0.067548297345638275, -0.07340124249458313, -0.069696374237537384, -0.12248116731643677, 0.061902821063995361, 0.047424182295799255, 0.050975393503904343, -0.029513465240597725, 0.037457581609487534, 0.01682041771709919, -0.1203233003616333, -0.099843524396419525, 0.0094352960586547852, -0.046429235488176346, -0.060634080320596695, 0.042456958442926407, 0.073726743459701538, 0.069240614771842957, 0.070381738245487213, -0.12621922791004181, -0.14295423030853271, -0.12478803843259811, 0.0017633922398090363, -0.040825415402650833, -0.12691731750965118, 0.052651483565568924, -0.026382202282547951, 0.007532825693488121, -0.089179538190364838, 0.020266715437173843, -0.016815656796097755, -0.036627709865570068, 0.077355705201625824, -0.040003236383199692, -0.093973644077777863, 0.050512708723545074, -0.098108366131782532, -0.046992748975753784, -0.038037441670894623, -0.054134972393512726, 0.074898131191730499, 0.041042886674404144, -0.10496616363525391, 0.011934544891119003, -0.0016126334667205811, 0.090345092117786407, -0.12391965091228485, 0.059679877012968063, -0.10059633105993271, -0.095093831419944763, 0.082026824355125427, 0.11889331787824631, -0.020338268950581551, -0.062815912067890167, -0.027096539735794067, 0.10250464081764221, 0.048065952956676483, 0.0016102660447359085, 0.07514682412147522, 0.011663991026580334, -0.045486174523830414, 0.095082186162471771, 0.047761924564838409, -0.027797287330031395, 0.018889125436544418, 0.13569311797618866, 0.062908507883548737, 0.076272912323474884, 0.12039774656295776, -0.079339645802974701, -0.0076818210072815418, 0.03046228364109993, 0.01855815201997757, -0.037629060447216034, 0.0060793892480432987, 0.12057271599769592, 0.10089714825153351, -0.052066989243030548, -0.032785970717668533, 0.028480861335992813, 0.023123497143387794, -0.052217531949281693, 0.0033019559923559427, 0.066979274153709412, 0.14066369831562042, -0.044843286275863647, 0.11750762164592743, 0.11978934705257416, 0.1024554967880249, 0.015858534723520279, 0.068733789026737213, -0.076056778430938721, 0.15990790724754333, 0.10901454091072083, 0.093550145626068115, 0.030802899971604347, -0.062760151922702789, 0.14687886834144592, 0.14087490737438202, 0.1430143415927887, 0.14131996035575867, -0.012134983204305172, 0.033717863261699677, 0.087214164435863495, 0.095882721245288849, 0.0080885672941803932, 0.12950457632541656, 0.14580653607845306, 0.0038089493755251169, 0.12196361273527145, 0.096766501665115356, 0.10478851199150085, 0.1311897486448288, 0.070791244506835938, -0.036281503736972809, 0.034478656947612762, 0.14521263539791107, 0.10404326021671295, 0.07155163586139679, 0.097628049552440643, -0.018606724217534065, -0.030442576855421066, 0.11901214718818665, -0.049730286002159119, 0.037133578211069107, 0.080827444791793823, -0.08286663144826889, 0.12742185592651367, 0.1186390295624733, -0.057038981467485428, 0.012012666091322899, -0.086218856275081635, 0.049980718642473221, 0.036011777818202972, -0.0029042416717857122, 0.071488715708255768, 0.0984068363904953, 0.079797893762588501, 0.12455097585916519, -0.028672568500041962, -0.053969014436006546, 0.021237902343273163, 0.13138973712921143, 0.076836355030536652, 0.11812108010053635, 0.070277243852615356, 0.013723260723054409, 0.13455988466739655, -0.036649703979492188, 0.0091515704989433289, 0.10524950176477432, 0.14258937537670135, 0.092268407344818115, 0.018770072609186172, -0.059578314423561096, -0.094154611229896545, 0.075224965810775757, -0.06702471524477005, -0.07306603342294693, 0.11308561265468597, 0.065214633941650391, 0.12009887397289276, 0.10395270586013794, -0.039683874696493149, 0.11688126623630524, 0.00057646806817501783, 0.07927781343460083, -0.098866932094097137, 0.11254540830850601, 0.035278014838695526, -0.01583385281264782, 0.040499158203601837, -0.089519806206226349, -0.074857145547866821, 0.1194516122341156, 0.065456703305244446, -0.093506842851638794, 0.078137576580047607, -0.046762261539697647, 0.042832586914300919, -0.015777202323079109, 0.12324461340904236, 0.10293512046337128, -0.064447574317455292, -0.063593223690986633, 0.020260199904441833, -0.094989858567714691, 0.012129263021051884, 0.019977055490016937, 0.033226519823074341, -0.094544380903244019, 0.12161358445882797, -0.084610998630523682, -0.051703989505767822, 0.0051946183666586876, -0.038258783519268036, 0.095560379326343536, -0.0096110003069043159, 0.034571148455142975, 0.042814068496227264, 0.024549886584281921, -0.10141280293464661, 0.019917158409953117, 0.029413163661956787, -0.044393327087163925, 0.10600558668375015, -0.066523857414722443, 0.10796425491571426, -0.079919382929801941, 0.044750317931175232, 0.102582648396492, -0.0828448086977005, 0.038556843996047974, 0.10813321173191071, 0.066436178982257843, 0.095314040780067444, -0.0025858143344521523, 0.044534206390380859, -0.093873962759971619, -0.041825149208307266, 0.083918735384941101, -0.055102404206991196, 0.084189370274543762, -0.032046329230070114, 0.030803211033344269, -0.060261808335781097, 0.086856193840503693, 0.023381669074296951, -0.053657885640859604, 0.074335604906082153, 0.038357485085725784, -0.021211577579379082, 0.075508072972297668, 0.10193721950054169, -0.0026132874190807343, 0.084621250629425049, -0.047002203762531281, -0.08863801509141922, 0.055450059473514557, -0.007589378859847784, 0.058653496205806732, 0.030939614400267601, -0.094101913273334503, 0.0015146895311772823, 0.1191728264093399, -0.085493117570877075, 0.047913402318954468, -0.09974641352891922, -0.047325640916824341, -0.11310266703367233, -0.029184473678469658, -0.084275305271148682, -0.080670543015003204, -0.016646130010485649, -0.032240770757198334, 0.10415019094944, -0.021203842014074326, 0.12013010680675507, -0.004477186594158411, -0.1013600155711174, 0.043316613882780075, -0.035426821559667587, 0.11963392794132233, -0.088514178991317749, -0.091059990227222443, -0.023336196318268776, 0.062466949224472046, 0.018546693027019501, -0.10554753988981247, -0.013816213235259056, -0.098350569605827332, -0.098218061029911041, 0.034859582781791687, -0.10911978781223297, -0.095844246447086334, -0.0021478424314409494, 0.11350464075803757, -0.050909914076328278, 0.030033880844712257, -0.071764618158340454, -0.005244856234639883, 0.0024535767734050751, -0.019997742027044296, -0.011831055395305157, 0.11599224805831909, 0.02026769146323204, -0.10282463580369949, 0.056378494948148727, -0.060517285019159317, -0.075672037899494171, 0.10444711893796921, -0.10450861603021622, 0.063498266041278839, 0.091332919895648956, 0.074799954891204834, 0.033184580504894257, -0.021997997537255287, -0.014551625587046146, -0.053127527236938477, 0.014604896306991577, 0.10173127800226212, -0.059582930058240891, -0.1114857941865921, 0.028251497074961662, -0.033871408551931381, -0.11752424389123917, -0.10889407992362976, 0.038111690431833267, -0.11706765741109848, -0.019225839525461197, -0.098935462534427643, -0.051447667181491852, 0.064196959137916565, -0.091625109314918518, -0.076751247048377991, -0.049717117100954056, -0.059942599385976791, -0.030777022242546082, -0.010255299508571625, -0.091052792966365814, 0.07840796560049057, -0.056945845484733582, -0.094101019203662872, -0.032383710145950317, 0.050571735948324203, -0.0029477472417056561, 0.036216571927070618, -0.0090630184859037399, -0.050901692360639572, 0.074478775262832642, 0.044414803385734558, -0.10055387765169144, 0.013709633611142635, 0.072170190513134003, 0.018064750358462334, -0.049643371254205704, 0.097450010478496552, 0.034082472324371338, 0.081575669348239899, 0.040788009762763977, -0.023180842399597168, -0.033386096358299255, 0.024262215942144394, -0.11972419172525406, 0.096243038773536682, 0.078794606029987335, 0.031897194683551788, -0.0078524881973862648, 0.0036227761302143335, 0.01894642598927021, 
  -0.0081436792388558388, 0.0076176370494067669, -0.055409222841262817, 0.058043058961629868, -0.0057874205522239208, -0.049954961985349655, 0.036812286823987961, -0.044435031712055206, 0.014841320924460888, 0.067189529538154602, 0.093111351132392883, 0.081837423145771027, 0.03557027131319046, -0.070168368518352509, -0.016226103529334068, 0.0037977138999849558, -0.090798087418079376, -0.082963369786739349, 0.010810412466526031, 0.074285849928855896, -0.1363646537065506, -0.065034359693527222, 0.027729049324989319, -0.067919738590717316, -0.13799165189266205, 0.072747759521007538, 0.043728522956371307, -0.00079769041622057557, 0.081058181822299957, -0.073945619165897369, -0.1382913738489151, 0.097906775772571564, 0.012765954248607159, 0.03507927805185318, 0.06035912036895752, 0.03576095774769783, 0.083649285137653351, -0.09100031852722168, 0.045429706573486328, -0.13055995106697083, -0.058586187660694122, -0.029446091502904892, 0.056758493185043335, -0.05524071678519249, -0.089699238538742065, -0.011858408339321613, -0.086236558854579926, -0.029741419479250908, -0.023676838725805283, 0.088684387505054474, -0.097439303994178772, -0.094158321619033813, -0.034082639962434769, -0.04725414514541626, 0.054549116641283035, 0.047745458781719208, 0.0012353005586192012, 0.08874848484992981, -0.12819427251815796, -0.071748241782188416, -0.024293603375554085, -0.016424188390374184, 0.093354769051074982, -0.038126762956380844, -0.02079344354569912, 0.055622898042201996, 0.019929863512516022, 0.055701069533824921, -0.13927739858627319, 0.082635372877120972, 0.072934478521347046, -0.11405841261148453, -0.019102221354842186, 0.023116752505302429, 0.088258318603038788, -0.10684524476528168, 0.02544795349240303, 0.0098244026303291321, -0.057263072580099106, 0.10094751417636871, 0.012582318857312202, -0.079069018363952637, 0.047807369381189346, -0.03412039577960968, 0.054820176213979721, 0.046804036945104599, 0.060510214418172836, -0.080716364085674286, -0.094887718558311462, 0.10203620046377182, -0.037843808531761169, 0.060977071523666382, -0.087564975023269653, -0.031510993838310242, 0.047328073531389236, -0.019093217328190804, 0.064552299678325653, 0.066837988793849945, 0.080025523900985718, 0.074486829340457916, -0.090562552213668823, -0.0047658141702413559, -0.035728726536035538, -0.11460918933153152, 0.0056222151033580303, -0.062494058161973953, 0.06659332662820816, -0.0036234862636774778, -0.099610157310962677, 0.12560024857521057, 0.1163361519575119, -0.081006951630115509, 0.093723490834236145, 0.028216490522027016, 0.05651376023888588, -0.05260898545384407, -0.040541831403970718, -0.096338450908660889, -0.061857163906097412, -0.047133512794971466, -0.059470929205417633, 0.040453147143125534, -0.042240582406520844, 0.033666089177131653, -0.073131263256072998, 0.061271734535694122, -0.0056814104318618774, 0.033002477139234543, 0.084643036127090454, -0.022279130294919014, -0.037315763533115387, 0.024841370061039925, 0.12617561221122742, 0.1009972020983696, -0.0077989278361201286, -0.032110027968883514, -0.02717878483235836, 0.036325160413980484, 0.021392617374658585, -0.045785821974277496, 0.13471761345863342, -0.069594293832778931, -0.0068884859792888165, -0.05714213103055954, 0.063435152173042297, 0.028929529711604118, -0.070102527737617493, 0.090385206043720245, 0.13526540994644165, 0.00030659994808956981, 0.048690464347600937, -0.010710389353334904, -0.070556037127971649, -0.082113407552242279, -0.024525843560695648, 0.031783558428287506, 0.075643174350261688, 0.095847398042678833, 0.077743515372276306, 0.0037301152478903532, 0.060810059309005737, -0.033479101955890656, -0.071328796446323395, 0.083442665636539459, -0.082825221121311188, 0.084777757525444031, -0.06740984320640564, -0.068111114203929901, 0.031562689691781998, 0.059970024973154068, 0.094110608100891113, 0.032334942370653152, 0.044758737087249756, -0.095399871468544006, 0.13522800803184509, 0.097465574741363525, 0.13610196113586426, -0.030299507081508636, 0.042065292596817017, -0.058517158031463623, 0.079780720174312592, -0.0085402717813849449, 0.086724147200584412, -0.044728990644216537, 0.023808080703020096, 0.079998284578323364, 0.1300119161605835, 0.11212562024593353, 0.069267764687538147, 0.032756771892309189, -0.097025305032730103, -0.041161656379699707, 0.10954008251428604, -0.090584270656108856, -0.010170047171413898, -0.077223613858222961, -0.007266695611178875, -0.099881745874881744, 0.099105112254619598, -0.10689268261194229, 0.010077664628624916, -0.0017311243573203683, 0.12172458320856094, -0.046011287719011307, 0.11628486961126328, 0.11808545142412186, -0.074576161801815033, 0.11985738575458527, 0.12413224577903748, -0.1081029400229454, 0.058849554508924484, -0.027183311060070992, 0.074348494410514832, -0.027746068313717842, -0.027288524433970451, 0.071258276700973511, -0.016453087329864502, -0.07004883885383606, -0.10688760876655579, 0.048009630292654037, 0.03130185604095459, -0.11315714567899704, 0.052616484463214874, -0.054572109133005142, 0.053404122591018677, -0.024235792458057404, 0.10844544321298599, 0.010948114097118378, -0.081709273159503937, -0.02928575687110424, -0.080723807215690613, 0.005589902400970459, 0.0081067057326436043, 0.046495005488395691, 0.11008505523204803, 0.080866970121860504, 0.11742585152387619, -0.10860015451908112, 0.038887511938810349, -0.056073181331157684, 0.00094785174587741494, -0.096557781100273132, 0.10433206707239151, 0.082008995115756989, 0.12235914170742035, -0.0024660537019371986, 0.012769486755132675, -0.11574113368988037, 0.11899115890264511, -0.059696130454540253, 0.063504844903945923, 0.034544520080089569, 0.0086612123996019363, -0.0075723808258771896, -0.0049718865193426609, 0.10463725030422211, 0.026181513443589211, 0.0077286087907850742, 0.066665962338447571, -0.029053214937448502, -0.013368566520512104, 0.049745548516511917, 0.10082925111055374, -0.014562031254172325, -0.016270013526082039, 0.05726270005106926, -0.10417721420526505, -0.025485372170805931, -0.099273122847080231, 0.057218506932258606, -0.099206313490867615, -0.072935037314891815, -0.010353709571063519, 0.087722793221473694, 0.10683882981538773, -0.016603223979473114, 0.03064318373799324, 0.053243201225996017, 0.082415647804737091, -0.066447451710700989, 0.10138228535652161, -0.064253844320774078, -0.048849504441022873, -0.075124882161617279, 0.0051887175068259239, 0.089959919452667236, -0.11126136034727097, -0.10084828734397888, -0.064268067479133606, 0.072110868990421295, -0.028347037732601166, 0.016338471323251724, 0.055497661232948303, 0.0034162832889705896, 0.08508116751909256, -0.030800124630331993, 0.009457932785153389, -0.026689590886235237, 0.077368177473545074, -0.078210614621639252, -0.044500395655632019, 0.044781621545553207, 0.031509511172771454, -0.11228050291538239, -0.025444231927394867, -0.094913534820079803, -0.1047290712594986, -0.084533952176570892, -0.072476834058761597, 0.021460242569446564, 0.012446028180420399, -0.10346334427595139, 0.056688103824853897, 0.078888662159442902, 0.032952349632978439, 0.11099950224161148, -0.052946463227272034, 0.027454586699604988, -0.053588815033435822, 0.059596076607704163, 0.066530928015708923, 0.0039640823379158974, 0.072381444275379181, -0.073771484196186066, -0.045799519866704941, 0.0052952556870877743, -0.02816348522901535, -0.021123370155692101, 0.076272949576377869, -0.083825081586837769, -0.11997930705547333, 0.099765203893184662, 0.092524096369743347, 0.024530155584216118, 0.049835260957479477, -0.029920166358351707, 0.1165471225976944, -0.021028241142630577, 0.088493809103965759, 0.049035463482141495, 0.0061676087789237499, -0.061618153005838394, 0.1126617044210434, -0.024089643731713295, -0.086350224912166595, -0.075421519577503204, -0.12003851681947708, -0.017184758558869362, 0.071640990674495697, -0.042952574789524078, -0.028157209977507591, 0.064253047108650208, -0.11219006031751633, 0.098790645599365234, 0.03359680250287056, 0.037777453660964966, 0.10475274920463562, -0.074599295854568481, -0.10169147700071335, 0.04548441618680954, 0.10683397203683853, -0.11700689047574997, -0.053665939718484879, 0.075851894915103912, -0.019998900592327118, 0.041546549648046494, 0.071128524839878082, 0.076680205762386322, -0.017707426100969315, 0.093473441898822784, -0.0014331431593745947, -0.11761187762022018, -0.017207004129886627, 0.11422476172447205, 0.014283811673521996, -0.058428406715393066, 0.022999078035354614, -0.081735275685787201, -0.036339167505502701, 0.11407304555177689, 0.091176830232143402, 0.031936269253492355, -0.097580306231975555, 0.032257307320833206, -0.10762153565883636, 0.11740602552890778, 0.091120369732379913, 0.033222276717424393, -0.095483273267745972, 0.022611269727349281, 0.058322682976722717, -0.1214761883020401, 0.015770705416798592, -0.0066655748523771763, -0.1045292541384697, -0.086018584668636322, -0.021963890641927719, 0.081491805613040924, -0.037040363997220993, 0.069714106619358063, 
  -0.069912157952785492, -0.11757780611515045, 0.11746268719434738, -0.056212879717350006, 0.056012891232967377, -0.040484227240085602, 0.060170270502567291, 0.073080174624919891, 0.011345811188220978, -0.043549790978431702, -0.099759280681610107, -0.020295985043048859, -0.097001016139984131, -0.03162461519241333, 0.011740855872631073, -0.018446080386638641, -0.063943289220333099, -0.053784094750881195, -0.05028977245092392, -0.068950057029724121, 0.025468923151493073, 0.049111045897006989, -0.068036288022994995, 0.042902059853076935, 0.067559607326984406, 0.0046430975198745728, -0.087572589516639709, -0.016401596367359161, -0.049300834536552429, 0.0074144676327705383, 0.01845289021730423, -0.0032056570053100586, 0.084483630955219269, 0.0776372030377388, 0.094892390072345734, -0.11404997110366821, 0.029451616108417511, 0.010390438139438629, -0.086342766880989075, -0.039898507297039032, -0.0003156810998916626, -0.093302428722381592, 0.081679947674274445, -0.1052786186337471, -0.044284172356128693, -0.0010606646537780762, 0.073856748640537262, -0.11472602188587189, 0.082680396735668182, 0.011098466813564301, -0.088986128568649292, 0.0061859562993049622, 0.068815551698207855, 0.057075671851634979, -0.019800715148448944, -0.054471686482429504, -0.043554864823818207, 0.012392424046993256, 0.085474230349063873, 0.092183314263820648, -0.11594501882791519, 0.072915114462375641, -0.026801504194736481, -0.031478710472583771, -0.11144186556339264, 0.0088064000010490417, 0.068709470331668854, 0.10274066776037216, -0.08623436838388443, -0.10727573186159134, 0.083807237446308136, -0.018354892730712891, 0.092613302171230316, 0.0036834850907325745, -0.03536514937877655, 0.032613180577754974, 0.093920581042766571, -0.012361884117126465, -0.031710557639598846, -0.006091095507144928, 0.055665411055088043, -0.11002806574106216, -0.050287947058677673, 0.055363737046718597, -0.045665822923183441, 0.070630215108394623, -0.025870546698570251, 0.06168019026517868, -0.092237778007984161, -0.066416583955287933, 0.033889003098011017, 0.11856920272111893, 0.077024199068546295, -0.091370545327663422, 0.067330919206142426, -0.0089629068970680237, -0.11395286023616791, -0.029458083212375641, -7.1555376052856445e-05, -0.062043171375989914, -0.064567670226097107, -0.0586652010679245, -0.11936017870903015, -0.037055701017379761, -0.077957510948181152, -0.085178002715110779, -0.057380635291337967, -0.088055551052093506, 0.093873299658298492, 0.095907203853130341, -0.1161436066031456, 0.05672251433134079, 0.028498373925685883, 0.02590525895357132, -0.038441598415374756, -0.055800676345825195, 0.05680779367685318, 0.014649070799350739, -0.047990567982196808, -0.10106091201305389, -0.035767346620559692, -0.036890104413032532, -0.035138487815856934, 0.040423162281513214, -0.0028990581631660461, -0.099726907908916473, -0.11674739420413971, -0.10981525480747223, -0.068089038133621216, 0.081949405372142792, -0.087847180664539337, -0.037605084478855133, -0.01974024623632431, 0.013220421969890594, 0.051987536251544952, 0.049853943288326263, -0.064433597028255463, 0.037375651299953461, 0.079912059009075165, -0.048075743019580841, 0.062717370688915253, 0.011777304112911224, -0.030941866338253021, 0.042152799665927887, 0.023496426641941071, 0.0076110884547233582, -0.032011538743972778, 0.0023962110280990601, 0.079577766358852386, 0.021883897483348846, 0.11372584849596024, -0.10948258638381958, -0.11474115401506424, 0.037282072007656097, 0.0021589770913124084, -0.056929141283035278, -0.094468653202056885, 0.029002942144870758, -0.1011212095618248, 0.060385502874851227, 0.10181441158056259, -0.06213037297129631, -0.0428047776222229, 0.11456749588251114, 0.10907446593046188, -0.095986291766166687, -0.10660108178853989, 0.054737217724323273, 0.041424490511417389, 0.052730642259120941, -0.078191012144088745, 0.11868423968553543, -0.048042058944702148, 0.033256493508815765, 0.013698108494281769, -0.1167776808142662, -0.10309795290231705, 0.056970052421092987, -0.019188612699508667, 0.030491851270198822, 0.11181672662496567, 0.0081353709101676941, 0.020698331296443939, 0.023458488285541534, 0.013574264943599701, -0.064535185694694519, 0.061803258955478668, -0.080171540379524231, -0.082192115485668182, 0.015142165124416351, -0.087782129645347595, -0.097839921712875366, -0.035236828029155731, 0.015335746109485626, 0.071631498634815216, -0.058839540928602219, 0.019357390701770782, 0.022855646908283234, 0.066307760775089264, -0.10608033835887909, 0.047713376581668854, 0.045205689966678619, 0.04524635523557663, 0.029755137860774994, 0.10693962126970291, -0.092831075191497803, -0.096089184284210205, 0.1014791801571846, -0.09490165114402771, 0.035911969840526581, 0.086567826569080353, 0.085587434470653534, -0.073226496577262878, -0.057299990206956863, 0.020027317106723785, -0.092791318893432617, 0.053345702588558197, -0.054190173745155334, 0.047535814344882965, 0.042110152542591095, -0.031213037669658661, 0.04420945793390274, 0.094225294888019562, 0.080884985625743866, -0.034812569618225098, -0.09323042631149292, 0.061118550598621368, -0.00019688159227371216, -0.08883686363697052, -0.11262588948011398, -0.053577810525894165, -0.032647751271724701, 0.092886440455913544, 0.013568960130214691, 0.11305803805589676, -0.0087514370679855347, 0.10295792669057846, -0.091035991907119751, -0.07692486047744751, 0.095051862299442291, 0.11865950375795364, -0.0032467767596244812, -0.024726301431655884, 0.0031519383192062378, -0.013049930334091187, -0.047061890363693237, -0.032850988209247589, -0.088845245540142059, 0.10642676800489426, -0.084396257996559143, -0.059788446873426437, -0.10611404478549957, -0.032471984624862671, -0.05641782283782959, 0.071410425007343292, -0.0091498196125030518, 0.053135283291339874, -0.047459989786148071, 0.090296231210231781, 0.072624735534191132, -0.11919073760509491, -0.079492107033729553, 0.10906744748353958, -0.044471852481365204, -0.087445527315139771, 0.033489398658275604, -0.093955397605895996, -0.1025548130273819, 0.0071330443024635315, 0.04287341982126236, 0.081269882619380951, -0.069293729960918427, 0.0017040297389030457, 0.1007477268576622, -0.016984663903713226, -0.081336110830307007, -0.021414756774902344, 0.11165473610162735, 0.11302249878644943, -0.036973431706428528, -0.077238090336322784, 0.11135717481374741, 0.044165574014186859, -0.046868175268173218, 0.05893988162279129, 0.064787663519382477, 0.075103126466274261, 0.072394765913486481, -0.063650205731391907, -0.012556031346321106, -0.09124678373336792, -0.047460615634918213, -0.079615406692028046, -0.0089498311281204224, -0.095995008945465088, -0.046934828162193298, 0.075677536427974701, -0.10941710323095322, -0.09894222766160965, 0.024369038641452789, -0.001500740647315979, -0.11627016216516495, -0.074223414063453674, -0.0600702203810215, -0.11834783852100372, 0.001067139208316803, 0.088895313441753387, 0.083070807158946991, 0.00091864168643951416, -0.014805912971496582, -0.068873777985572815, 0.1019258126616478, -0.10660501569509506, 0.058446325361728668, 0.076921917498111725, 0.05583258718252182, -0.059776477515697479, 0.049712799489498138, 0.041154064238071442, 0.071769334375858307, 0.10425906628370285, 0.096753470599651337, -0.11339537799358368, -0.025687262415885925, 0.017189927399158478, -0.071490608155727386, -0.044162407517433167, 0.00022315233945846558, 0.11795855313539505, -0.0074979066848754883, 0.02959316223859787, 0.10427349060773849, -0.10585638135671616, -0.055116847157478333, 0.056443355977535248, -0.093774475157260895, 0.044861592352390289, 0.015282772481441498, 0.10183396190404892, 0.11679469794034958, 0.096045099198818207, -0.047522112727165222, 0.003344997763633728, 0.11914875358343124, -0.013858944177627563, 0.038283757865428925, -0.056090690195560455, 0.11144567281007767, -0.097380220890045166, 0.029524959623813629, 0.092939071357250214, 0.061740167438983917, 0.086571566760540009, -0.0088596120476722717, -0.046993248164653778, -0.0040908679366111755, 0.045161299407482147, 0.042296595871448517, -0.10092329978942871, 0.11008428782224655, -0.099387601017951965, 0.10357167571783066, 0.11857473105192184, 0.11458861082792282, 0.083998285233974457, 0.072331108152866364, 0.071553699672222137, -0.039257310330867767, -0.11697684228420258, 0.014576740562915802, -0.10733398050069809, -0.024374403059482574, 0.052641324698925018, -0.092819705605506897, 0.0096496716141700745, 0.091763459146022797, 0.089658729732036591, -0.004365973174571991, 0.023729555308818817, 0.093959413468837738, -0.016643621027469635, -0.048033080995082855, -0.11450440436601639, 0.017920456826686859, -0.096982583403587341, -0.09022107720375061, 0.047567136585712433, -0.073854878544807434, 0.11782293766736984, -0.059702642261981964, -0.10134761035442352, -0.0016539916396141052, 0.089494682848453522, 0.047465004026889801, 0.047667436301708221, 0.072888068854808807, -0.080837622284889221, 0.085655577480792999, -0.11325343698263168, -0.064108401536941528, 
  -0.11634979397058487, 0.0697975754737854, -0.080194458365440369, -0.0032199739944189787, -0.072721339762210846, 0.059008684009313583, -0.1151123121380806, -0.10235083103179932, -0.060289915651082993, 0.051191721111536026, -0.11344574391841888, 0.010334412567317486, -0.091492533683776855, -0.077672742307186127, 0.072450600564479828, -0.13408708572387695, -0.053844615817070007, 0.03629767894744873, 0.028714537620544434, 0.03693273663520813, -0.01663447730243206, -0.096663884818553925, -0.015605667605996132, -0.13953916728496552, -0.098123900592327118, -0.079318217933177948, 0.026743378490209579, -0.0018192620482295752, -0.033864997327327728, -0.033905982971191406, -0.15400063991546631, -0.14124497771263123, -0.14861536026000977, 0.024477200582623482, 0.031210005283355713, -0.083092115819454193, -0.075733453035354614, 0.028767066076397896, -0.05049571767449379, 0.043073840439319611, 0.054630972445011139, -0.11357758194208145, 0.048568058758974075, -0.058751668781042099, -0.091948777437210083, 0.024024955928325653, -0.15508514642715454, 0.065686091780662537, -0.087765991687774658, 0.034042641520500183, -0.059867631644010544, 0.020389311015605927, -0.016311855986714363, -0.0055418680422008038, -0.022126030176877975, 0.020514504984021187, -0.059135556221008301, -0.092843212187290192, -0.062277801334857941, -0.1415640115737915, 0.024160804226994514, -0.10672172158956528, -0.13292144238948822, -0.087896659970283508, -0.052643660455942154, 0.011926798149943352, -0.10915648192167282, -0.14931084215641022, -0.15390212833881378, -0.077948436141014099, 0.053070209920406342, -0.063388019800186157, -0.012740127742290497, -0.10270334035158157, -0.090903811156749725, 0.047191347926855087, -0.091135300695896149, -0.090703867375850677, -0.12520246207714081, 0.075648821890354156, -0.017338786274194717, 0.073555275797843933, 0.035995259881019592, -0.099576577544212341, -0.071570083498954773, -0.14561645686626434, -0.090467557311058044, 0.024676412343978882, 0.02872350811958313, 0.077879585325717926, -0.12881080806255341, -0.037832576781511307, -0.023992430418729782, -0.070306740701198578, 0.031465008854866028, -0.023957353085279465, -0.1272406280040741, -0.066049717366695404, -0.020054524764418602, -0.0096551589667797089, -0.063341729342937469, -0.11174406111240387, 0.027857342734932899, -0.05165453627705574, 0.021070960909128189, 0.11271465569734573, -0.040094882249832153, 0.022133437916636467, 0.055205613374710083, 0.005504414439201355, 0.12830339372158051, 0.088367864489555359, -0.095074102282524109, 0.11173322051763535, 0.13395161926746368, -0.024531137198209763, -0.032893996685743332, 0.14779770374298096, 0.12374759465456009, -0.046246033161878586, 0.072574339807033539, 0.14871889352798462, 0.12168435752391815, 0.14342963695526123, 0.041365444660186768, 0.026967151090502739, 0.055435482412576675, 0.020542198792099953, -0.045019157230854034, -0.028322966769337654, -0.016026254743337631, 0.026883574202656746, -0.01654401607811451, 0.03353535383939743, 0.027023687958717346, 0.0072038453072309494, 0.048638157546520233, 0.018455609679222107, 0.12057050317525864, -0.018783416599035263, -0.04344799742102623, 0.012273233383893967, -0.078745700418949127, 0.065514184534549713, -0.0020709442906081676, 0.069796063005924225, 0.013858187012374401, 0.052669767290353775, 0.14888677000999451, -0.063018746674060822, -0.070151954889297485, 0.0091506615281105042, 0.15397992730140686, -0.03026229701936245, -0.038213089108467102, -0.082308441400527954, 0.12890422344207764, 0.0014088937314227223, 0.095045246183872223, -0.016887499019503593, -0.079729035496711731, 0.073929302394390106, -0.074086651206016541, 0.098799668252468109, 0.050268217921257019, -0.082406483590602875, 0.10613379627466202, -0.081598751246929169, -0.072740167379379272, -0.0061973519623279572, 0.13317182660102844, 0.10687784850597382, 0.034555844962596893, -0.08273017406463623, 0.012076796032488346, 0.084263011813163757, 0.11013468354940414, 0.017644297331571579, 0.093448571860790253, 0.081593029201030731, 0.080350317060947418, -0.0094063691794872284, 0.061628334224224091, 0.1217992752790451, 0.044644180685281754, -0.087369851768016815, 0.083455353975296021, 0.022371357306838036, -0.095118068158626556, 0.10343075543642044, 0.041730564087629318, -0.042177692055702209, 0.1407640278339386, 0.083501607179641724, 0.10874099284410477, 0.10773172229528427, -0.032739616930484772, 0.093868248164653778, 0.06243804469704628, 0.11691994965076447, -0.050701528787612915, -0.00066946615697816014, 0.07723718136548996, 0.061220679432153702, 0.038135364651679993, 0.064995117485523224, -0.07275756448507309, 0.037217237055301666, -0.098061747848987579, 0.015123209916055202, -0.0029124310240149498, -0.095735862851142883, -0.0059688105247914791, 0.036831039935350418, 0.052616942673921585, -0.058909233659505844, 0.089817188680171967, 0.13289608061313629, 0.015489185228943825, 0.11741950362920761, 0.06253911554813385, -0.05058090016245842, -0.078644402325153351, 0.057570833712816238, -0.082405507564544678, -0.030860785394906998, 0.0092477835714817047, 0.10208123177289963, 0.038839779794216156, 0.0093286186456680298, 0.053861290216445923, 0.012663128785789013, 0.084190808236598969, -0.078739307820796967, 0.036066398024559021, 0.04803583025932312, 0.11707284301519394, -0.018816996365785599, 0.1139184832572937, 0.055057968944311142, 0.029070677235722542, 0.013275500386953354, 0.003169782692566514, -0.030823852866888046, 0.061677087098360062, -0.10499543696641922, -0.05414297804236412, 0.043441463261842728, 0.10244502127170563, 0.10054823756217957, -0.065333016216754913, -0.11040043085813522, -0.07426346093416214, -0.1149279773235321, 0.068332381546497345, -0.045446619391441345, -0.10004481673240662, 0.092581890523433685, -0.11271126568317413, 0.10741991549730301, 0.0054018818773329258, 0.021076468750834465, 0.087663576006889343, -0.075456440448760986, 0.035894036293029785, 0.073263749480247498, -0.074485406279563904, -0.11452630162239075, 0.072517804801464081, 0.073416374623775482, -0.027439704164862633, 0.061072323471307755, -0.046317886561155319, 0.038488812744617462, 0.10536789149045944, -0.064672991633415222, 0.057446025311946869, -0.093524239957332611, 0.10000238567590714, 0.021867843344807625, -0.028389232233166695, 0.1001686304807663, 0.042332686483860016, -0.10880318284034729, 0.0030771265737712383, 0.097743682563304901, -0.034643370658159256, -0.097367443144321442, 0.036783669143915176, -0.084247492253780365, -0.082679711282253265, -0.034352865070104599, -0.019473155960440636, -0.032342571765184402, -0.063761048018932343, -0.12467529624700546, 0.11011309176683426, -0.0070834862999618053, 0.050379782915115356, 0.0083655919879674911, 0.06572309136390686, -5.7647037465358153e-05, 0.053708344697952271, -0.049417246133089066, 0.07239367812871933, -0.05373036116361618, -0.070343755185604095, -0.042028293013572693, 0.07171214371919632, -0.037374742329120636, 0.085139423608779907, 0.081161975860595703, -0.080090634524822235, 0.064817726612091064, 0.095663979649543762, 0.00098798668477684259, 0.017607090994715691, 0.018007786944508553, 0.098830379545688629, -0.037957325577735901, -0.054538805037736893, 0.079171977937221527, -0.06826404482126236, 0.012404870241880417, 0.048531584441661835, 0.064436256885528564, -0.095117263495922089, -0.018186662346124649, -0.085339553654193878, 0.092020481824874878, -0.056137721985578537, 0.0095914751291275024, 0.017373235896229744, 0.098507523536682129, -0.099080704152584076, 0.0067089898511767387, -0.026456383988261223, 0.02516171894967556, -0.067784123122692108, 0.024808924645185471, 0.054366618394851685, -0.0052986727096140385, -0.04250510036945343, 0.0028488566167652607, 0.003697091480717063, 0.028752105310559273, -0.059443492442369461, -0.065490886569023132, -0.093036696314811707, 0.075130745768547058, -0.050697620958089828, 0.070081897079944611, -0.06765834242105484, 0.087593287229537964, -0.10887200385332108, -0.059419110417366028, -0.018262047320604324, 0.07949470728635788, 0.050291199237108231, -0.11153328418731689, 0.014652359299361706, -0.10330448299646378, -0.023302687332034111, -0.10761957615613937, 0.030825560912489891, -0.11611323058605194, -0.081903561949729919, 0.093296073377132416, 0.010080819018185139, -0.11015239357948303, 0.00077009247615933418, -0.0061228489503264427, -0.094622291624546051, 0.014108015224337578, -0.1246073916554451, -0.058722227811813354, 0.045246653258800507, -0.092033214867115021, 0.050069458782672882, 0.022153457626700401, -0.079966530203819275, 0.073622673749923706, -0.12278600037097931, 0.0082050953060388565, 0.066017061471939087, -0.12341535091400146, 0.088458165526390076, -0.041589275002479553, 0.08789670467376709, -0.011815889738500118, 0.0091033885255455971, -0.12952455878257751, 0.035127777606248856, 0.010720741003751755, -0.071255899965763092, -0.0051889657042920589, 0.0046584117226302624, -0.10677426308393478, -0.072687581181526184, -0.078880228102207184, 
  -0.088720232248306274, 0.10125335305929184, 0.070493005216121674, 0.020054735243320465, -0.0049017667770385742, -0.00069351494312286377, -0.012923948466777802, -0.05641668289899826, -0.014306485652923584, 0.036611728370189667, 0.0043645501136779785, -0.095735974609851837, -0.06716763973236084, -0.10589516162872314, -0.076512649655342102, 0.056183762848377228, 0.082161702215671539, 0.057155482470989227, -0.098816953599452972, -0.014200903475284576, -0.055731803178787231, -0.10666704922914505, -0.053539171814918518, 0.08895546942949295, 0.073447637259960175, 0.045113794505596161, -0.025369293987751007, 0.013845063745975494, 0.11735834926366806, 0.1100812628865242, 0.0084724798798561096, -0.021456047892570496, -0.010839886963367462, 0.074290834367275238, 0.029063291847705841, 0.032511107623577118, -0.010901123285293579, -0.038723282516002655, -0.093092158436775208, 0.046888552606105804, 0.031187765300273895, 0.11523496359586716, -0.067576617002487183, -0.087815321981906891, 0.051513098180294037, 0.036665700376033783, 0.059794314205646515, 0.083149231970310211, 0.11278840154409409, 0.030239604413509369, 0.10413762181997299, 0.093431375920772552, -0.020357847213745117, 0.033493407070636749, -0.029647469520568848, 0.016068868339061737, -0.097421109676361084, -0.01716778427362442, 0.0068443641066551208, -0.051341861486434937, -0.051444850862026215, -0.039982229471206665, -0.027271606028079987, 0.11074971407651901, -0.028004221618175507, -0.038997851312160492, -0.017373643815517426, 0.040381692349910736, 0.0056036040186882019, 0.11536944657564163, -0.045370057225227356, -0.090962044894695282, 0.077580593526363373, -0.018670260906219482, 0.028314955532550812, -0.10928525030612946, 0.095274589955806732, 0.029455743730068207, 0.064279548823833466, 0.1149141862988472, 0.057906247675418854, 0.11647356301546097, 0.045870117843151093, -0.11227227747440338, 0.041346676647663116, 0.057560227811336517, 0.0037505626678466797, -0.080955713987350464, 0.046254299581050873, -0.030544884502887726, -0.1092483177781105, 0.096289090812206268, 0.10085725039243698, 0.065962411463260651, -0.066721923649311066, -0.058043550699949265, 0.099976561963558197, 0.080059461295604706, 0.11951040476560593, 0.080836169421672821, 0.11937288194894791, 0.071268312633037567, -0.10583831369876862, -0.011160843074321747, 0.042114652693271637, 0.021260820329189301, -0.10722726583480835, 0.045687399804592133, 0.047216542065143585, -0.0027147457003593445, 0.082075618207454681, -0.060696370899677277, -0.06484667956829071, -0.10093903541564941, 0.037006519734859467, -0.069781474769115448, -0.104631207883358, 0.035414420068264008, 0.022010214626789093, 0.097869701683521271, 0.03633735328912735, -0.11457333713769913, -0.030520632863044739, 0.10786014050245285, 0.054070435464382172, -0.0023535490036010742, -0.045905418694019318, 0.048159144818782806, -0.07232309877872467, -0.078951179981231689, 0.10657487064599991, 0.070801101624965668, -0.048934079706668854, 0.075145967304706573, 0.11713431030511856, -0.10995235294103622, -0.098494887351989746, -0.016996093094348907, -0.036126375198364258, 0.10811647027730942, 0.029374308884143829, 0.064421109855175018, -0.08542749285697937, -0.06563124805688858, 0.10824624449014664, -0.030088283121585846, -0.034803107380867004, 0.062908835709095001, 0.011728323996067047, 0.01535411924123764, 0.051541902124881744, 0.0017201602458953857, -0.064450554549694061, -0.070680536329746246, -0.11920692026615143, -0.074397414922714233, -0.024391494691371918, -0.014667533338069916, -0.0038439184427261353, 0.007593594491481781, 0.07353316992521286, 0.1190713569521904, 0.095807500183582306, -0.10059727728366852, -0.020836763083934784, -0.089629068970680237, -0.018863007426261902, 0.05520174652338028, 0.029931299388408661, -0.11593014001846313, 0.036929495632648468, 0.095738686621189117, 0.019365884363651276, -0.1172785684466362, 0.056610576808452606, -0.010282807052135468, -0.0025384947657585144, 0.11095567792654037, -0.026637248694896698, -0.11687710881233215, -0.068346649408340454, -0.081288203597068787, 0.05328378826379776, 0.077058710157871246, -0.02930876612663269, 0.092389859259128571, -0.067066274583339691, -0.018079586327075958, 0.038821794092655182, 0.070276342332363129, -0.079323604702949524, -0.0060166344046592712, -0.06294887512922287, 0.014327622950077057, 0.054149962961673737, 0.029970563948154449, -0.023888476192951202, -0.024729378521442413, -0.085556238889694214, 0.10501197725534439, 0.095803879201412201, 0.060081817209720612, 0.036910019814968109, -0.05643666535615921, -0.023443020880222321, 0.0049992501735687256, -0.020408317446708679, 0.061386413872241974, 0.088164068758487701, 0.056788928806781769, -0.039595022797584534, -0.10053141415119171, -0.10650516301393509, -0.10064759850502014, -0.091740511357784271, 0.06099361926317215, -0.097430147230625153, 0.017002679407596588, -0.081988304853439331, 0.077522911131381989, 0.11144866794347763, 0.0071793720126152039, 0.013618864119052887, -0.0092685073614120483, -0.0941728875041008, 0.035614468157291412, -0.023711569607257843, 0.11853181570768356, -0.063833862543106079, -0.11550389230251312, -0.052520222961902618, -0.02729218453168869, 0.094092182815074921, -0.091009289026260376, 0.020201437175273895, 0.073998443782329559, -0.051066078245639801, 0.066444538533687592, 0.068507887423038483, -0.098052367568016052, 0.045698992908000946, -0.047888122498989105, 0.10659574717283249, -0.041929595172405243, 0.082848839461803436, 0.11479715257883072, -0.054602399468421936, -0.025901526212692261, 0.063765667378902435, -0.0015277788043022156, -0.099966846406459808, 0.029504559934139252, -0.032412059605121613, -0.015754416584968567, -0.026536539196968079, -0.069017656147480011, -0.11051134020090103, -0.0013343766331672668, 0.011927001178264618, -0.08650873601436615, -0.045796163380146027, 0.072077922523021698, -0.01933867484331131, 0.10508882254362106, 0.04805447906255722, -0.098750472068786621, 0.046436823904514313, -0.11243131756782532, -0.070415124297142029, 0.10894676297903061, -0.069595277309417725, 0.086982421576976776, 0.0044637173414230347, -0.019996173679828644, 0.0059785619378089905, -0.016367435455322266, -0.058978773653507233, 0.079954110085964203, -0.015388324856758118, 0.020974822342395782, 0.105202816426754, -0.039029054343700409, -0.030828908085823059, -0.10876672714948654, -0.044021323323249817, 0.0079509690403938293, -0.02765200287103653, -0.034271761775016785, -0.019164986908435822, 0.021682910621166229, -0.086198657751083374, 0.016951896250247955, 0.063579879701137543, -0.050525836646556854, -0.11660123616456985, -0.03362603485584259, -0.047909945249557495, 0.061046339571475983, 0.057980082929134369, -0.057055521756410599, -0.072013199329376221, 0.10119421035051346, 0.062117211520671844, -0.10714137554168701, -0.089679017663002014, -0.055231459438800812, 0.075616605579853058, -0.063173308968544006, -0.033260852098464966, 0.079588539898395538, -0.10385897755622864, -0.010555461049079895, 0.0093992128968238831, 0.030357800424098969, -0.076426282525062561, -0.056669622659683228, 0.046458162367343903, -0.081259340047836304, -0.10076531767845154, 0.093260370194911957, 0.045789889991283417, 0.035966448485851288, -0.0076139122247695923, -0.079942204058170319, -0.04517277330160141, 0.032336317002773285, -0.0070946216583251953, 0.014018096029758453, -0.052023530006408691, -0.020353317260742188, 0.061083473265171051, 0.030201353132724762, -0.026341736316680908, 0.025661639869213104, 0.11000808328390121, -0.076828308403491974, -0.055135570466518402, -0.037714198231697083, 0.088233388960361481, -0.0037914589047431946, -0.091323211789131165, -0.0038786828517913818, 0.04420480877161026, -0.043405540287494659, -0.030921094119548798, 0.090434826910495758, 0.0033881738781929016, 0.082166664302349091, 0.069797225296497345, 0.094197876751422882, -0.046199649572372437, -0.022325076162815094, -0.09108617901802063, 0.040901727974414825, 0.082566477358341217, 0.016864530742168427, 0.027698822319507599, 0.035527490079402924, -0.053060084581375122, -0.044475466012954712, -0.0043120011687278748, -0.082689404487609863, 0.09721790999174118, -0.0039498358964920044, 0.052925921976566315, -0.045146815478801727, -0.062469564378261566, -0.052433304488658905, -0.056047938764095306, 0.022847212851047516, -0.070011496543884277, -0.1005757600069046, -0.082710437476634979, 0.087328769266605377, -0.094015784561634064, -0.084216445684432983, -0.01622936874628067, 0.010165832936763763, -0.10375448316335678, 0.084101550281047821, 0.025024779140949249, 0.061231456696987152, 0.11178065091371536, -0.10114528983831406, -0.020974710583686829, -0.096670486032962799, 0.040551356971263885, -0.022597670555114746, 0.034249134361743927, -0.043600656092166901, -0.056416116654872894, -0.11892511695623398, -0.09629860520362854, -0.016252532601356506, 0.062860570847988129, -0.089944839477539062, 0.043298222124576569, -0.014416538178920746, 0.10550809651613235, 0.022302962839603424, 
  -0.052315615117549896, 0.0064257308840751648, -0.112114317715168, -0.10122573375701904, 0.10453035682439804, -0.049625836312770844, 0.019703827798366547, 0.084098078310489655, -0.067984119057655334, 0.0094117298722267151, 0.010455779731273651, 0.050818644464015961, 0.024900101125240326, -0.035960070788860321, -0.018840156495571136, -0.034411169588565826, 0.0051878988742828369, -0.018937185406684875, -0.062323521822690964, 0.094093210995197296, -0.1076960563659668, -0.03320591151714325, 0.066538996994495392, -0.096199467778205872, 0.10427442938089371, -0.01423732191324234, -0.083451487123966217, 0.11479883641004562, 0.069487757980823517, 0.061591334640979767, 0.06971769779920578, 0.021063677966594696, 0.021214909851551056, 0.026922754943370819, -0.10575154423713684, -0.10923287272453308, 0.10691829770803452, 0.020553387701511383, -0.096550002694129944, 0.021301276981830597, -0.091798529028892517, 0.075460679829120636, -0.089673720300197601, 0.090981759130954742, 0.11238370090723038, 0.10772312432527542, 0.072856731712818146, 0.10237748175859451, 0.01303485780954361, -0.085303701460361481, -0.048836998641490936, 0.078558363020420074, -0.054319143295288086, 0.10673552006483078, 0.11171377450227737, -0.07835734635591507, -0.011379726231098175, -0.035004094243049622, 0.046569906175136566, -0.096623696386814117, 0.090005271136760712, -0.029550753533840179, 0.077860705554485321, 0.090594075620174408, 0.10115868598222733, -0.035630732774734497, -0.041988693177700043, -0.050468221306800842, -0.012486927211284637, 0.024556063115596771, 0.087430648505687714, 0.079974465072154999, -0.11420014500617981, -0.10462422668933868, 0.056269250810146332, 0.089292891323566437, -0.098664529621601105, -0.039877533912658691, 0.073789961636066437, -0.11047990620136261, 0.079705886542797089, -0.11639340966939926, -0.050702206790447235, -0.11614184081554413, 0.084073536098003387, -0.0068057551980018616, 0.10574213415384293, -0.10240902006626129, -0.05561983585357666, -0.082666754722595215, 0.010780848562717438, -0.089320987462997437, -0.095348991453647614, 0.09396158903837204, 0.11462683230638504, -0.063583463430404663, 0.072968862950801849, -0.087361320853233337, 0.068221427500247955, 0.066878087818622589, 0.035550318658351898, 0.11758724600076675, 0.10378286987543106, -0.062982410192489624, 0.010959886014461517, -0.025838233530521393, -0.025748416781425476, 0.056208007037639618, -0.029627807438373566, -0.055126368999481201, 0.085257165133953094, 0.099588833749294281, 0.093252532184123993, 0.02140934020280838, 0.059994839131832123, 0.058546595275402069, 0.021382547914981842, -0.059586320072412491, 0.1194067969918251, 0.045513220131397247, -0.014243192970752716, 0.054056607186794281, 0.049919657409191132, 0.11889300495386124, -0.047550350427627563, -0.069892615079879761, -0.076901689171791077, -0.042633458971977234, -0.0041025504469871521, -0.065558835864067078, -0.053356677293777466, 0.041546829044818878, 0.11619193106889725, 0.11293969303369522, 0.10242518037557602, 0.073116637766361237, -0.06343243271112442, 0.059918873012065887, 0.11357817798852921, -0.028529241681098938, 0.11012241989374161, -0.11007656902074814, 0.094568930566310883, 0.016219310462474823, 0.039562530815601349, 0.065161116421222687, 0.049612589180469513, -0.01227271556854248, -0.017631135880947113, 0.052758656442165375, 0.032617025077342987, 0.082392819225788116, 0.040346764028072357, -0.049852862954139709, -0.06470818817615509, -0.1023571565747261, 0.00018109381198883057, -0.0036625936627388, -0.047114297747612, -0.016348399221897125, 0.038217015564441681, 0.010599084198474884, 0.043109886348247528, -0.10630679875612259, 0.07525470107793808, -0.054198466241359711, -0.087112858891487122, -0.077331781387329102, -0.048531770706176758, -0.044321276247501373, 0.018415503203868866, 0.098767317831516266, -0.1108587384223938, 0.083202742040157318, 0.091237179934978485, -0.057300958782434464, 0.024303354322910309, -0.089450962841510773, -0.098145604133605957, -0.089515283703804016, -0.025026485323905945, 0.0042269676923751831, 0.066257573664188385, -0.05042903870344162, -0.068786062300205231, -0.012040071189403534, 0.034866176545619965, -0.056900016963481903, 0.086888991296291351, -0.072050362825393677, -0.086525715887546539, 0.0063453391194343567, -0.062468711286783218, 0.095743007957935333, -0.023586072027683258, -0.08380233496427536, -0.064620047807693481, 0.0029626935720443726, -0.098520219326019287, 0.068746961653232574, 0.00067072361707687378, -0.019630879163742065, 0.096475593745708466, 0.10398510843515396, -0.10725994408130646, -0.082604691386222839, 0.0092188939452171326, 0.11844480782747269, -0.041690222918987274, 0.0027572065591812134, -0.023373320698738098, 0.06046324223279953, 0.073805488646030426, -0.004718191921710968, -0.00077448040246963501, -0.11126387119293213, -0.10465551167726517, 0.018831841647624969, -0.1193426251411438, 0.090211875736713409, 0.050107859075069427, -0.042357183992862701, -0.035165302455425262, -0.023119784891605377, 0.036736942827701569, 0.083929233253002167, -0.067048549652099609, -0.016707710921764374, 0.094708018004894257, -0.059224929660558701, -0.023673444986343384, 0.040742821991443634, 0.05888628214597702, 0.04509078711271286, -0.09153439849615097, 0.001379057765007019, 0.046559534966945648, -0.068700864911079407, 0.051706217229366302, -0.029108487069606781, 0.0020276978611946106, -0.075342163443565369, 0.1081777885556221, 0.048267178237438202, 0.00018585473299026489, 0.013380341231822968, -0.069434449076652527, 0.022473849356174469, -0.084625944495201111, -0.098174132406711578, 0.045325912535190582, -0.079862385988235474, -0.0027697980403900146, -0.045088544487953186, 0.060382194817066193, 0.021420307457447052, 0.067245803773403168, -0.11496046185493469, -0.097471579909324646, 0.1192106232047081, -0.071392208337783813, -0.057687316089868546, -0.064985662698745728, 0.07769281417131424, 0.11004365235567093, -0.11678352206945419, 0.11635080724954605, -0.072301790118217468, -0.037819430232048035, 0.07150634378194809, 0.035126976668834686, -0.086569599807262421, -0.11044100672006607, 0.065498314797878265, -0.035235859453678131, -0.11529108136892319, -0.041340231895446777, 0.10154245048761368, 0.088032089173793793, 0.089730821549892426, 0.0044369027018547058, -0.022868357598781586, 0.068976618349552155, 0.0063579007983207703, -0.0073989927768707275, -0.0006507188081741333, -0.074020355939865112, -0.052454449236392975, -0.10494509339332581, 0.023302726447582245, 0.087464131414890289, 0.091875620186328888, -0.022933758795261383, 0.1142575666308403, -0.040812358260154724, -0.10531597584486008, -0.10545928776264191, 0.044813744723796844, -0.10587986558675766, 0.068894214928150177, 0.075491763651371002, 0.05227535218000412, -0.058257929980754852, 0.017332129180431366, 0.087600655853748322, 0.087014995515346527, -0.0098896399140357971, 0.090459771454334259, -0.089527390897274017, 0.098232440650463104, -0.043652176856994629, -0.074985414743423462, -0.10435236990451813, 0.11262913793325424, -0.062523826956748962, -0.056801244616508484, -0.024565123021602631, 0.093187503516674042, 0.095596827566623688, 0.026061110198497772, 0.10176659375429153, -0.0098269209265708923, -0.10903080552816391, 0.078772656619548798, -0.044927306473255157, -0.04665684700012207, 0.0065480396151542664, -0.02669660747051239, 0.084027595818042755, -0.058589201420545578, -0.0043259337544441223, -0.064583122730255127, -0.023141555488109589, 0.059561498463153839, 0.029444314539432526, 0.033484689891338348, -0.048301145434379578, -0.022064648568630219, -0.072588950395584106, -0.099946670234203339, -0.021968811750411987, -0.11139683425426483, 0.11470014601945877, -0.077828854322433472, 0.10209707170724869, -0.010162070393562317, 0.051221929490566254, -0.01602732390165329, -0.034829609096050262, 0.058415509760379791, 0.075870655477046967, 0.037786923348903656, 0.10969886928796768, -0.044195517897605896, -0.11280598491430283, 0.052500985562801361, 0.035388462245464325, 0.0024287551641464233, 0.11413297802209854, 0.092430643737316132, -0.099119648337364197, -0.061817023903131485, -0.073151610791683197, 0.098935864865779877, -0.068651840090751648, 0.11011580377817154, 0.057236693799495697, -0.012500204145908356, -0.031551860272884369, 0.098078496754169464, -7.7225267887115479e-05, -0.071229517459869385, -0.085389219224452972, 0.095261476933956146, -0.11554284393787384, -0.049560979008674622, -0.11472722142934799, -0.02522365003824234, 0.045937024056911469, 0.01599421352148056, -0.028886675834655762, -0.017591409385204315, 0.088212735950946808, 0.10772296041250229, 0.033373154699802399, -0.055061846971511841, 0.10108857601881027, -0.10271604359149933, 0.093236185610294342, -0.016791917383670807, 0.068093575537204742, -0.041483938694000244, 0.055676378309726715, -0.08384491503238678, 0.017379917204380035, 0.11521927267313004, -0.025676034390926361, -0.097850814461708069, 0.11361683160066605, 0.080436818301677704, 
  -0.058972533792257309, -0.0042795012705028057, 0.11583249270915985, 0.1240074560046196, 0.092029489576816559, 0.065680086612701416, 0.018255207687616348, -0.059378445148468018, -0.01105942577123642, -0.0085768243297934532, -0.079301722347736359, -0.058549374341964722, 0.10870813578367233, 0.0092731090262532234, -0.030357927083969116, 0.10350482165813446, -0.025509048253297806, 0.0017798590706661344, -0.076976589858531952, 0.0013986243866384029, 0.095600560307502747, -0.081168048083782196, -0.014072240330278873, 0.13748645782470703, -0.054003752768039703, -0.077640265226364136, 0.11027352511882782, -0.010242337360978127, 0.044461596757173538, 0.014357941225171089, 0.087510988116264343, 0.066797316074371338, 0.11821317672729492, 0.03335845097899437, 0.072354353964328766, 0.097863450646400452, 0.072324953973293304, 0.0070401085540652275, 0.048370569944381714, 0.093330852687358856, -0.019222531467676163, -0.09447411447763443, 0.055932518094778061, -0.025144480168819427, 0.1341555267572403, 0.11372878402471542, -0.067553795874118805, 0.075132943689823151, 0.083899334073066711, 0.030802140012383461, 0.032321389764547348, -0.077632278203964233, -0.063031226396560669, -0.03102794848382473, 0.066267460584640503, -0.063474021852016449, 0.037501811981201172, 0.068198926746845245, -0.09059472382068634, 0.057387329638004303, 0.033249732106924057, -0.0089759808033704758, 0.13744440674781799, -0.074360013008117676, 0.10810030251741409, 0.064593754708766937, -0.068914555013179779, 0.12527686357498169, -0.06484609842300415, 0.086836718022823334, 0.058800246566534042, -0.042377110570669174, 0.012489264830946922, -0.077966302633285522, 0.12410105019807816, -0.053990136831998825, -0.04904107004404068, -0.04989895224571228, 0.082328051328659058, -0.047048795968294144, -0.074090570211410522, 0.077526427805423737, -0.037210121750831604, -0.092798933386802673, -0.10141415894031525, -0.048166278749704361, 0.01614241860806942, 0.039882726967334747, -0.045821189880371094, 0.032655801624059677, -0.053454793989658356, 0.11729622632265091, 0.032563745975494385, -0.0514235720038414, 0.02897590771317482, 0.1080143004655838, 0.020579898729920387, 0.11799665540456772, -0.019333770498633385, 0.02750866673886776, -0.076403498649597168, -0.064609259366989136, -0.038392949849367142, 0.10237507522106171, -0.072306424379348755, 0.048587098717689514, -0.071430787444114685, -0.049969300627708435, 0.030713101848959923, 0.047670826315879822, -0.040125466883182526, 0.099784150719642639, 0.087864920496940613, 0.091432288289070129, 0.014202240854501724, 0.041801616549491882, 0.079627178609371185, 0.077469021081924438, 0.035033199936151505, 0.074182145297527313, 0.015416288748383522, -0.05135389044880867, -0.10302792489528656, -0.090776592493057251, 0.096159853041172028, -0.063175037503242493, -0.13414593040943146, -0.068200014531612396, -0.11400249600410461, -0.10813296586275101, 0.081597566604614258, -0.12636527419090271, -0.069368913769721985, -0.056647978723049164, -0.10924125462770462, -0.010555080138146877, -0.088889628648757935, -0.036363594233989716, -0.10140495002269745, 0.089461237192153931, 0.037476766854524612, -0.070493273437023163, 0.067865774035453796, 0.071868292987346649, 0.093916416168212891, -0.10625916719436646, 0.0083362022414803505, 0.040534671396017075, -0.13231447339057922, -0.0051638828590512276, 0.012110163457691669, -0.10805483162403107, -0.0043123979121446609, -0.03002721443772316, -0.10231218487024307, 0.073457933962345123, -0.11894310265779495, 0.045599393546581268, -0.10635916143655777, 0.029072215780615807, 0.083305753767490387, 0.08035673201084137, -0.12710736691951752, 0.028252845630049706, -0.06847294420003891, -0.087025359272956848, 0.010459532029926777, 0.025806596502661705, -0.019538883119821548, 0.05789870023727417, 0.053224425762891769, -0.044769313186407089, 0.063658714294433594, 0.059008710086345673, -0.083616495132446289, -0.092782899737358093, 0.083219751715660095, -0.022371811792254448, 0.054406844079494476, 0.028425943106412888, -0.082345902919769287, -0.096828371286392212, 0.037563789635896683, -0.047463029623031616, -0.1118943989276886, -0.051141843199729919, 0.082642346620559692, 0.062980189919471741, -0.069493956863880157, -0.060423929244279861, -0.03730585053563118, -0.066226780414581299, -0.11181981116533279, -0.025210019201040268, 0.031782932579517365, -0.060853961855173111, -0.082922011613845825, 0.067338258028030396, 0.05715024471282959, 0.058905590325593948, -0.033980600535869598, -0.066169179975986481, -0.12431393563747406, 0.0054247896187007427, 0.052645325660705566, -0.030607547610998154, 0.008361276239156723, 0.066979274153709412, -0.071153745055198669, 0.092640325427055359, -0.076368503272533417, 0.098109617829322815, -0.076133452355861664, 0.02442716620862484, 0.022192226722836494, -0.061512455344200134, -0.073037110269069672, -0.11192353069782257, -0.07114911824464798, -0.057911422103643417, -0.088680848479270935, 0.047635681927204132, -0.0099075203761458397, -0.047934133559465408, 0.035594243556261063, -0.10933421552181244, 0.0028272178024053574, -0.0091747092083096504, -0.055590283125638962, -0.12020439654588699, -0.034936536103487015, 0.038599420338869095, 0.07297062873840332, -0.048316661268472672, 0.10461616516113281, 0.077203720808029175, 0.10240435600280762, -0.0037369092460721731, 0.10381440818309784, -0.11355499923229218, 0.1124497726559639, 0.035907790064811707, 0.083800278604030609, -0.094810999929904938, -0.01297789067029953, 0.030882162973284721, 0.025544116273522377, -0.050398267805576324, 0.093479633331298828, 0.090194746851921082, -0.046997874975204468, 0.11010542511940002, -0.10216934233903885, 0.077390104532241821, -0.070408128201961517, -0.028603745624423027, -0.051193665713071823, 0.087436661124229431, -0.071254536509513855, -0.043760683387517929, -0.10684331506490707, 0.03625691682100296, 0.043953888118267059, 0.0029246422927826643, 0.02766202948987484, 0.065525442361831665, 0.0019383165054023266, 0.040108088403940201, -0.052826695144176483, 0.0080941207706928253, 0.059052258729934692, -0.050197303295135498, -0.0050991196185350418, -0.1176353394985199, -0.060299064964056015, -0.070131659507751465, 0.031625688076019287, 0.065503500401973724, 0.092991918325424194, 0.076575472950935364, 0.060937140136957169, -0.076902538537979126, 0.028229095041751862, 0.016797076910734177, 0.10975094139575958, -0.05329025536775589, 0.085618510842323303, -0.049912333488464355, 0.08058030903339386, -0.048703726381063461, 0.064914010465145111, -0.08667677640914917, 0.035546626895666122, -0.043827619403600693, -0.024193290621042252, -0.024661678820848465, 0.054331149905920029, 0.090354174375534058, 0.087256081402301788, 0.015768857672810555, 0.018322570249438286, -0.0089439712464809418, -0.07863461971282959, -0.041259504854679108, -0.041584860533475876, -0.027273749932646751, -0.11924397945404053, 0.0056332466192543507, 0.040451068431138992, 0.0082797827199101448, -0.050519458949565887, -0.022284908220171928, -0.050127323716878891, -0.019132161512970924, 0.012883338145911694, -0.02129780501127243, 0.087126851081848145, -0.10878604650497437, -0.1002114936709404, -0.024098614230751991, -0.088466748595237732, -0.099568389356136322, 0.068067781627178192, 0.072172723710536957, 0.062086675316095352, -0.0056872554123401642, -0.081834398210048676, 0.038674399256706238, 0.018233666196465492, -0.10150034725666046, 0.056876171380281448, -0.037467855960130692, 0.04419124498963356, 0.10842841863632202, 0.072590343654155731, -0.085642173886299133, 0.046050231903791428, -0.050144635140895844, 0.059144031256437302, -0.1096217930316925, 0.11697574704885483, 0.049489274621009827, 0.054506540298461914, -0.012841501273214817, 0.085128642618656158, 0.0067154290154576302, -0.010483453050255775, 0.053794652223587036, -0.010160206817090511, 0.0066910316236317158, 0.045306868851184845, -0.1165044829249382, 0.080664582550525665, 0.0066246520727872849, 0.066271811723709106, 0.090438336133956909, 0.080352015793323517, -0.11487113684415817, 0.10185188800096512, -0.092597983777523041, 0.063258595764636993, -0.091650672256946564, 0.039911214262247086, 0.07375422865152359, -0.012137435376644135, -0.026868388056755066, -0.038923151791095734, -0.11711680144071579, 0.11304057389497757, -0.10622029006481171, -0.049511037766933441, 0.11350132524967194, 0.02135927602648735, 0.060718938708305359, 0.045606836676597595, 0.0021776093635708094, -0.04133167490363121, 0.0095906220376491547, 0.0064813895151019096, -0.010088528506457806, 0.035002022981643677, -0.11492707580327988, -0.036401771008968353, 0.065424226224422455, 0.077375292778015137, 0.017583610489964485, -0.047729220241308212, 0.070658318698406219, 0.045486658811569214, 0.0048816767521202564, 0.061331827193498611, -0.085159890353679657, -0.1128135621547699, -0.033323314040899277, -0.10722179710865021, -0.037941459566354752, -0.038881447166204453, -0.048208482563495636, 0.053720001131296158, -0.024224366992712021, 
  -0.022802649065852165, 0.06516941636800766, 0.092870600521564484, 0.067250356078147888, 0.035962577909231186, 0.0077355857938528061, 0.012947676703333855, -0.089923903346061707, 0.11613867431879044, 0.11864703148603439, -0.016761254519224167, 0.10173600912094116, 0.0040516452863812447, -0.023153677582740784, 0.10997803509235382, 0.050393160432577133, 0.039004582911729813, -0.098213277757167816, 0.045575164258480072, -0.0051162345334887505, -0.024156520143151283, 0.07869584858417511, 0.11470848321914673, -0.091723382472991943, 0.09239593893289566, 0.12248111516237259, 0.0098533844575285912, 0.12186506390571594, -0.092598311603069305, -0.10445670038461685, -0.099755465984344482, -0.071826592087745667, 0.13174043595790863, 0.073978990316390991, 0.050652381032705307, 0.028077855706214905, 0.10686555504798889, -0.042648110538721085, 0.074862711131572723, -0.014137335121631622, -0.079350687563419342, -0.036303244531154633, 0.1226244643330574, 0.057942893356084824, -0.054663896560668945, 0.030685784295201302, -0.0032171625643968582, 0.097442872822284698, -0.039994321763515472, -0.10607698559761047, 0.11476069688796997, 0.095849186182022095, -0.023624144494533539, -0.022316878661513329, -0.028467405587434769, 0.016109047457575798, 0.11119858920574188, -0.091651409864425659, 0.032021623104810715, -0.029266227036714554, 0.043706439435482025, -0.072429269552230835, 0.04662385955452919, -0.074988216161727905, -0.052138559520244598, 0.10868318378925323, 0.12512518465518951, 0.094240978360176086, 0.029341161251068115, -0.056787647306919098, 0.10128387063741684, -0.0546603724360466, 0.023449663072824478, -0.03487955778837204, -0.088804163038730621, 0.090089604258537292, 0.074625164270401001, 0.04236321896314621, -0.020907295867800713, 0.10710761696100235, 0.012535296380519867, 0.11440689116716385, -0.011106953024864197, 0.034003730863332748, -0.090238548815250397, 0.12915337085723877, 0.0029392121359705925, 0.10701724141836166, -0.096732750535011292, 0.07845904678106308, -0.02576507069170475, 0.0077468054369091988, 0.066356398165225983, -0.093050219118595123, 0.076977811753749847, 0.10482940077781677, 0.043042983859777451, 0.12567906081676483, 0.12698055803775787, 0.11246038973331451, -0.017243141308426857, 0.036445420235395432, 0.087634555995464325, 0.066709570586681366, 0.085385769605636597, -0.061759978532791138, 0.016147224232554436, 0.012303559109568596, 0.010320750996470451, 0.072142846882343292, -0.074321068823337555, -0.10647184401750565, 0.11745394021272659, 0.11463866382837296, 0.029791273176670074, -0.11974914371967316, -0.050950702279806137, 0.10632986575365067, 0.073875926434993744, 0.052841603755950928, -0.024860501289367676, -0.0085311746224761009, 0.070355571806430817, 0.070083148777484894, 0.061011545360088348, 0.10569948703050613, -0.081754222512245178, -0.031078623607754707, 0.10981687903404236, 0.091969981789588928, -0.12531016767024994, 0.096222169697284698, -0.03497517853975296, 0.064498543739318848, 0.063036471605300903, -0.050633750855922699, -0.048313252627849579, -0.01737978495657444, -0.065695911645889282, -0.020423403009772301, -0.093972444534301758, 0.0071077700704336166, 0.077187731862068176, -0.099086269736289978, 0.038111496716737747, -0.081946074962615967, -0.032775413244962692, 0.11104770004749298, -0.11204781383275986, 0.075759746134281158, 0.082796499133110046, -0.086735837161540985, -0.11903685331344604, -0.069510385394096375, -0.11337466537952423, -0.12012492120265961, -0.10052403062582016, 0.073177285492420197, 0.10424765199422836, 0.11368682235479355, -0.12134131789207458, 0.0014082089764997363, 0.11120636016130447, 0.011214767582714558, -0.10298176109790802, -0.10200578719377518, -0.062995143234729767, -0.095955364406108856, 0.065753787755966187, 0.019012689590454102, -0.052437368780374527, -0.010579731315374374, 0.062146853655576706, -0.090295039117336273, 0.0155806764960289, -0.070399925112724304, -0.025893904268741608, -0.075297728180885315, -0.097975395619869232, -0.12252525985240936, 0.0083359284326434135, 0.091583237051963806, -0.0084926644340157509, -0.11946926265954971, -0.038249045610427856, 0.0059315036050975323, -0.098565928637981415, -0.017816741019487381, -0.05522913858294487, -0.052173897624015808, -0.090587295591831207, 0.028895193710923195, -0.028328435495495796, -0.080245286226272583, -0.068042643368244171, -0.040068555623292923, 0.072246238589286804, 0.0075173662044107914, -0.11640889942646027, -0.018763653934001923, 0.01706215925514698, -0.00091779534704983234, -0.051694989204406738, 0.07967069000005722, 0.052309136837720871, -0.097917750477790833, -0.047190874814987183, -0.0077856862917542458, -0.069550365209579468, 0.018526915460824966, -0.083728551864624023, -0.10791900008916855, 0.10233953595161438, 0.063672013580799103, 0.05715169757604599, -0.091613553464412689, -0.061475623399019241, 0.04376756027340889, 0.073079459369182587, 0.083430811762809753, -0.084213912487030029, 0.031211305409669876, -0.10879425704479218, -0.024416299536824226, 0.10278759896755219, 0.029440967366099358, -0.040418770164251328, -0.082631669938564301, -0.08894260972738266, 0.11165151000022888, -0.052152048796415329, 0.060299161821603775, -0.01266644150018692, -0.00202019396238029, 0.062987923622131348, 0.085399560630321503, 0.11639063805341721, -0.037134859710931778, -0.10747592151165009, -0.026235682889819145, 0.083884023129940033, 0.093149304389953613, 0.0093450024724006653, 0.090748712420463562, 0.077721931040287018, -0.11695148050785065, 0.031749732792377472, -0.028034841641783714, -0.071845002472400665, -0.033999782055616379, 0.099332995712757111, -0.063824549317359924, -0.024926818907260895, 0.060181234031915665, 0.067364558577537537, 0.113602414727211, 0.028526948764920235, -0.0095181465148925781, -0.086346276104450226, 0.083858586847782135, 0.11305788159370422, -0.021879471838474274, 0.10184523463249207, 0.0058324933052062988, -0.016118716448545456, -0.047221891582012177, -0.023204512894153595, 0.01885477639734745, 0.075467467308044434, 0.02098410576581955, 0.023024795576930046, 0.026538301259279251, -0.04497610405087471, 0.11189769208431244, 0.11316156387329102, -0.00023624920868314803, -0.026969103142619133, -0.099603429436683655, 0.11790018528699875, 0.02267988957464695, -0.03110894188284874, -0.054780885577201843, -0.0019307630136609077, -0.00024009884509723634, -0.030404979363083839, 0.037382647395133972, -0.017010873183608055, 0.11161108314990997, 0.087659195065498352, -0.090169034898281097, 0.11006467789411545, 0.09792424738407135, -0.10583029687404633, 0.0028297854587435722, 0.024440336972475052, 0.055190302431583405, -0.01875775121152401, -0.10787995904684067, 0.067813500761985779, 0.029743228107690811, 0.013718091882765293, 0.0012745276326313615, -0.081985056400299072, 0.0089800078421831131, -0.10391845554113388, 0.11097226291894913, -0.076790474355220795, -0.10172752290964127, -0.032100379467010498, 0.11405736953020096, -0.0075904619880020618, -0.052595175802707672, -0.059499673545360565, 0.051372874528169632, 0.11252854764461517, 0.10156237334012985, 0.012811196036636829, -0.024484084919095039, 0.088616654276847839, -0.030855054035782814, 0.034751538187265396, 0.12556971609592438, 0.012377350591123104, -0.080939330160617828, -0.020753486081957817, 0.017575940117239952, 0.058758009225130081, -0.037915091961622238, 0.081183493137359619, -0.017585251480340958, -0.044464204460382462, -0.10867486149072647, -0.017772277817130089, -0.018610130995512009, 0.059869691729545593, -0.068620391190052032, -0.036719623953104019, 0.11392920464277267, 0.065111570060253143, -0.053520884364843369, 0.059942498803138733, 0.026016261428594589, -0.068834483623504639, -0.005084523931145668, -0.038425788283348083, -0.0055289827287197113, -0.076950423419475555, -0.011900411918759346, 0.019237900152802467, 0.10147104412317276, 0.075330227613449097, -0.069463141262531281, 0.0040036994032561779, 0.0060304375365376472, 0.012056776322424412, 0.013271652162075043, -0.11062224209308624, -0.078714698553085327, 0.01288989745080471, 0.11195611953735352, 0.028220843523740768, -0.097222469747066498, -0.10297884047031403, 0.010529122315347195, 0.12025216221809387, 0.081880830228328705, 0.080289281904697418, 0.034327562898397446, -0.044247619807720184, 0.012410059571266174, 0.015695763751864433, -0.097006112337112427, 0.0032297135330736637, -0.022279884666204453, 0.0042369100265204906, -0.10762728750705719, -0.071542665362358093, 0.044018041342496872, -0.060849115252494812, 0.06925608217716217, 0.082874372601509094, 0.011488517746329308, -0.035382252186536789, -0.00051810464356094599, -0.026121236383914948, -0.046941019594669342, 0.061492975801229477, 0.069949798285961151, -0.016123995184898376, -0.01325629185885191, -0.10213784128427505, 0.10393353551626205, -0.087472736835479736, 0.038993336260318756, -0.036700744181871414, -0.075692705810070038, 0.089534923434257507, -0.043215818703174591, 0.024208085611462593, -0.0084739616140723228, 
};
const TfArray<2, int> tensor_dimension4 = { 2, { 20,400 } };
const ALIGN(16) float tensor_data5[10*20] = { 
  -0.2814674973487854, -0.022660300135612488, 0.11560387909412384, 0.074745476245880127, 0.3609311580657959, -0.26030060648918152, -0.1254754364490509, 0.066582202911376953, -0.3700871467590332, -0.39379656314849854, -0.14643940329551697, -0.24865004420280457, 0.37818425893783569, 0.34018328785896301, -0.12032896280288696, -0.0049091707915067673, -0.37547299265861511, 0.060225605964660645, -0.12740728259086609, 0.05368572473526001, 
  -0.28059786558151245, 0.062615931034088135, -0.2165655642747879, 0.1667969822883606, 0.10580015182495117, 0.03812822699546814, 0.3000338077545166, -0.18902638554573059, -0.15555453300476074, -0.3112604022026062, 0.068653404712677002, -0.33239167928695679, -0.1014312207698822, -0.13121494650840759, -0.33105406165122986, -0.3712192177772522, -0.17653581500053406, 0.2822265625, 0.20760005712509155, -0.36843103170394897, 
  -0.34128174185752869, 0.29193589091300964, 0.09885106235742569, -0.21731001138687134, 0.27437764406204224, -0.0071354806423187256, 0.17439045011997223, -0.19397906959056854, 0.33612543344497681, 0.32559269666671753, -0.25443747639656067, -0.20097886025905609, 0.13092882931232452, -0.41317436099052429, 0.1347496509552002, -0.14521887898445129, -0.098049968481063843, 0.42122942209243774, -0.37469565868377686, -0.12942184507846832, 
  -0.28838124871253967, -0.065347477793693542, -0.26225408911705017, -0.35208278894424438, -0.061555445194244385, 0.25109326839447021, 0.28461742401123047, 0.3204367458820343, 0.37174397706985474, -0.31673926115036011, 0.37889513373374939, 0.16662189364433289, 0.030613012611865997, -0.2698199450969696, -0.10104566812515259, 0.4548887312412262, 0.092368841171264648, 0.12087708711624146, 0.16178031265735626, -0.29259341955184937, 
  0.059983488172292709, 0.023188017308712006, -0.23324167728424072, -0.32580304145812988, -0.42718395590782166, 0.36540800333023071, -0.15506777167320251, -0.029952298849821091, -0.2588593065738678, 0.42222774028778076, 0.01723087951540947, -0.42441695928573608, -0.36958664655685425, 0.15184929966926575, -0.067081749439239502, 0.076790936291217804, 0.079031646251678467, -0.38482159376144409, 0.41358578205108643, 0.097476504743099213, 
  0.22520805895328522, 0.40075874328613281, -0.3199036717414856, 0.037643402814865112, -0.29656919836997986, -0.13357317447662354, 0.0683879554271698, -0.10574433207511902, 0.36510932445526123, -0.40242627263069153, -0.38006344437599182, 0.36867913603782654, -0.27276220917701721, 0.20935182273387909, -0.21736885607242584, 0.39258554577827454, -0.36996692419052124, -0.034634679555892944, -0.42190411686897278, 0.25653949379920959, 
  0.38413721323013306, -0.1784641295671463, 0.053176932036876678, 0.33769255876541138, 0.26730561256408691, -0.058448463678359985, 0.016532940790057182, 0.22790433466434479, 0.22495405375957489, 0.36756467819213867, -0.26104035973548889, 0.3033449649810791, -0.48690810799598694, -0.027955196797847748, -0.028545290231704712, -0.078964643180370331, 0.17003077268600464, -0.090127915143966675, 0.21905626356601715, -0.14718517661094666, 
  -0.19306741654872894, 0.33693274855613708, -0.25067475438117981, -0.40966156125068665, -0.087713092565536499, -0.016432154923677444, -0.17933833599090576, -0.328046053647995, 0.41886067390441895, 0.2848353385925293, 0.2164752334356308, 0.44010525941848755, -0.13358487188816071, -0.033108565956354141, -0.096387922763824463, -0.21807397902011871, -0.24689924716949463, 0.069599449634552002, -0.13248522579669952, 0.24573154747486115, 
  -0.30223965644836426, 0.32420215010643005, 0.043470717966556549, 0.19904410839080811, 0.39974832534790039, -0.074334986507892609, 0.28423181176185608, -0.41176468133926392, -0.10565245896577835, -0.30950057506561279, 0.1977897584438324, 0.2992994487285614, 0.44098567962646484, 0.43076029419898987, -0.070620715618133545, 0.23659648001194, -0.33985471725463867, 0.38830500841140747, -0.063412077724933624, -0.014502014964818954, 
  -0.083492867648601532, 0.092181965708732605, 0.080942355096340179, 0.33198225498199463, -0.31399047374725342, 0.29286205768585205, 0.25425925850868225, -0.22217307984828949, 0.36483347415924072, -0.14984172582626343, -0.13987541198730469, 0.16606155037879944, -0.41760244965553284, -0.15409569442272186, -0.34809771180152893, 0.043404191732406616, 0.4212457537651062, 0.40072882175445557, -0.12261859327554703, 0.45395144820213318, 
};
const TfArray<2, int> tensor_dimension5 = { 2, { 10,20 } };
const ALIGN(16) float tensor_data6[3*10] = { 
  -0.20542843639850616, -0.60320192575454712, -0.61456876993179321, 0.4931340217590332, 0.30192515254020691, 0.0046408791095018387, 0.30414131283760071, 0.24847908318042755, -0.54323810338973999, -0.039565742015838623, 
  0.38555756211280823, -0.059357285499572754, 0.54318445920944214, -0.49305155873298645, 0.31655129790306091, 0.018291935324668884, 0.012677481397986412, 0.27036893367767334, 0.41919639706611633, 0.081339225172996521, 
  -0.66677600145339966, -0.062965273857116699, 0.054312229156494141, 0.42798668146133423, 0.41721680760383606, 0.11195656657218933, -0.2294822484254837, -0.12459138035774231, 0.18206183612346649, -0.37134608626365662, 
};
const TfArray<2, int> tensor_dimension6 = { 2, { 3,10 } };
const TfArray<2, int> tensor_dimension7 = { 2, { 1,20 } };
const TfArray<2, int> tensor_dimension8 = { 2, { 1,10 } };
const TfArray<2, int> tensor_dimension9 = { 2, { 1,3 } };
const TfArray<2, int> tensor_dimension10 = { 2, { 1,3 } };
const TfLiteFullyConnectedParams opdata0 = { kTfLiteActRelu, kTfLiteFullyConnectedWeightsFormatDefault, false, false };
const TfArray<3, int> inputs0 = { 3, { 0,4,3 } };
const TfArray<1, int> outputs0 = { 1, { 7 } };
const TfLiteFullyConnectedParams opdata1 = { kTfLiteActRelu, kTfLiteFullyConnectedWeightsFormatDefault, false, false };
const TfArray<3, int> inputs1 = { 3, { 7,5,2 } };
const TfArray<1, int> outputs1 = { 1, { 8 } };
const TfLiteFullyConnectedParams opdata2 = { kTfLiteActNone, kTfLiteFullyConnectedWeightsFormatDefault, false, false };
const TfArray<3, int> inputs2 = { 3, { 8,6,1 } };
const TfArray<1, int> outputs2 = { 1, { 9 } };
const TfLiteSoftmaxParams opdata3 = { 1 };
const TfArray<1, int> inputs3 = { 1, { 9 } };
const TfArray<1, int> outputs3 = { 1, { 10 } };
const TensorInfo_t tensorData[] = {
  { kTfLiteArenaRw, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension0, 1600, },
  { kTfLiteMmapRo, (void*)tensor_data1, (TfLiteIntArray*)&tensor_dimension1, 12, },
  { kTfLiteMmapRo, (void*)tensor_data2, (TfLiteIntArray*)&tensor_dimension2, 40, },
  { kTfLiteMmapRo, (void*)tensor_data3, (TfLiteIntArray*)&tensor_dimension3, 80, },
  { kTfLiteMmapRo, (void*)tensor_data4, (TfLiteIntArray*)&tensor_dimension4, 32000, },
  { kTfLiteMmapRo, (void*)tensor_data5, (TfLiteIntArray*)&tensor_dimension5, 800, },
  { kTfLiteMmapRo, (void*)tensor_data6, (TfLiteIntArray*)&tensor_dimension6, 120, },
  { kTfLiteArenaRw, tensor_arena + 1600, (TfLiteIntArray*)&tensor_dimension7, 80, },
  { kTfLiteArenaRw, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension8, 40, },
  { kTfLiteArenaRw, tensor_arena + 48, (TfLiteIntArray*)&tensor_dimension9, 12, },
  { kTfLiteArenaRw, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension10, 12, },
};const NodeInfo_t nodeData[] = {
  { (TfLiteIntArray*)&inputs0, (TfLiteIntArray*)&outputs0, const_cast<void*>(static_cast<const void*>(&opdata0)), OP_FULLY_CONNECTED, },
  { (TfLiteIntArray*)&inputs1, (TfLiteIntArray*)&outputs1, const_cast<void*>(static_cast<const void*>(&opdata1)), OP_FULLY_CONNECTED, },
  { (TfLiteIntArray*)&inputs2, (TfLiteIntArray*)&outputs2, const_cast<void*>(static_cast<const void*>(&opdata2)), OP_FULLY_CONNECTED, },
  { (TfLiteIntArray*)&inputs3, (TfLiteIntArray*)&outputs3, const_cast<void*>(static_cast<const void*>(&opdata3)), OP_SOFTMAX, },
};
static std::vector<void*> overflow_buffers;
static void * AllocatePersistentBuffer(struct TfLiteContext* ctx,
                                       size_t bytes) {
  void *ptr;
  if (current_location - bytes < tensor_boundary) {
    // OK, this will look super weird, but.... we have CMSIS-NN buffers which
    // we cannot calculate beforehand easily.
    ptr = ei_calloc(bytes, 1);
    if (ptr == NULL) {
      printf("ERR: Failed to allocate persistent buffer of size %d\n", (int)bytes);
      return NULL;
    }
    overflow_buffers.push_back(ptr);
    return ptr;
  }

  current_location -= bytes;

  ptr = current_location;
  memset(ptr, 0, bytes);

  return ptr;
}
typedef struct {
  size_t bytes;
  void *ptr;
} scratch_buffer_t;
static std::vector<scratch_buffer_t> scratch_buffers;

static TfLiteStatus RequestScratchBufferInArena(struct TfLiteContext* ctx, size_t bytes,
                                                int* buffer_idx) {
  scratch_buffer_t b;
  b.bytes = bytes;

  b.ptr = AllocatePersistentBuffer(ctx, b.bytes);
  if (!b.ptr) {
    return kTfLiteError;
  }

  scratch_buffers.push_back(b);

  *buffer_idx = scratch_buffers.size() - 1;

  return kTfLiteOk;
}

static void* GetScratchBuffer(struct TfLiteContext* ctx, int buffer_idx) {
  if (buffer_idx > static_cast<int>(scratch_buffers.size()) - 1) {
    return NULL;
  }
  return scratch_buffers[buffer_idx].ptr;
}

static TfLiteTensor* GetTensor(const struct TfLiteContext* context,
                               int tensor_idx) {
  return &tflTensors[tensor_idx];
}

static TfLiteEvalTensor* GetEvalTensor(const struct TfLiteContext* context,
                                       int tensor_idx) {
  return &tflEvalTensors[tensor_idx];
}

} // namespace

TfLiteStatus trained_model_init( void*(*alloc_fnc)(size_t,size_t) ) {
#ifdef EI_CLASSIFIER_ALLOCATION_HEAP
  tensor_arena = (uint8_t*) alloc_fnc(16, kTensorArenaSize);
  if (!tensor_arena) {
    printf("ERR: failed to allocate tensor arena\n");
    return kTfLiteError;
  }
#else
  memset(tensor_arena, 0, kTensorArenaSize);
#endif
  tensor_boundary = tensor_arena;
  current_location = tensor_arena + kTensorArenaSize;
  ctx.AllocatePersistentBuffer = &AllocatePersistentBuffer;
  ctx.RequestScratchBufferInArena = &RequestScratchBufferInArena;
  ctx.GetScratchBuffer = &GetScratchBuffer;
  ctx.GetTensor = &GetTensor;
  ctx.GetEvalTensor = &GetEvalTensor;
  ctx.tensors = tflTensors;
  ctx.tensors_size = 11;
  for(size_t i = 0; i < 11; ++i) {
    tflTensors[i].type = kTfLiteFloat32;
    tflEvalTensors[i].type = kTfLiteFloat32;
    tflTensors[i].is_variable = 0;

#if defined(EI_CLASSIFIER_ALLOCATION_HEAP)
    tflTensors[i].allocation_type = tensorData[i].allocation_type;
#else
    tflTensors[i].allocation_type = (tensor_arena <= tensorData[i].data && tensorData[i].data < tensor_arena + kTensorArenaSize) ? kTfLiteArenaRw : kTfLiteMmapRo;
#endif
    tflTensors[i].bytes = tensorData[i].bytes;
    tflTensors[i].dims = tensorData[i].dims;
    tflEvalTensors[i].dims = tensorData[i].dims;

#if defined(EI_CLASSIFIER_ALLOCATION_HEAP)
    if(tflTensors[i].allocation_type == kTfLiteArenaRw){
      uint8_t* start = (uint8_t*) ((uintptr_t)tensorData[i].data + (uintptr_t) tensor_arena);

     tflTensors[i].data.data =  start;
     tflEvalTensors[i].data.data =  start;
    }
    else{
       tflTensors[i].data.data = tensorData[i].data;
       tflEvalTensors[i].data.data = tensorData[i].data;
    }
#else
    tflTensors[i].data.data = tensorData[i].data;
    tflEvalTensors[i].data.data = tensorData[i].data;
#endif // EI_CLASSIFIER_ALLOCATION_HEAP
    tflTensors[i].quantization.type = kTfLiteNoQuantization;
    if (tflTensors[i].allocation_type == kTfLiteArenaRw) {
      auto data_end_ptr = (uint8_t*)tflTensors[i].data.data + tensorData[i].bytes;
      if (data_end_ptr > tensor_boundary) {
        tensor_boundary = data_end_ptr;
      }
    }
  }
  if (tensor_boundary > current_location /* end of arena size */) {
    printf("ERR: tensor arena is too small, does not fit model - even without scratch buffers\n");
    return kTfLiteError;
  }
  registrations[OP_FULLY_CONNECTED] = Register_FULLY_CONNECTED();
  registrations[OP_SOFTMAX] = Register_SOFTMAX();

  for(size_t i = 0; i < 4; ++i) {
    tflNodes[i].inputs = nodeData[i].inputs;
    tflNodes[i].outputs = nodeData[i].outputs;
    tflNodes[i].builtin_data = nodeData[i].builtin_data;
tflNodes[i].custom_initial_data = nullptr;
      tflNodes[i].custom_initial_data_size = 0;
if (registrations[nodeData[i].used_op_index].init) {
      tflNodes[i].user_data = registrations[nodeData[i].used_op_index].init(&ctx, (const char*)tflNodes[i].builtin_data, 0);
    }
  }
  for(size_t i = 0; i < 4; ++i) {
    if (registrations[nodeData[i].used_op_index].prepare) {
      TfLiteStatus status = registrations[nodeData[i].used_op_index].prepare(&ctx, &tflNodes[i]);
      if (status != kTfLiteOk) {
        return status;
      }
    }
  }
  return kTfLiteOk;
}

static const int inTensorIndices[] = {
  0, 
};
TfLiteTensor* trained_model_input(int index) {
  return &ctx.tensors[inTensorIndices[index]];
}

static const int outTensorIndices[] = {
  10, 
};
TfLiteTensor* trained_model_output(int index) {
  return &ctx.tensors[outTensorIndices[index]];
}

TfLiteStatus trained_model_invoke() {
  for(size_t i = 0; i < 4; ++i) {
    TfLiteStatus status = registrations[nodeData[i].used_op_index].invoke(&ctx, &tflNodes[i]);

#if EI_CLASSIFIER_PRINT_STATE
    ei_printf("layer %lu\n", i);
    ei_printf("    inputs:\n");
    for (size_t ix = 0; ix < tflNodes[i].inputs->size; ix++) {
      auto d = tensorData[tflNodes[i].inputs->data[ix]];

      size_t data_ptr = (size_t)d.data;

      if (d.allocation_type == kTfLiteArenaRw) {
        data_ptr = (size_t)tensor_arena + data_ptr;
      }

      if (d.type == TfLiteType::kTfLiteInt8) {
        int8_t* data = (int8_t*)data_ptr;
        ei_printf("        %lu (%zu bytes, ptr=%p, alloc_type=%d, type=%d): ", ix, d.bytes, data, (int)d.allocation_type, (int)d.type);
        for (size_t jx = 0; jx < d.bytes; jx++) {
          ei_printf("%d ", data[jx]);
        }
      }
      else {
        float* data = (float*)data_ptr;
        ei_printf("        %lu (%zu bytes, ptr=%p, alloc_type=%d, type=%d): ", ix, d.bytes, data, (int)d.allocation_type, (int)d.type);
        for (size_t jx = 0; jx < d.bytes / 4; jx++) {
          ei_printf("%f ", data[jx]);
        }
      }
      ei_printf("\n");
    }
    ei_printf("\n");

    ei_printf("    outputs:\n");
    for (size_t ix = 0; ix < tflNodes[i].outputs->size; ix++) {
      auto d = tensorData[tflNodes[i].outputs->data[ix]];

      size_t data_ptr = (size_t)d.data;

      if (d.allocation_type == kTfLiteArenaRw) {
        data_ptr = (size_t)tensor_arena + data_ptr;
      }

      if (d.type == TfLiteType::kTfLiteInt8) {
        int8_t* data = (int8_t*)data_ptr;
        ei_printf("        %lu (%zu bytes, ptr=%p, alloc_type=%d, type=%d): ", ix, d.bytes, data, (int)d.allocation_type, (int)d.type);
        for (size_t jx = 0; jx < d.bytes; jx++) {
          ei_printf("%d ", data[jx]);
        }
      }
      else {
        float* data = (float*)data_ptr;
        ei_printf("        %lu (%zu bytes, ptr=%p, alloc_type=%d, type=%d): ", ix, d.bytes, data, (int)d.allocation_type, (int)d.type);
        for (size_t jx = 0; jx < d.bytes / 4; jx++) {
          ei_printf("%f ", data[jx]);
        }
      }
      ei_printf("\n");
    }
    ei_printf("\n");
#endif // EI_CLASSIFIER_PRINT_STATE

    if (status != kTfLiteOk) {
      return status;
    }
  }
  return kTfLiteOk;
}

TfLiteStatus trained_model_reset( void (*free_fnc)(void* ptr) ) {
#ifdef EI_CLASSIFIER_ALLOCATION_HEAP
  free_fnc(tensor_arena);
#endif
  scratch_buffers.clear();
  for (size_t ix = 0; ix < overflow_buffers.size(); ix++) {
    free(overflow_buffers[ix]);
  }
  overflow_buffers.clear();
  return kTfLiteOk;
}
